SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;


DROP TABLE IF EXISTS `xx_avatar`;
CREATE TABLE `xx_avatar` (
  `avatar_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `avatar_file` varchar(30) NOT NULL DEFAULT '',
  `avatar_name` varchar(100) NOT NULL DEFAULT '',
  `avatar_mimetype` varchar(30) NOT NULL DEFAULT '',
  `avatar_created` int(10) NOT NULL DEFAULT '0',
  `avatar_display` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `avatar_weight` smallint(5) unsigned NOT NULL DEFAULT '0',
  `avatar_type` char(1) NOT NULL DEFAULT '',
  PRIMARY KEY (`avatar_id`),
  KEY `avatar_type` (`avatar_type`,`avatar_display`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_avatar_user_link`;
CREATE TABLE `xx_avatar_user_link` (
  `avatar_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `user_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  KEY `avatar_user_id` (`avatar_id`,`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `xx_banner`;
CREATE TABLE `xx_banner` (
  `bid` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `cid` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `imptotal` int(10) unsigned NOT NULL DEFAULT '0',
  `impmade` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `clicks` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `imageurl` varchar(255) NOT NULL DEFAULT '',
  `clickurl` varchar(255) NOT NULL DEFAULT '',
  `date` int(10) NOT NULL DEFAULT '0',
  `htmlbanner` tinyint(1) NOT NULL DEFAULT '0',
  `htmlcode` text,
  PRIMARY KEY (`bid`),
  KEY `idxbannercid` (`cid`),
  KEY `idxbannerbidcid` (`bid`,`cid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

INSERT INTO `xx_banner` (`bid`, `cid`, `imptotal`, `impmade`, `clicks`, `imageurl`, `clickurl`, `date`, `htmlbanner`, `htmlcode`) VALUES
(1, 1, 0, 53, 0, 'http://192.168.1.15/images/banners/xoops_flashbanner2.swf', 'http://www.xoops.org/', 1008813250, 0, ''),
(2, 1, 0, 41, 0, 'http://192.168.1.15/images/banners/xoops_banner_2.gif', 'http://www.xoops.org/', 1008813250, 0, ''),
(3, 1, 0, 50, 0, 'http://192.168.1.15/images/banners/banner.swf', 'http://www.xoops.org/', 1008813250, 0, '');

DROP TABLE IF EXISTS `xx_bannerclient`;
CREATE TABLE `xx_bannerclient` (
  `cid` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(60) NOT NULL DEFAULT '',
  `contact` varchar(60) NOT NULL DEFAULT '',
  `email` varchar(60) NOT NULL DEFAULT '',
  `login` varchar(10) NOT NULL DEFAULT '',
  `passwd` varchar(10) NOT NULL DEFAULT '',
  `extrainfo` text,
  PRIMARY KEY (`cid`),
  KEY `login` (`login`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `xx_bannerclient` (`cid`, `name`, `contact`, `email`, `login`, `passwd`, `extrainfo`) VALUES
(1, 'XOOPS', 'XOOPS Dev Team', 'webmaster@xoops.org', '', '', '');

DROP TABLE IF EXISTS `xx_bannerfinish`;
CREATE TABLE `xx_bannerfinish` (
  `bid` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `cid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `impressions` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `clicks` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `datestart` int(10) unsigned NOT NULL DEFAULT '0',
  `dateend` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`bid`),
  KEY `cid` (`cid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_block_module_link`;
CREATE TABLE `xx_block_module_link` (
  `block_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `module_id` smallint(5) NOT NULL DEFAULT '0',
  PRIMARY KEY (`module_id`,`block_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES
(13, -1),
(15, -1),
(16, -1),
(17, -1),
(18, -1),
(1, 0),
(2, 0),
(3, 0),
(4, 0),
(5, 0),
(6, 0),
(7, 0),
(8, 0),
(9, 0),
(10, 0),
(11, 0),
(12, 0),
(14, 0);

DROP TABLE IF EXISTS `xx_cache_model`;
CREATE TABLE `xx_cache_model` (
  `cache_key` varchar(64) NOT NULL DEFAULT '',
  `cache_expires` int(10) unsigned NOT NULL DEFAULT '0',
  `cache_data` text,
  PRIMARY KEY (`cache_key`),
  KEY `cache_expires` (`cache_expires`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `xx_config`;
CREATE TABLE `xx_config` (
  `conf_id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `conf_modid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `conf_catid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `conf_name` varchar(25) NOT NULL DEFAULT '',
  `conf_title` varchar(255) NOT NULL DEFAULT '',
  `conf_value` text,
  `conf_desc` varchar(255) NOT NULL DEFAULT '',
  `conf_formtype` varchar(15) NOT NULL DEFAULT '',
  `conf_valuetype` varchar(10) NOT NULL DEFAULT '',
  `conf_order` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`conf_id`),
  KEY `conf_mod_cat_id` (`conf_modid`,`conf_catid`),
  KEY `conf_order` (`conf_order`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=142 ;

INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES
(1, 0, 1, 'sitename', '_MD_AM_SITENAME', '我的網站', '_MD_AM_SITENAMEDSC', 'textbox', 'text', 0),
(2, 0, 1, 'slogan', '_MD_AM_SLOGAN', '歡迎光臨', '_MD_AM_SLOGANDSC', 'textbox', 'text', 2),
(3, 0, 1, 'language', '_MD_AM_LANGUAGE', 'tchinese_utf8', '_MD_AM_LANGUAGEDSC', 'language', 'other', 4),
(4, 0, 1, 'startpage', '_MD_AM_STARTPAGE', '--', '_MD_AM_STARTPAGEDSC', 'startpage', 'other', 6),
(5, 0, 1, 'server_TZ', '_MD_AM_SERVERTZ', '8', '_MD_AM_SERVERTZDSC', 'timezone', 'float', 8),
(6, 0, 1, 'default_TZ', '_MD_AM_DEFAULTTZ', '8', '_MD_AM_DEFAULTTZDSC', 'timezone', 'float', 10),
(7, 0, 1, 'theme_set', '_MD_AM_DTHEME', 'school2012', '_MD_AM_DTHEMEDSC', 'theme', 'other', 12),
(8, 0, 1, 'anonymous', '_MD_AM_ANONNAME', '訪客', '_MD_AM_ANONNAMEDSC', 'textbox', 'text', 15),
(9, 0, 1, 'gzip_compression', '_MD_AM_USEGZIP', '0', '_MD_AM_USEGZIPDSC', 'yesno', 'int', 16),
(10, 0, 1, 'usercookie', '_MD_AM_USERCOOKIE', 'xoops_user', '_MD_AM_USERCOOKIEDSC', 'textbox', 'text', 18),
(11, 0, 1, 'session_expire', '_MD_AM_SESSEXPIRE', '15', '_MD_AM_SESSEXPIREDSC', 'textbox', 'int', 22),
(12, 0, 1, 'banners', '_MD_AM_BANNERS', '1', '_MD_AM_BANNERSDSC', 'yesno', 'int', 26),
(13, 0, 1, 'debug_mode', '_MD_AM_DEBUGMODE', '0', '_MD_AM_DEBUGMODEDSC', 'select', 'int', 24),
(14, 0, 1, 'my_ip', '_MD_AM_MYIP', '127.0.0.1', '_MD_AM_MYIPDSC', 'textbox', 'text', 29),
(15, 0, 1, 'use_ssl', '_MD_AM_USESSL', '0', '_MD_AM_USESSLDSC', 'yesno', 'int', 30),
(16, 0, 1, 'session_name', '_MD_AM_SESSNAME', 'xoops_session', '_MD_AM_SESSNAMEDSC', 'textbox', 'text', 20),
(17, 0, 2, 'minpass', '_MD_AM_MINPASS', '5', '_MD_AM_MINPASSDSC', 'textbox', 'int', 1),
(18, 0, 2, 'minuname', '_MD_AM_MINUNAME', '3', '_MD_AM_MINUNAMEDSC', 'textbox', 'int', 2),
(19, 0, 2, 'new_user_notify', '_MD_AM_NEWUNOTIFY', '1', '_MD_AM_NEWUNOTIFYDSC', 'yesno', 'int', 4),
(20, 0, 2, 'new_user_notify_group', '_MD_AM_NOTIFYTO', '1', '_MD_AM_NOTIFYTODSC', 'group', 'int', 6),
(21, 0, 2, 'activation_type', '_MD_AM_ACTVTYPE', '0', '_MD_AM_ACTVTYPEDSC', 'select', 'int', 8),
(22, 0, 2, 'activation_group', '_MD_AM_ACTVGROUP', '1', '_MD_AM_ACTVGROUPDSC', 'group', 'int', 10),
(23, 0, 2, 'uname_test_level', '_MD_AM_UNAMELVL', '0', '_MD_AM_UNAMELVLDSC', 'select', 'int', 12),
(24, 0, 2, 'avatar_allow_upload', '_MD_AM_AVATARALLOW', '0', '_MD_AM_AVATARALWDSC', 'yesno', 'int', 14),
(27, 0, 2, 'avatar_width', '_MD_AM_AVATARW', '120', '_MD_AM_AVATARWDSC', 'textbox', 'int', 16),
(28, 0, 2, 'avatar_height', '_MD_AM_AVATARH', '120', '_MD_AM_AVATARHDSC', 'textbox', 'int', 18),
(29, 0, 2, 'avatar_maxsize', '_MD_AM_AVATARMAX', '35000', '_MD_AM_AVATARMAXDSC', 'textbox', 'int', 20),
(30, 0, 1, 'adminmail', '_MD_AM_ADMINML', 'admin@gmail.com', '_MD_AM_ADMINMLDSC', 'textbox', 'text', 3),
(31, 0, 2, 'self_delete', '_MD_AM_SELFDELETE', '0', '_MD_AM_SELFDELETEDSC', 'yesno', 'int', 22),
(32, 0, 1, 'com_mode', '_MD_AM_COMMODE', 'flat', '_MD_AM_COMMODEDSC', 'select', 'text', 34),
(33, 0, 1, 'com_order', '_MD_AM_COMORDER', '0', '_MD_AM_COMORDERDSC', 'select', 'int', 36),
(34, 0, 2, 'bad_unames', '_MD_AM_BADUNAMES', 'a:3:{i:0;s:9:"webmaster";i:1;s:6:"^xoops";i:2;s:6:"^admin";}', '_MD_AM_BADUNAMESDSC', 'textarea', 'array', 24),
(35, 0, 2, 'bad_emails', '_MD_AM_BADEMAILS', 'a:1:{i:0;s:10:"xoops.org$";}', '_MD_AM_BADEMAILSDSC', 'textarea', 'array', 26),
(36, 0, 2, 'maxuname', '_MD_AM_MAXUNAME', '10', '_MD_AM_MAXUNAMEDSC', 'textbox', 'int', 3),
(37, 0, 1, 'bad_ips', '_MD_AM_BADIPS', 'a:1:{i:0;s:9:"127.0.0.1";}', '_MD_AM_BADIPSDSC', 'textarea', 'array', 42),
(38, 0, 3, 'meta_keywords', '_MD_AM_METAKEY', 'xoops , 教育 , 快速', '_MD_AM_METAKEYDSC', 'textarea', 'text', 0),
(135, 2, 0, 'perpage', '_PM_MI_PERPAGE', '20', '_PM_MI_PERPAGE_DESC', 'textbox', 'int', 0),
(136, 2, 0, 'max_save', '_PM_MI_MAXSAVE', '10', '_PM_MI_MAXSAVE_DESC', 'textbox', 'int', 1),
(137, 2, 0, 'prunesubject', '_PM_MI_PRUNESUBJECT', '訊息在清除時被刪除', '_PM_MI_PRUNESUBJECT_DESC', 'textbox', 'text', 2),
(138, 2, 0, 'prunemessage', '_PM_MI_PRUNEMESSAGE', '在私人訊息定期清理中，您的收件箱中共有{PM_COUNT}則訊息被清除', '_PM_MI_PRUNEMESSAGE_DESC', 'textarea', 'text', 3),
(39, 0, 3, 'footer', '_MD_AM_FOOTER', '<a href="modules/system/admin.php?fct=preferences&op=show&confcat_id=3">請點此或右邊的設定符號，以編輯此處的頁尾資訊。<br>\r\n您可以在此輸入學校電話、地址、傳真電話、管理員Email等資訊</a>。\r\n<div style="font-size:12px;color:#CC9900;margin:10px auto;" target="_blank">本系統使用<a href="http://campus-xoops.tn.edu.tw">XOOPS校園網站輕鬆架</a></div>', '_MD_AM_FOOTERDSC', 'textarea', 'text', 20),
(40, 0, 4, 'censor_enable', '_MD_AM_DOCENSOR', '0', '_MD_AM_DOCENSORDSC', 'yesno', 'int', 0),
(41, 0, 4, 'censor_words', '_MD_AM_CENSORWRD', 'a:2:{i:0;s:4:"fuck";i:1;s:4:"shit";}', '_MD_AM_CENSORWRDDSC', 'textarea', 'array', 1),
(42, 0, 4, 'censor_replace', '_MD_AM_CENSORRPLC', '#OOPS#', '_MD_AM_CENSORRPLCDSC', 'textbox', 'text', 2),
(43, 0, 3, 'meta_robots', '_MD_AM_METAROBOTS', 'index,follow', '_MD_AM_METAROBOTSDSC', 'select', 'text', 2),
(44, 0, 5, 'enable_search', '_MD_AM_DOSEARCH', '1', '_MD_AM_DOSEARCHDSC', 'yesno', 'int', 0),
(45, 0, 5, 'keyword_min', '_MD_AM_MINSEARCH', '2', '_MD_AM_MINSEARCHDSC', 'textbox', 'int', 1),
(46, 0, 2, 'avatar_minposts', '_MD_AM_AVATARMP', '0', '_MD_AM_AVATARMPDSC', 'textbox', 'int', 15),
(47, 0, 1, 'enable_badips', '_MD_AM_DOBADIPS', '0', '_MD_AM_DOBADIPSDSC', 'yesno', 'int', 40),
(48, 0, 3, 'meta_rating', '_MD_AM_METARATING', 'general', '_MD_AM_METARATINGDSC', 'select', 'text', 4),
(49, 0, 3, 'meta_author', '_MD_AM_METAAUTHOR', 'XOOPS', '_MD_AM_METAAUTHORDSC', 'textbox', 'text', 6),
(50, 0, 3, 'meta_copyright', '_MD_AM_METACOPYR', 'Copyright @ 2001-2012', '_MD_AM_METACOPYRDSC', 'textbox', 'text', 8),
(51, 0, 3, 'meta_description', '_MD_AM_METADESC', 'XOOPS校園網站輕鬆架（http://campus-xoops.tn.edu.tw）', '_MD_AM_METADESCDSC', 'textarea', 'text', 1),
(52, 0, 2, 'allow_chgmail', '_MD_AM_ALLWCHGMAIL', '0', '_MD_AM_ALLWCHGMAILDSC', 'yesno', 'int', 3),
(53, 0, 1, 'use_mysession', '_MD_AM_USEMYSESS', '0', '_MD_AM_USEMYSESSDSC', 'yesno', 'int', 19),
(54, 0, 2, 'reg_dispdsclmr', '_MD_AM_DSPDSCLMR', '1', '_MD_AM_DSPDSCLMRDSC', 'yesno', 'int', 30),
(55, 0, 2, 'reg_disclaimer', '_MD_AM_REGDSCLMR', '請仔細閱讀並遵守下列註冊條款：\r\n\r\n1、註冊會員必須遵守中華民國的各項法律法規。\r\n2、不得發佈任何有關色情、違法、以及危害國家安全的言論。\r\n3、嚴禁連接有關政治、色情、宗教迷信等違法訊息。\r\n4、承擔一切因您的行為而直接或間接導致的民事或刑事法律責任。\r\n5、互相尊重、遵守網際網路道德，嚴禁互相惡意攻擊、漫罵。\r\n6、管理員及版主有權保留或刪除討論區中的任意內容。\r\n7、本站網管擁有一切管理權力。\r\n\r\n系統將會把部分訊息以 cookies 方式儲存在您的電腦中（不包含您的密碼及個人訊息）；此外您的電子只是用來作為確認註冊身份及傳送密碼使用，將不會作為商業用途。', '_MD_AM_REGDSCLMRDSC', 'textarea', 'text', 32),
(56, 0, 2, 'allow_register', '_MD_AM_ALLOWREG', '1', '_MD_AM_ALLOWREGDSC', 'yesno', 'int', 0),
(57, 0, 1, 'theme_fromfile', '_MD_AM_THEMEFILE', '1', '_MD_AM_THEMEFILEDSC', 'yesno', 'int', 13),
(58, 0, 1, 'closesite', '_MD_AM_CLOSESITE', '0', '_MD_AM_CLOSESITEDSC', 'yesno', 'int', 26),
(59, 0, 1, 'closesite_okgrp', '_MD_AM_CLOSESITEOK', 'a:1:{i:0;s:1:"1";}', '_MD_AM_CLOSESITEOKDSC', 'group_multi', 'array', 27),
(60, 0, 1, 'closesite_text', '_MD_AM_CLOSESITETXT', '系統維護中，請稍後造訪。', '_MD_AM_CLOSESITETXTDSC', 'textarea', 'text', 28),
(61, 0, 1, 'sslpost_name', '_MD_AM_SSLPOST', 'xoops_ssl', '_MD_AM_SSLPOSTDSC', 'textbox', 'text', 31),
(62, 0, 1, 'module_cache', '_MD_AM_MODCACHE', 'a:1:{i:2;s:1:"0";}', '_MD_AM_MODCACHEDSC', 'module_cache', 'array', 50),
(63, 0, 1, 'template_set', '_MD_AM_DTPLSET', 'default', '_MD_AM_DTPLSETDSC', 'tplset', 'other', 14),
(64, 0, 6, 'mailmethod', '_MD_AM_MAILERMETHOD', 'mail', '_MD_AM_MAILERMETHODDESC', 'select', 'text', 4),
(65, 0, 6, 'smtphost', '_MD_AM_SMTPHOST', 'a:1:{i:0;s:0:"";}', '_MD_AM_SMTPHOSTDESC', 'textarea', 'array', 6),
(66, 0, 6, 'smtpuser', '_MD_AM_SMTPUSER', '', '_MD_AM_SMTPUSERDESC', 'textbox', 'text', 7),
(67, 0, 6, 'smtppass', '_MD_AM_SMTPPASS', '', '_MD_AM_SMTPPASSDESC', 'password', 'text', 8),
(68, 0, 6, 'sendmailpath', '_MD_AM_SENDMAILPATH', '/usr/sbin/sendmail', '_MD_AM_SENDMAILPATHDESC', 'textbox', 'text', 5),
(69, 0, 6, 'from', '_MD_AM_MAILFROM', '', '_MD_AM_MAILFROMDESC', 'textbox', 'text', 1),
(70, 0, 6, 'fromname', '_MD_AM_MAILFROMNAME', '', '_MD_AM_MAILFROMNAMEDESC', 'textbox', 'text', 2),
(71, 0, 1, 'sslloginlink', '_MD_AM_SSLLINK', 'https://', '_MD_AM_SSLLINKDSC', 'textbox', 'text', 33),
(72, 0, 1, 'theme_set_allowed', '_MD_AM_THEMEOK', 'a:1:{i:0;s:10:"school2012";}', '_MD_AM_THEMEOKDSC', 'theme_multi', 'array', 13),
(73, 0, 6, 'fromuid', '_MD_AM_MAILFROMUID', '1', '_MD_AM_MAILFROMUIDDESC', 'user', 'int', 3),
(74, 0, 7, 'auth_method', '_MD_AM_AUTHMETHOD', 'xoops', '_MD_AM_AUTHMETHODDESC', 'select', 'text', 1),
(75, 0, 7, 'ldap_port', '_MD_AM_LDAP_PORT', '389', '_MD_AM_LDAP_PORT', 'textbox', 'int', 2),
(76, 0, 7, 'ldap_server', '_MD_AM_LDAP_SERVER', 'your directory server', '_MD_AM_LDAP_SERVER_DESC', 'textbox', 'text', 3),
(77, 0, 7, 'ldap_base_dn', '_MD_AM_LDAP_BASE_DN', 'dc=xoops,dc=org', '_MD_AM_LDAP_BASE_DN_DESC', 'textbox', 'text', 4),
(78, 0, 7, 'ldap_manager_dn', '_MD_AM_LDAP_MANAGER_DN', 'manager_dn', '_MD_AM_LDAP_MANAGER_DN_DESC', 'textbox', 'text', 5),
(79, 0, 7, 'ldap_manager_pass', '_MD_AM_LDAP_MANAGER_PASS', 'manager_pass', '_MD_AM_LDAP_MANAGER_PASS_DESC', 'password', 'text', 6),
(80, 0, 7, 'ldap_version', '_MD_AM_LDAP_VERSION', '3', '_MD_AM_LDAP_VERSION_DESC', 'textbox', 'text', 7),
(81, 0, 7, 'ldap_users_bypass', '_MD_AM_LDAP_USERS_BYPASS', 'a:1:{i:0;s:5:"admin";}', '_MD_AM_LDAP_USERS_BYPASS_DESC', 'textarea', 'array', 8),
(82, 0, 7, 'ldap_loginname_asdn', '_MD_AM_LDAP_LOGINNAME_ASDN', 'uid_asdn', '_MD_AM_LDAP_LOGINNAME_ASDN_D', 'yesno', 'int', 9),
(83, 0, 7, 'ldap_loginldap_attr', '_MD_AM_LDAP_LOGINLDAP_ATTR', 'uid', '_MD_AM_LDAP_LOGINLDAP_ATTR_D', 'textbox', 'text', 10),
(84, 0, 7, 'ldap_filter_person', '_MD_AM_LDAP_FILTER_PERSON', '', '_MD_AM_LDAP_FILTER_PERSON_DESC', 'textbox', 'text', 11),
(85, 0, 7, 'ldap_domain_name', '_MD_AM_LDAP_DOMAIN_NAME', 'mydomain', '_MD_AM_LDAP_DOMAIN_NAME_DESC', 'textbox', 'text', 12),
(86, 0, 7, 'ldap_provisionning', '_MD_AM_LDAP_PROVIS', '0', '_MD_AM_LDAP_PROVIS_DESC', 'yesno', 'int', 13),
(87, 0, 7, 'ldap_provisionning_group', '_MD_AM_LDAP_PROVIS_GROUP', 'a:1:{i:0;s:1:"2";}', '_MD_AM_LDAP_PROVIS_GROUP_DSC', 'group_multi', 'array', 14),
(88, 0, 7, 'ldap_mail_attr', '_MD_AM_LDAP_MAIL_ATTR', 'mail', '_MD_AM_LDAP_MAIL_ATTR_DESC', 'textbox', 'text', 15),
(89, 0, 7, 'ldap_givenname_attr', '_MD_AM_LDAP_GIVENNAME_ATTR', 'givenname', '_MD_AM_LDAP_GIVENNAME_ATTR_DSC', 'textbox', 'text', 16),
(90, 0, 7, 'ldap_surname_attr', '_MD_AM_LDAP_SURNAME_ATTR', 'sn', '_MD_AM_LDAP_SURNAME_ATTR_DESC', 'textbox', 'text', 17),
(91, 0, 7, 'ldap_field_mapping', '_MD_AM_LDAP_FIELD_MAPPING_ATTR', 'email=mail|name=displayname', '_MD_AM_LDAP_FIELD_MAPPING_DESC', 'textarea', 'text', 18),
(92, 0, 7, 'ldap_provisionning_upd', '_MD_AM_LDAP_PROVIS_UPD', '1', '_MD_AM_LDAP_PROVIS_UPD_DESC', 'yesno', 'int', 19),
(93, 0, 7, 'ldap_use_TLS', '_MD_AM_LDAP_USETLS', '0', '_MD_AM_LDAP_USETLS_DESC', 'yesno', 'int', 20),
(94, 0, 1, 'cpanel', '_MD_AM_CPANEL', 'default', '_MD_AM_CPANELDSC', 'cpanel', 'other', 11),
(95, 0, 2, 'welcome_type', '_MD_AM_WELCOMETYPE', '1', '_MD_AM_WELCOMETYPE_DESC', 'select', 'int', 3),
(96, 1, 0, 'break1', '_MI_SYSTEM_PREFERENCE_BREAK_GENERAL', 'head', '', 'line_break', 'textbox', 0),
(97, 1, 0, 'usetips', '_MI_SYSTEM_PREFERENCE_TIPS', '1', '_MI_SYSTEM_PREFERENCE_TIPS_DSC', 'yesno', 'int', 10),
(98, 1, 0, 'typeicons', '_MI_SYSTEM_PREFERENCE_ICONS', 'default', '', 'select', 'text', 20),
(99, 1, 0, 'typebreadcrumb', '_MI_SYSTEM_PREFERENCE_BREADCRUMB', 'default', '', 'select', 'text', 30),
(100, 1, 0, 'break2', '_MI_SYSTEM_PREFERENCE_BREAK_ACTIVE', 'head', '', 'line_break', 'textbox', 40),
(101, 1, 0, 'active_avatars', '_MI_SYSTEM_PREFERENCE_ACTIVE_AVATARS', '1', '', 'yesno', 'int', 50),
(102, 1, 0, 'active_banners', '_MI_SYSTEM_PREFERENCE_ACTIVE_BANNERS', '1', '', 'yesno', 'int', 60),
(103, 1, 0, 'active_blocksadmin', '_MI_SYSTEM_PREFERENCE_ACTIVE_BLOCKSADMIN', '1', '', 'hidden', 'int', 70),
(104, 1, 0, 'active_comments', '_MI_SYSTEM_PREFERENCE_ACTIVE_COMMENTS', '1', '', 'yesno', 'int', 80),
(105, 1, 0, 'active_filemanager', '_MI_SYSTEM_PREFERENCE_ACTIVE_FILEMANAGER', '1', '', 'yesno', 'int', 90),
(106, 1, 0, 'active_groups', '_MI_SYSTEM_PREFERENCE_ACTIVE_GROUPS', '1', '', 'hidden', 'int', 100),
(107, 1, 0, 'active_images', '_MI_SYSTEM_PREFERENCE_ACTIVE_IMAGES', '1', '', 'yesno', 'int', 110),
(108, 1, 0, 'active_mailusers', '_MI_SYSTEM_PREFERENCE_ACTIVE_MAILUSERS', '1', '', 'yesno', 'int', 120),
(109, 1, 0, 'active_modulesadmin', '_MI_SYSTEM_PREFERENCE_ACTIVE_MODULESADMIN', '1', '', 'hidden', 'int', 130),
(110, 1, 0, 'active_maintenance', '_MI_SYSTEM_PREFERENCE_ACTIVE_MAINTENANCE', '1', '', 'yesno', 'int', 140),
(111, 1, 0, 'active_preferences', '_MI_SYSTEM_PREFERENCE_ACTIVE_PREFERENCES', '1', '', 'hidden', 'int', 150),
(112, 1, 0, 'active_smilies', '_MI_SYSTEM_PREFERENCE_ACTIVE_SMILIES', '1', '', 'yesno', 'int', 160),
(113, 1, 0, 'active_tplsets', '_MI_SYSTEM_PREFERENCE_ACTIVE_TPLSETS', '1', '', 'hidden', 'int', 170),
(114, 1, 0, 'active_userrank', '_MI_SYSTEM_PREFERENCE_ACTIVE_USERRANK', '1', '', 'yesno', 'int', 180),
(115, 1, 0, 'active_users', '_MI_SYSTEM_PREFERENCE_ACTIVE_USERS', '1', '', 'yesno', 'int', 190),
(116, 1, 0, 'break3', '_MI_SYSTEM_PREFERENCE_BREAK_PAGER', 'head', '', 'line_break', 'textbox', 200),
(117, 1, 0, 'avatars_pager', '_MI_SYSTEM_PREFERENCE_AVATARS_PAGER', '10', '', 'textbox', 'int', 210),
(118, 1, 0, 'banners_pager', '_MI_SYSTEM_PREFERENCE_BANNERS_PAGER', '10', '', 'textbox', 'int', 220),
(119, 1, 0, 'comments_pager', '_MI_SYSTEM_PREFERENCE_COMMENTS_PAGER', '20', '', 'textbox', 'int', 230),
(120, 1, 0, 'groups_pager', '_MI_SYSTEM_PREFERENCE_GROUPS_PAGER', '15', '', 'textbox', 'int', 240),
(121, 1, 0, 'images_pager', '_MI_SYSTEM_PREFERENCE_IMAGES_PAGER', '15', '', 'textbox', 'int', 250),
(122, 1, 0, 'smilies_pager', '_MI_SYSTEM_PREFERENCE_SMILIES_PAGER', '20', '', 'textbox', 'int', 260),
(123, 1, 0, 'userranks_pager', '_MI_SYSTEM_PREFERENCE_USERRANKS_PAGER', '20', '', 'textbox', 'int', 270),
(124, 1, 0, 'users_pager', '_MI_SYSTEM_PREFERENCE_USERS_PAGER', '20', '', 'textbox', 'int', 280),
(125, 1, 0, 'break4', '_MI_SYSTEM_PREFERENCE_BREAK_EDITOR', 'head', '', 'line_break', 'textbox', 290),
(126, 1, 0, 'blocks_editor', '_MI_SYSTEM_PREFERENCE_BLOCKS_EDITOR', 'dhtmltextarea', '_MI_SYSTEM_PREFERENCE_BLOCKS_EDITOR_DSC', 'select', 'text', 300),
(127, 1, 0, 'comments_editor', '_MI_SYSTEM_PREFERENCE_COMMENTS_EDITOR', 'dhtmltextarea', '_MI_SYSTEM_PREFERENCE_COMMENTS_EDITOR_DSC', 'select', 'text', 310),
(128, 1, 0, 'general_editor', '_MI_SYSTEM_PREFERENCE_GENERAL_EDITOR', 'dhtmltextarea', '_MI_SYSTEM_PREFERENCE_GENERAL_EDITOR_DSC', 'select', 'text', 320),
(129, 1, 0, 'redirect', '_MI_SYSTEM_PREFERENCE_REDIRECT', 'admin.php?fct=preferences', '', 'hidden', 'text', 330),
(130, 1, 0, 'com_anonpost', '_MI_SYSTEM_PREFERENCE_ANONPOST', '', '', 'hidden', 'text', 340),
(133, 1, 0, 'jquery_theme', '_MI_SYSTEM_PREFERENCE_JQUERY_THEME', 'base', '', 'select', 'text', 35),
(134, 0, 1, 'redirect_message_ajax', '_MD_AM_CUSTOM_REDIRECT', '1', '_MD_AM_CUSTOM_REDIRECT_DESC', 'yesno', 'int', 12),
(139, 4, 0, 'google_api_key', '_MI_TADTOOLS_TITLE1', '', '_MI_TADTOOLS_DESC1', 'textbox', 'text', 0),
(140, 4, 0, 'facebook_comments_width', '_MI_TADTOOLS_TITLE2', '600', '_MI_TADTOOLS_DESC2', 'textbox', 'text', 1),
(141, 4, 0, 'jquery_mode', '_MI_TADTOOLS_TITLE3', 'google', '_MI_TADTOOLS_DESC3', 'select', 'text', 2);

DROP TABLE IF EXISTS `xx_configcategory`;
CREATE TABLE `xx_configcategory` (
  `confcat_id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `confcat_name` varchar(255) NOT NULL DEFAULT '',
  `confcat_order` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`confcat_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;

INSERT INTO `xx_configcategory` (`confcat_id`, `confcat_name`, `confcat_order`) VALUES
(1, '_MD_AM_GENERAL', 0),
(2, '_MD_AM_USERSETTINGS', 0),
(3, '_MD_AM_METAFOOTER', 0),
(4, '_MD_AM_CENSOR', 0),
(5, '_MD_AM_SEARCH', 0),
(6, '_MD_AM_MAILER', 0),
(7, '_MD_AM_AUTHENTICATION', 0);

DROP TABLE IF EXISTS `xx_configoption`;
CREATE TABLE `xx_configoption` (
  `confop_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `confop_name` varchar(255) NOT NULL DEFAULT '',
  `confop_value` varchar(255) NOT NULL DEFAULT '',
  `conf_id` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`confop_id`),
  KEY `conf_id` (`conf_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=56 ;

INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES
(1, '_MD_AM_DEBUGMODE1', '1', 13),
(2, '_MD_AM_DEBUGMODE2', '2', 13),
(3, '_NESTED', 'nest', 32),
(4, '_FLAT', 'flat', 32),
(5, '_THREADED', 'thread', 32),
(6, '_OLDESTFIRST', '0', 33),
(7, '_NEWESTFIRST', '1', 33),
(8, '_MD_AM_USERACTV', '0', 21),
(9, '_MD_AM_AUTOACTV', '1', 21),
(10, '_MD_AM_ADMINACTV', '2', 21),
(11, '_MD_AM_STRICT', '0', 23),
(12, '_MD_AM_MEDIUM', '1', 23),
(13, '_MD_AM_LIGHT', '2', 23),
(14, '_MD_AM_DEBUGMODE3', '3', 13),
(15, '_MD_AM_INDEXFOLLOW', 'index,follow', 43),
(16, '_MD_AM_NOINDEXFOLLOW', 'noindex,follow', 43),
(17, '_MD_AM_INDEXNOFOLLOW', 'index,nofollow', 43),
(18, '_MD_AM_NOINDEXNOFOLLOW', 'noindex,nofollow', 43),
(19, '_MD_AM_METAOGEN', 'general', 48),
(20, '_MD_AM_METAO14YRS', '14 years', 48),
(21, '_MD_AM_METAOREST', 'restricted', 48),
(22, '_MD_AM_METAOMAT', 'mature', 48),
(23, '_MD_AM_DEBUGMODE0', '0', 13),
(24, 'PHP mail()', 'mail', 64),
(25, 'sendmail', 'sendmail', 64),
(26, 'SMTP', 'smtp', 64),
(27, 'SMTPAuth', 'smtpauth', 64),
(28, '_MD_AM_AUTH_CONFOPTION_XOOPS', 'xoops', 74),
(29, '_MD_AM_AUTH_CONFOPTION_LDAP', 'ldap', 74),
(30, '_MD_AM_AUTH_CONFOPTION_AD', 'ads', 74),
(31, '_NO', '0', 95),
(32, '_MD_AM_WELCOMETYPE_EMAIL', '1', 95),
(33, '_MD_AM_WELCOMETYPE_PM', '2', 95),
(34, '_MD_AM_WELCOMETYPE_BOTH', '3', 95),
(35, 'dhtmltextarea', 'dhtmltextarea', 126),
(36, 'textarea', 'textarea', 126),
(37, 'tinymce', 'tinymce', 126),
(38, 'dhtmltextarea', 'dhtmltextarea', 127),
(39, 'textarea', 'textarea', 127),
(40, 'tinymce', 'tinymce', 127),
(41, 'dhtmltextarea', 'dhtmltextarea', 128),
(42, 'textarea', 'textarea', 128),
(43, 'tinymce', 'tinymce', 128),
(44, 'default', 'default', 98),
(45, 'default', 'default', 99),
(46, 'base', 'base', 133),
(47, 'cupertino', 'cupertino', 133),
(48, 'redmond', 'redmond', 133),
(49, 'smoothness', 'smoothness', 133),
(50, 'south-street', 'south-street', 133),
(51, 'ui-darkness', 'ui-darkness', 133),
(52, 'ui-lightness', 'ui-lightness', 133),
(53, '使用 Google 的 jquery API（推薦，最能避免衝突）', 'google', 141),
(54, '使用 TadTools 內建的 jquery（或許會和其他非Tad系列模組相衝突）', 'local', 141),
(55, '關閉 jquery 功能（需自己手動加至佈景，記得也要加入 jquery ui）', 'none', 141);

DROP TABLE IF EXISTS `xx_groups`;
CREATE TABLE `xx_groups` (
  `groupid` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL DEFAULT '',
  `description` text,
  `group_type` varchar(10) NOT NULL DEFAULT '',
  PRIMARY KEY (`groupid`),
  KEY `group_type` (`group_type`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

INSERT INTO `xx_groups` (`groupid`, `name`, `description`, `group_type`) VALUES
(1, '管理員', '管理員群組', 'Admin'),
(2, '註冊會員', '註冊會員群組', 'User'),
(3, '訪客', '訪客群組', 'Anonymous');

DROP TABLE IF EXISTS `xx_groups_users_link`;
CREATE TABLE `xx_groups_users_link` (
  `linkid` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `groupid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `uid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`linkid`),
  KEY `groupid_uid` (`groupid`,`uid`),
  KEY `uid` (`uid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

INSERT INTO `xx_groups_users_link` (`linkid`, `groupid`, `uid`) VALUES
(1, 1, 1),
(2, 2, 1);

DROP TABLE IF EXISTS `xx_group_permission`;
CREATE TABLE `xx_group_permission` (
  `gperm_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `gperm_groupid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `gperm_itemid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `gperm_modid` mediumint(5) unsigned NOT NULL DEFAULT '0',
  `gperm_name` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`gperm_id`),
  KEY `groupid` (`gperm_groupid`),
  KEY `itemid` (`gperm_itemid`),
  KEY `gperm_modid` (`gperm_modid`,`gperm_name`(10))
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=81 ;

INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES
(1, 1, 1, 1, 'module_admin'),
(2, 1, 1, 1, 'module_read'),
(3, 2, 1, 1, 'module_read'),
(4, 3, 1, 1, 'module_read'),
(5, 1, 1, 1, 'system_admin'),
(6, 1, 2, 1, 'system_admin'),
(7, 1, 3, 1, 'system_admin'),
(8, 1, 4, 1, 'system_admin'),
(9, 1, 5, 1, 'system_admin'),
(10, 1, 6, 1, 'system_admin'),
(11, 1, 7, 1, 'system_admin'),
(12, 1, 8, 1, 'system_admin'),
(13, 1, 9, 1, 'system_admin'),
(14, 1, 10, 1, 'system_admin'),
(15, 1, 11, 1, 'system_admin'),
(16, 1, 12, 1, 'system_admin'),
(17, 1, 13, 1, 'system_admin'),
(18, 1, 14, 1, 'system_admin'),
(19, 1, 15, 1, 'system_admin'),
(20, 1, 16, 1, 'system_admin'),
(21, 1, 17, 1, 'system_admin'),
(22, 1, 1, 1, 'block_read'),
(23, 2, 1, 1, 'block_read'),
(24, 3, 1, 1, 'block_read'),
(25, 1, 2, 1, 'block_read'),
(26, 2, 2, 1, 'block_read'),
(27, 3, 2, 1, 'block_read'),
(28, 1, 3, 1, 'block_read'),
(29, 2, 3, 1, 'block_read'),
(30, 3, 3, 1, 'block_read'),
(31, 1, 4, 1, 'block_read'),
(32, 2, 4, 1, 'block_read'),
(33, 3, 4, 1, 'block_read'),
(34, 1, 5, 1, 'block_read'),
(35, 2, 5, 1, 'block_read'),
(36, 3, 5, 1, 'block_read'),
(37, 1, 6, 1, 'block_read'),
(38, 2, 6, 1, 'block_read'),
(39, 3, 6, 1, 'block_read'),
(40, 1, 7, 1, 'block_read'),
(41, 2, 7, 1, 'block_read'),
(42, 3, 7, 1, 'block_read'),
(43, 1, 8, 1, 'block_read'),
(44, 2, 8, 1, 'block_read'),
(45, 3, 8, 1, 'block_read'),
(46, 1, 9, 1, 'block_read'),
(47, 2, 9, 1, 'block_read'),
(48, 3, 9, 1, 'block_read'),
(49, 1, 10, 1, 'block_read'),
(50, 2, 10, 1, 'block_read'),
(51, 3, 10, 1, 'block_read'),
(52, 1, 11, 1, 'block_read'),
(53, 2, 11, 1, 'block_read'),
(54, 3, 11, 1, 'block_read'),
(55, 1, 12, 1, 'block_read'),
(56, 2, 12, 1, 'block_read'),
(57, 3, 12, 1, 'block_read'),
(58, 1, 2, 1, 'module_admin'),
(59, 1, 2, 1, 'module_read'),
(60, 2, 2, 1, 'module_read'),
(61, 3, 2, 1, 'module_read'),
(62, 1, 3, 1, 'module_admin'),
(63, 1, 3, 1, 'module_read'),
(64, 1, 13, 1, 'block_read'),
(65, 1, 4, 1, 'module_admin'),
(66, 1, 4, 1, 'module_read'),
(67, 1, 14, 1, 'block_read'),
(80, 3, 18, 1, 'block_read'),
(79, 1, 18, 1, 'block_read'),
(70, 1, 15, 1, 'block_read'),
(71, 2, 15, 1, 'block_read'),
(72, 3, 15, 1, 'block_read'),
(73, 1, 16, 1, 'block_read'),
(74, 2, 16, 1, 'block_read'),
(75, 3, 16, 1, 'block_read'),
(76, 1, 17, 1, 'block_read');

DROP TABLE IF EXISTS `xx_image`;
CREATE TABLE `xx_image` (
  `image_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `image_name` varchar(30) NOT NULL DEFAULT '',
  `image_nicename` varchar(255) NOT NULL DEFAULT '',
  `image_mimetype` varchar(30) NOT NULL DEFAULT '',
  `image_created` int(10) unsigned NOT NULL DEFAULT '0',
  `image_display` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `image_weight` smallint(5) unsigned NOT NULL DEFAULT '0',
  `imgcat_id` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`image_id`),
  KEY `imgcat_id` (`imgcat_id`),
  KEY `image_display` (`image_display`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_imagebody`;
CREATE TABLE `xx_imagebody` (
  `image_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `image_body` mediumblob,
  KEY `image_id` (`image_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `xx_imagecategory`;
CREATE TABLE `xx_imagecategory` (
  `imgcat_id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `imgcat_name` varchar(100) NOT NULL DEFAULT '',
  `imgcat_maxsize` int(8) unsigned NOT NULL DEFAULT '0',
  `imgcat_maxwidth` smallint(3) unsigned NOT NULL DEFAULT '0',
  `imgcat_maxheight` smallint(3) unsigned NOT NULL DEFAULT '0',
  `imgcat_display` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `imgcat_weight` smallint(3) unsigned NOT NULL DEFAULT '0',
  `imgcat_type` char(1) NOT NULL DEFAULT '',
  `imgcat_storetype` varchar(5) NOT NULL DEFAULT '',
  PRIMARY KEY (`imgcat_id`),
  KEY `imgcat_display` (`imgcat_display`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_imgset`;
CREATE TABLE `xx_imgset` (
  `imgset_id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `imgset_name` varchar(50) NOT NULL DEFAULT '',
  `imgset_refid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`imgset_id`),
  KEY `imgset_refid` (`imgset_refid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `xx_imgset` (`imgset_id`, `imgset_name`, `imgset_refid`) VALUES
(1, 'default', 0);

DROP TABLE IF EXISTS `xx_imgsetimg`;
CREATE TABLE `xx_imgsetimg` (
  `imgsetimg_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `imgsetimg_file` varchar(50) NOT NULL DEFAULT '',
  `imgsetimg_body` blob,
  `imgsetimg_imgset` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`imgsetimg_id`),
  KEY `imgsetimg_imgset` (`imgsetimg_imgset`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_imgset_tplset_link`;
CREATE TABLE `xx_imgset_tplset_link` (
  `imgset_id` smallint(5) unsigned NOT NULL DEFAULT '0',
  `tplset_name` varchar(50) NOT NULL DEFAULT '',
  KEY `tplset_name` (`tplset_name`(10))
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `xx_imgset_tplset_link` (`imgset_id`, `tplset_name`) VALUES
(1, 'default');

DROP TABLE IF EXISTS `xx_modules`;
CREATE TABLE `xx_modules` (
  `mid` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(150) NOT NULL DEFAULT '',
  `version` smallint(5) unsigned NOT NULL DEFAULT '100',
  `last_update` int(10) unsigned NOT NULL DEFAULT '0',
  `weight` smallint(3) unsigned NOT NULL DEFAULT '0',
  `isactive` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `dirname` varchar(25) NOT NULL DEFAULT '',
  `hasmain` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `hasadmin` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `hassearch` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `hasconfig` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `hascomments` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `hasnotification` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`mid`),
  KEY `hasmain` (`hasmain`),
  KEY `hasadmin` (`hasadmin`),
  KEY `hassearch` (`hassearch`),
  KEY `hasnotification` (`hasnotification`),
  KEY `dirname` (`dirname`),
  KEY `name` (`name`(15)),
  KEY `isactive` (`isactive`),
  KEY `weight` (`weight`),
  KEY `hascomments` (`hascomments`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES
(1, '系統管理', 210, 1341588017, 0, 1, 'system', 0, 1, 0, 0, 0, 0),
(2, '私人簡訊', 108, 1341588220, 1, 1, 'pm', 1, 1, 0, 1, 0, 0),
(3, '佈景管理', 100, 1341589182, 1, 1, 'tad_themes', 0, 1, 0, 0, 0, 0),
(4, 'Tad Tools 工具包', 180, 1341589192, 1, 1, 'tadtools', 0, 1, 0, 1, 0, 0);

DROP TABLE IF EXISTS `xx_newblocks`;
CREATE TABLE `xx_newblocks` (
  `bid` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `mid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `func_num` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `options` varchar(255) NOT NULL DEFAULT '',
  `name` varchar(150) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `content` text,
  `side` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `weight` smallint(5) unsigned NOT NULL DEFAULT '0',
  `visible` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `block_type` char(1) NOT NULL DEFAULT '',
  `c_type` char(1) NOT NULL DEFAULT '',
  `isactive` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `dirname` varchar(50) NOT NULL DEFAULT '',
  `func_file` varchar(50) NOT NULL DEFAULT '',
  `show_func` varchar(50) NOT NULL DEFAULT '',
  `edit_func` varchar(50) NOT NULL DEFAULT '',
  `template` varchar(50) NOT NULL DEFAULT '',
  `bcachetime` int(10) unsigned NOT NULL DEFAULT '0',
  `last_modified` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`bid`),
  KEY `mid` (`mid`),
  KEY `visible` (`visible`),
  KEY `isactive_visible_mid` (`isactive`,`visible`,`mid`),
  KEY `mid_funcnum` (`mid`,`func_num`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=19 ;

INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES
(1, 1, 0, '', '會員選單', '會員選單', '', 0, 2, 0, 'S', 'H', 1, 'system', 'system_blocks.php', 'b_system_user_show', '', 'system_block_user.html', 0, 1341591734),
(2, 1, 2, '', '會員登入', '會員登入', '', 0, 0, 0, 'S', 'H', 1, 'system', 'system_blocks.php', 'b_system_login_show', '', 'system_block_login.html', 0, 1341591734),
(3, 1, 3, '', '搜尋', '搜尋', '', 0, 3, 0, 'S', 'H', 1, 'system', 'system_blocks.php', 'b_system_search_show', '', 'system_block_search.html', 0, 1341591734),
(4, 1, 4, '', '等待驗證', '等待驗證', '', 0, 4, 0, 'S', 'H', 1, 'system', 'system_blocks.php', 'b_system_waiting_show', '', 'system_block_waiting.html', 0, 1341591734),
(5, 1, 5, '', '主選單', '主選單', '', 0, 1, 1, 'S', 'H', 1, 'system', 'system_blocks.php', 'b_system_main_show', '', 'system_block_mainmenu.html', 0, 1341591734),
(6, 1, 6, '320|190|s_poweredby.gif|1', '本站資訊', '本站資訊', '', 0, 5, 0, 'S', 'H', 1, 'system', 'system_blocks.php', 'b_system_info_show', 'b_system_info_edit', 'system_block_siteinfo.html', 0, 1341591734),
(7, 1, 7, '', '線上使用者', '線上使用者', '', 0, 6, 0, 'S', 'H', 1, 'system', 'system_blocks.php', 'b_system_online_show', '', 'system_block_online.html', 0, 1341591734),
(8, 1, 8, '10|1', '積分排行榜', '積分排行榜', '', 0, 7, 0, 'S', 'H', 1, 'system', 'system_blocks.php', 'b_system_topposters_show', 'b_system_topposters_edit', 'system_block_topusers.html', 0, 1341591734),
(9, 1, 9, '10|1', '歡迎新會員', '歡迎新會員', '', 0, 8, 0, 'S', 'H', 1, 'system', 'system_blocks.php', 'b_system_newmembers_show', 'b_system_newmembers_edit', 'system_block_newusers.html', 0, 1341591734),
(10, 1, 10, '10', '最新評論', '最新評論', '', 0, 9, 0, 'S', 'H', 1, 'system', 'system_blocks.php', 'b_system_comments_show', 'b_system_comments_edit', 'system_block_comments.html', 0, 1341591734),
(11, 1, 11, '', '通知選項', '通知選項', '', 0, 10, 0, 'S', 'H', 1, 'system', 'system_blocks.php', 'b_system_notification_show', '', 'system_block_notification.html', 0, 1341591734),
(12, 1, 12, '0|80', '網站佈景', '網站佈景', '', 0, 11, 0, 'S', 'H', 1, 'system', 'system_blocks.php', 'b_system_themes_show', 'b_system_themes_edit', 'system_block_themes.html', 0, 1341591734),
(13, 3, 1, '', '佈景工具箱', '佈景工具箱', '', 0, 12, 0, 'M', 'H', 1, 'tad_themes', 'tad_themes_config.php', 'tad_themes_config', '', 'tad_themes_config.html', 0, 1341591734),
(14, 0, 0, '', '自訂區塊（PHP）', '初始化設定[hide]', 'global $xoopsDB,$xoopsUser;\r\n$isAdmin=$xoopsUser->isAdmin(1);\r\nif($xoopsUser and $isAdmin){\r\n  if($_POST[''xoops_op'']=="change_admin_passwd"){\r\n\r\n    $pass=md5($_POST[''new_admin_passwd'']);\r\n\r\n    //修改XOOPS密碼\r\n    $sql="update ".$xoopsDB->prefix("users")." set pass =''{$pass}'' where uname=''admin'' and uid=''1''";\r\n    $xoopsDB->query($sql) or redirect_header($_SERVER[''PHP_SELF''],3, "密碼修改失敗！！");\r\n\r\n    //修改資料庫密碼\r\n    $sql="SET PASSWORD FOR ''root''@''127.0.0.1'' = PASSWORD( ''{$_POST[''new_admin_passwd'']}'' )";\r\n    $xoopsDB->queryF($sql) or redirect_header($_SERVER[''PHP_SELF''],3, "修改資料庫密碼失敗！！");\r\n\r\n    //修改 secure.php 密碼\r\n    $file=XOOPS_VAR_PATH . ''/data/secure.php'';\r\n    if (file_exists($file)) {\r\n      $content = file_get_contents($file);\r\n      $content=str_replace("define(''XOOPS_DB_PASS'', ''".XOOPS_DB_PASS."'');","define(''XOOPS_DB_PASS'', ''{$_POST[''new_admin_passwd'']}'');",$content);\r\n      if(!file_put_contents($file,$content)){\r\n        redirect_header($_SERVER[''PHP_SELF''],3, "儲存設定失敗！");\r\n      }\r\n    }\r\n\r\n    //修改UniServer密碼\r\n    $path_array = explode("\\\\www",dirname(__FILE__));\r\n    $file2="{$path_array[0]}\\\\uni_con\\\\includes\\\\mysql_password";\r\n    if (file_exists($file2)) {\r\n      if(!file_put_contents($file2,$_POST[''new_admin_passwd''])){\r\n        redirect_header($_SERVER[''PHP_SELF''],3, "儲存UniServer密碼設定失敗！");\r\n      }\r\n    }\r\n\r\n    //關閉修改密碼區塊\r\n    $sql="update ".$xoopsDB->prefix("newblocks")." SET `visible`=0 WHERE `bid`=14 or `bid`=18";\r\n    $xoopsDB->query($sql) or redirect_header($_SERVER[''PHP_SELF''],3, "關閉修改密碼區塊失敗！！");\r\n\r\n    redirect_header($_SERVER[''PHP_SELF''],3, "密碼修改成功！日後請以新密碼登入！");\r\n  }else{\r\n    $main="\r\n    <form action=''{$_SERVER[''PHP_SELF'']}'' method=''post'' style=''background-color:red;color:white;padding:6px;-webkit-border-radius: 5px;-moz-border-radius: 5px;border-radius: 5px;''>\r\n    <img src=''".XOOPS_URL."/modules/tad_themes/images/waring.png'' alt=''請重新輸入一個密碼'' title=''請重新輸入一個密碼'' style=''float:left;margin-right:10px;''>\r\n    請修改密碼：<input type=''text'' name=''new_admin_passwd'' value=''''>\r\n    <input type=''hidden'' name=''xoops_op'' value=''change_admin_passwd''>\r\n    <input type=''submit'' value=''重設密碼''>\r\n    <div>預設密碼是公開的，因此，請重新輸入一個密碼，並重設密碼，以策安全</div>\r\n    </form>";\r\n  }\r\n  echo $main;\r\n}', 5, 0, 1, 'C', 'P', 1, '', '', '', '', '', 0, 1341656772),
(15, 0, 0, '', '自訂區塊（HTML）', '臺南市教育局最新公告[pic]images/tn_news_block_title.png', '<style>\r\ntable.sub td{\r\npadding:4px 0px;\r\n}\r\n</style>\r\n<div id=edu_center_C></div><script language=JavaScript src=http://bulletin.tn.edu.tw/GetNews.aspx?stype=edu_center_C&fontsize=1 charset=utf-8 defer=defer ></script> ', 9, 0, 0, 'C', 'H', 1, '', '', '', '', '', 0, 1341592251),
(16, 0, 0, '', '自訂區塊（HTML）', 'logo[hide]', '<a href="http://campus-xoops.tn.edu.tw" target=''_blank''><img src="http://120.115.2.90/logo.php" alt="本站以XOOPS校園網站輕鬆架建置"></a>', 1, 0, 1, 'C', 'H', 1, '', '', '', '', '', 0, 1341590040),
(17, 0, 0, '', '自訂區塊（HTML）', '首次安裝時您該做的事', '<style>\r\nol#first_time_note ,#first_time_note li{\r\n	margin: 0;\r\n	padding: 0;\r\n	line-height:180%;\r\n}\r\n\r\nol#first_time_note  ,ol#first_time_note li  ,#first_time_note li ol li {\r\n	list-style: decimal outside none;\r\n}\r\n#first_time_note li {\r\n	margin-left: 2em;\r\n	color:rgb(80,80,80);\r\n}\r\n#first_time_note  li ol {\r\n	margin-bottom: 0;\r\n}\r\n</style>\r\n<p style="border:1px dotted #FF0033;padding:5px 10px;background-color:#FFFFCC;font-weight:bold;">底下是您應該要做的幾件事情，請依序完成吧！</p>\r\n<ol  id="first_time_note">\r\n    <li>請先修改管理員密碼！（若是上方有出現紅色的區塊，請修改之！）</li>\r\n    <li><a href="{X_SITEURL}modules/system/admin.php?fct=preferences&amp;op=show&amp;confcat_id=1" target="_blank">設定網站名稱，並修改網站管理員的Email</a></li>\r\n    <li><a href="{X_SITEURL}modules/system/admin.php?fct=users&op=users_edit&uid=1" target="_blank">修改站長暱稱（即登入帳號），並修改站長的Email</a></li>\r\n    <li><a href="{X_SITEURL}modules/system/admin.php?fct=preferences&amp;op=show&amp;confcat_id=3" target="_blank">設定頁尾，可將整個「頁尾註腳」清空，自己輸入相關的資訊，如學校電話、地址...等。 </a></li>\r\n    <li><a href="{X_SITEURL}modules/system/admin.php?fct=modulesadmin" target="_blank">調整模組，把模組改成喜好的名稱，或者把不需要的模組停用或移除。</a></li>\r\n    <li><a href="{X_SITEURL}modules/system/admin.php?fct=blocksadmin" target="_blank">調整區塊，自行啟用新區塊或刪除不需要的區塊。</a></li>\r\n    <li><a href="{X_SITEURL}modules/tad_themes/admin/index.php" target="_blank">修改佈景：請做個幾張980x300的圖到「logo圖」進行上傳，首頁的標題圖便會煥然一新。</a></li>\r\n    <li><a href="{X_SITEURL}modules/system/admin.php?fct=blocksadmin&op=edit&bid=17" target="_blank">請停用本區塊吧！（「僅顯示啟用？」選「否」即可）</a></li>\r\n</ol>\r\n<p>本系統由臺南市教育局資訊中心吳老師製作維護，若有任何使用上的問題或建議，歡迎來信tad@tn.edu.tw。</p>', 5, 2, 1, 'C', 'H', 1, '', '', '', '', '', 0, 1341657115),
(18, 0, 0, '', '自訂區塊（PHP）', '登入帳號密碼[hide]', '\nglobal $xoopsDB,$xoopsUser;\nif(empty($xoopsUser)){\n  $sql="select `pass` from ".$xoopsDB->prefix("users")." where `uname` = ''admin''";\n  $result = $xoopsDB->queryF($sql) ;\n  list($passwd)=$xoopsDB->fetchRow($result);\n\n  if(md5(''2130669#33'')==$passwd){\n      echo ''\n      <style>\n      .triangle-border {\n      	position:relative;\n      	padding:15px;\n      	margin:1em 0 3em;\n      	border:5px solid #5a8f00;\n      	color:#333;\n      	background:#fff;\n      	/* css3 */\n      	-webkit-border-radius:10px;\n      	-moz-border-radius:10px;\n      	border-radius:10px;\n      }\n\n      .triangle-border.left {\n      	margin-left:140px;\n      	font-size:11pt;\n      }\n\n      .triangle-border:before {\n      	content:"";\n      	position:absolute;\n      	bottom:-20px; /* value = - border-top-width - border-bottom-width */\n      	left:40px; /* controls horizontal position */\n          border-width:20px 20px 0;\n      	border-style:solid;\n          border-color:#5a8f00 transparent;\n          /* reduce the damage in FF3.0 */\n          display:block;\n          width:0;\n      }\n\n      .triangle-border:after {\n      	content:"";\n      	position:absolute;\n      	bottom:-13px; /* value = - border-top-width - border-bottom-width */\n      	left:47px; /* value = (:before left) + (:before border-left) - (:after border-left) */\n      	border-width:13px 13px 0;\n      	border-style:solid;\n      	border-color:#fff transparent;\n          /* reduce the damage in FF3.0 */\n          display:block;\n          width:0;\n      }\n\n\n      .triangle-border.left:before {\n      	top:10px; /* controls vertical position */\n      	bottom:auto;\n      	left:-30px; /* value = - border-left-width - border-right-width */\n      	border-width:15px 30px 15px 0;\n      	border-color:transparent #5a8f00;\n      }\n\n      .triangle-border.left:after {\n      	top:16px; /* value = (:before top) + (:before border-top) - (:after border-top) */\n      	bottom:auto;\n      	left:-20px; /* value = - border-left-width - border-right-width */\n      	border-width:9px 21px 9px 0;\n      	border-color:transparent #fff;\n      }\n\n      </style>\n      <p>\n        <img src="''.XOOPS_URL.''/modules/tad_themes/images/boy.png" alt="首次登入之帳號密碼說明" title="首次登入之帳號密碼說明" style="float:left;margin-top:20px;margin-right:10px;">\n        <div class="triangle-border left">\n          您好：\n          <p>歡迎使用本系統，這是您第一次登入，站長首次登入之帳號密碼如下：</p>\n          <p>\n          帳號為：\n          <span style="background-color: rgb(255, 255, 153);font-weight:bold;">admin</span>\n          </p>\n          <p>密碼為：\n          <span style="background-color: rgb(255, 255, 153);font-weight:bold;">2130669#33</span>\n          </p>\n          <p>\n          <span style="color: rgb(128, 0, 0);">\n          登入後，本區塊會消失，並請您立即修改密碼！\n          </span>\n          </p>\n        </div>\n      </p>'';\n  }\n}', 5, 1, 1, 'C', 'P', 1, '', '', '', '', '', 0, 1341645585);

DROP TABLE IF EXISTS `xx_online`;
CREATE TABLE `xx_online` (
  `online_uid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `online_uname` varchar(25) NOT NULL DEFAULT '',
  `online_updated` int(10) unsigned NOT NULL DEFAULT '0',
  `online_module` smallint(5) unsigned NOT NULL DEFAULT '0',
  `online_ip` varchar(15) NOT NULL DEFAULT '',
  KEY `online_module` (`online_module`),
  KEY `online_updated` (`online_updated`),
  KEY `online_uid` (`online_uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `xx_priv_msgs`;
CREATE TABLE `xx_priv_msgs` (
  `msg_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `msg_image` varchar(100) DEFAULT NULL,
  `subject` varchar(255) NOT NULL DEFAULT '',
  `from_userid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `to_userid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `msg_time` int(10) unsigned NOT NULL DEFAULT '0',
  `msg_text` text,
  `read_msg` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `from_delete` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `from_save` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `to_delete` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `to_save` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`msg_id`),
  KEY `to_userid` (`to_userid`),
  KEY `touseridreadmsg` (`to_userid`,`read_msg`),
  KEY `msgidfromuserid` (`from_userid`,`msg_id`),
  KEY `prune` (`msg_time`,`read_msg`,`from_save`,`to_delete`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_ranks`;
CREATE TABLE `xx_ranks` (
  `rank_id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `rank_title` varchar(50) NOT NULL DEFAULT '',
  `rank_min` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `rank_max` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `rank_special` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `rank_image` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`rank_id`),
  KEY `rank_min` (`rank_min`),
  KEY `rank_max` (`rank_max`),
  KEY `rankminrankmaxranspecial` (`rank_min`,`rank_max`,`rank_special`),
  KEY `rankspecial` (`rank_special`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;

INSERT INTO `xx_ranks` (`rank_id`, `rank_title`, `rank_min`, `rank_max`, `rank_special`, `rank_image`) VALUES
(1, '新會員', 0, 20, 0, 'rank3e632f95e81ca.gif'),
(2, '初級會員', 21, 40, 0, 'rank3dbf8e94a6f72.gif'),
(3, '中級會員', 41, 70, 0, 'rank3dbf8e9e7d88d.gif'),
(4, '高級會員', 71, 150, 0, 'rank3dbf8ea81e642.gif'),
(5, '資深會員', 151, 10000, 0, 'rank3dbf8eb1a72e7.gif'),
(6, '版主', 0, 0, 1, 'rank3dbf8edf15093.gif'),
(7, '管理員', 0, 0, 1, 'rank3dbf8ee8681cd.gif');

DROP TABLE IF EXISTS `xx_session`;
CREATE TABLE `xx_session` (
  `sess_id` varchar(32) NOT NULL DEFAULT '',
  `sess_updated` int(10) unsigned NOT NULL DEFAULT '0',
  `sess_ip` varchar(15) NOT NULL DEFAULT '',
  `sess_data` text,
  PRIMARY KEY (`sess_id`),
  KEY `updated` (`sess_updated`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `xx_session` (`sess_id`, `sess_updated`, `sess_ip`, `sess_data`) VALUES
('9kucvtcu9migd2k0h1hpk2c3u0', 1341657116, '192.168.1.15', 'xoopsUserId|s:1:"1";xoopsUserGroups|a:2:{i:0;s:1:"1";i:1;s:1:"2";}xoopsUserTheme|s:10:"school2012";XOOPS_TOKEN_SESSION|a:10:{i:0;a:2:{s:2:"id";s:32:"63802f9d569c4542c66945f6fc563473";s:6:"expire";i:1341657908;}i:2;a:2:{s:2:"id";s:32:"3064e6f7221d3880d1f18c70c91b25b3";s:6:"expire";i:1341657934;}i:3;a:2:{s:2:"id";s:32:"88161e1556c3f8e20a5dd4e6053e5dde";s:6:"expire";i:1341657965;}i:4;a:2:{s:2:"id";s:32:"654cdad1d40927aeb6450cc36ac87df8";s:6:"expire";i:1341657965;}i:6;a:2:{s:2:"id";s:32:"1e97a7f2418e5d98fa309db324f501b0";s:6:"expire";i:1341658192;}i:7;a:2:{s:2:"id";s:32:"856f4c1cc44ac2a1664d4198757f4b9d";s:6:"expire";i:1341658213;}i:8;a:2:{s:2:"id";s:32:"398d27e9cfa0168cf437fc1487611f8f";s:6:"expire";i:1341658213;}i:10;a:2:{s:2:"id";s:32:"ae24c8ce7600e0a09b98b9e8a649f487";s:6:"expire";i:1341658529;}i:11;a:2:{s:2:"id";s:32:"01b751e006a9b6fc495302eed0a77c3d";s:6:"expire";i:1341658556;}i:12;a:2:{s:2:"id";s:32:"8c8104d8559a36ba00be4547e3ced531";s:6:"expire";i:1341658556;}}');

DROP TABLE IF EXISTS `xx_smiles`;
CREATE TABLE `xx_smiles` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(50) NOT NULL DEFAULT '',
  `smile_url` varchar(100) NOT NULL DEFAULT '',
  `emotion` varchar(75) NOT NULL DEFAULT '',
  `display` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=18 ;

INSERT INTO `xx_smiles` (`id`, `code`, `smile_url`, `emotion`, `display`) VALUES
(1, ':-D', 'smil3dbd4d4e4c4f2.gif', '高興', 1),
(2, ':-)', 'smil3dbd4d6422f04.gif', '微笑', 1),
(3, ':-(', 'smil3dbd4d75edb5e.gif', '悲傷', 1),
(4, ':-o', 'smil3dbd4d8676346.gif', '驚訝', 1),
(5, ':-?', 'smil3dbd4d99c6eaa.gif', '疑惑', 1),
(6, '8-)', 'smil3dbd4daabd491.gif', '冷酷', 1),
(7, ':lol:', 'smil3dbd4dbc14f3f.gif', '嘲笑', 1),
(8, ':-x', 'smil3dbd4dcd7b9f4.gif', '生氣', 1),
(9, ':-P', 'smil3dbd4ddd6835f.gif', '戲弄', 1),
(10, ':oops:', 'smil3dbd4df1944ee.gif', '害羞', 0),
(11, ':cry:', 'smil3dbd4e02c5440.gif', '哭泣', 0),
(12, ':evil:', 'smil3dbd4e1748cc9.gif', '氣憤', 0),
(13, ':roll:', 'smil3dbd4e29bbcc7.gif', '眼珠一轉', 0),
(14, ';-)', 'smil3dbd4e398ff7b.gif', '眨眼', 0),
(15, ':pint:', 'smil3dbd4e4c2e742.gif', '乾杯', 0),
(16, ':hammer:', 'smil3dbd4e5e7563a.gif', '看這裡', 0),
(17, ':idea:', 'smil3dbd4e7853679.gif', '好主意！', 0);

DROP TABLE IF EXISTS `xx_tad_themes`;
CREATE TABLE `xx_tad_themes` (
  `theme_id` smallint(6) unsigned NOT NULL AUTO_INCREMENT COMMENT '佈景編號',
  `theme_name` varchar(255) NOT NULL COMMENT '佈景名稱',
  `theme_type` varchar(255) NOT NULL COMMENT '版面類型',
  `lb_width` varchar(255) NOT NULL COMMENT '左區塊寬度',
  `rb_width` varchar(255) NOT NULL COMMENT '右區塊寬度',
  `clb_width` varchar(255) NOT NULL COMMENT '中左區塊寬度',
  `crb_width` varchar(255) NOT NULL COMMENT '中右區塊寬度',
  `lb_color` varchar(255) NOT NULL COMMENT '左區域背景色',
  `cb_color` varchar(255) NOT NULL COMMENT '中區域背景色',
  `rb_color` varchar(255) NOT NULL COMMENT '右區域背景色',
  `margin_top` varchar(255) NOT NULL COMMENT '上邊界',
  `margin_bottom` varchar(255) NOT NULL COMMENT '下邊界',
  `bg_img` varchar(255) NOT NULL COMMENT '背景圖',
  `logo_img` varchar(255) NOT NULL COMMENT 'logo圖',
  `bg_attachment` varchar(255) NOT NULL COMMENT '背景固定',
  `bg_color` varchar(255) NOT NULL COMMENT '背景顏色',
  `bg_position` varchar(255) NOT NULL COMMENT '背景位置',
  `bg_repeat` varchar(255) NOT NULL COMMENT '背景重複',
  `logo_top` smallint(5) unsigned NOT NULL COMMENT 'Logo離上方距離',
  `logo_right` smallint(5) unsigned NOT NULL COMMENT 'Logo離右邊距離',
  `logo_bottom` smallint(5) unsigned NOT NULL COMMENT 'Logo離下方距離',
  `logo_left` smallint(5) unsigned NOT NULL COMMENT 'Logo離左邊距離',
  `theme_enable` enum('1','0') NOT NULL COMMENT '使用狀況',
  `slide_width` varchar(255) NOT NULL COMMENT '佈景圖片寬度',
  `slide_height` varchar(255) NOT NULL COMMENT '佈景圖片高度',
  `font_size` varchar(255) NOT NULL COMMENT '文字大小',
  `font_color` varchar(255) NOT NULL COMMENT '文字顏色',
  `link_color` varchar(255) NOT NULL COMMENT '連結顏色',
  `hover_color` varchar(255) NOT NULL COMMENT '移致連結顏色',
  PRIMARY KEY (`theme_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `xx_tad_themes` (`theme_id`, `theme_name`, `theme_type`, `lb_width`, `rb_width`, `clb_width`, `crb_width`, `lb_color`, `cb_color`, `rb_color`, `margin_top`, `margin_bottom`, `bg_img`, `logo_img`, `bg_attachment`, `bg_color`, `bg_position`, `bg_repeat`, `logo_top`, `logo_right`, `logo_bottom`, `logo_left`, `theme_enable`, `slide_width`, `slide_height`, `font_size`, `font_color`, `link_color`, `hover_color`) VALUES
(1, 'school2012', 'theme_type_1', '230', '230', '49%', '49%', '#F4F4F4', '#FFFFFF', '#F4F4F4', '0', '0', 'http://192.168.1.15/themes/school2012/images/bg/158.gif', '', 'scroll', '', 'left top', 'repeat', 0, 0, 0, 0, '1', '980', '300', '11pt', '#111111', '#43597C', '#990000');

DROP TABLE IF EXISTS `xx_tad_themes_files_center`;
CREATE TABLE `xx_tad_themes_files_center` (
  `files_sn` smallint(5) unsigned NOT NULL AUTO_INCREMENT COMMENT '檔案流水號',
  `col_name` varchar(255) NOT NULL COMMENT '欄位名稱',
  `col_sn` smallint(5) unsigned NOT NULL COMMENT '欄位編號',
  `sort` smallint(5) unsigned NOT NULL COMMENT '排序',
  `kind` enum('img','file') NOT NULL COMMENT '檔案種類',
  `file_name` varchar(255) NOT NULL COMMENT '檔案名稱',
  `file_type` varchar(255) NOT NULL COMMENT '檔案類型',
  `file_size` int(10) unsigned NOT NULL COMMENT '檔案大小',
  `description` text NOT NULL COMMENT '檔案說明',
  `counter` mediumint(8) unsigned NOT NULL COMMENT '下載人次',
  PRIMARY KEY (`files_sn`),
  UNIQUE KEY `col_name` (`col_name`,`col_sn`,`sort`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;

INSERT INTO `xx_tad_themes_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`) VALUES
(1, 'bg', 0, 1, 'img', '158.gif', 'image/gif', 145, '158.gif', 0),
(2, 'bg', 0, 2, 'img', '419.png', 'image/png', 1616, '419.png', 0),
(3, 'logo', 0, 1, 'img', 'logo.png', 'image/png', 37878, 'logo.png', 0),
(4, 'bg', 1, 1, 'img', '158.gif', 'image/gif', 145, '158.gif', 0),
(5, 'bg', 1, 2, 'img', '419.png', 'image/png', 1616, '419.png', 0),
(6, 'logo', 1, 1, 'img', 'logo.png', 'image/png', 37878, 'logo.png', 0);

DROP TABLE IF EXISTS `xx_tplfile`;
CREATE TABLE `xx_tplfile` (
  `tpl_id` mediumint(7) unsigned NOT NULL AUTO_INCREMENT,
  `tpl_refid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `tpl_module` varchar(25) NOT NULL DEFAULT '',
  `tpl_tplset` varchar(50) NOT NULL DEFAULT '',
  `tpl_file` varchar(50) NOT NULL DEFAULT '',
  `tpl_desc` varchar(255) NOT NULL DEFAULT '',
  `tpl_lastmodified` int(10) unsigned NOT NULL DEFAULT '0',
  `tpl_lastimported` int(10) unsigned NOT NULL DEFAULT '0',
  `tpl_type` varchar(20) NOT NULL DEFAULT '',
  PRIMARY KEY (`tpl_id`),
  KEY `tpl_refid` (`tpl_refid`,`tpl_type`),
  KEY `tpl_tplset` (`tpl_tplset`,`tpl_file`(10))
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=55 ;

INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES
(1, 1, 'system', 'default', 'system_imagemanager.html', '', 1341588017, 1341588017, 'module'),
(2, 1, 'system', 'default', 'system_imagemanager2.html', '', 1341588017, 1341588017, 'module'),
(3, 1, 'system', 'default', 'system_userinfo.html', '', 1341588017, 1341588017, 'module'),
(4, 1, 'system', 'default', 'system_userform.html', '', 1341588017, 1341588017, 'module'),
(5, 1, 'system', 'default', 'system_rss.html', '', 1341588017, 1341588017, 'module'),
(6, 1, 'system', 'default', 'system_redirect.html', '', 1341588017, 1341588017, 'module'),
(7, 1, 'system', 'default', 'system_comment.html', '', 1341588017, 1341588017, 'module'),
(8, 1, 'system', 'default', 'system_comments_flat.html', '', 1341588017, 1341588017, 'module'),
(9, 1, 'system', 'default', 'system_comments_thread.html', '', 1341588017, 1341588017, 'module'),
(10, 1, 'system', 'default', 'system_comments_nest.html', '', 1341588017, 1341588017, 'module'),
(11, 1, 'system', 'default', 'system_siteclosed.html', '', 1341588017, 1341588017, 'module'),
(12, 1, 'system', 'default', 'system_dummy.html', '', 1341588017, 1341588017, 'module'),
(13, 1, 'system', 'default', 'system_notification_list.html', '', 1341588017, 1341588017, 'module'),
(14, 1, 'system', 'default', 'system_notification_select.html', '', 1341588017, 1341588017, 'module'),
(15, 1, 'system', 'default', 'system_block_dummy.html', '', 1341588017, 1341588017, 'module'),
(16, 1, 'system', 'default', 'system_homepage.html', '', 1341588017, 1341588017, 'module'),
(17, 1, 'system', 'default', 'system_bannerlogin.html', '', 1341588017, 1341588017, 'module'),
(18, 1, 'system', 'default', 'system_banner.html', '', 1341588017, 1341588017, 'module'),
(19, 1, 'system', 'default', 'system_bannerdisplay.html', '', 1341588017, 1341588017, 'module'),
(20, 1, 'system', 'default', 'system_header.html', '', 1341588017, 1341588017, 'admin'),
(21, 1, 'system', 'default', 'system_banners.html', '', 1341588017, 1341588017, 'admin'),
(22, 1, 'system', 'default', 'system_modules.html', '', 1341588017, 1341588017, 'admin'),
(23, 1, 'system', 'default', 'system_modules_confirm.html', '', 1341588017, 1341588017, 'admin'),
(24, 1, 'system', 'default', 'system_avatars.html', '', 1341588017, 1341588017, 'admin'),
(25, 1, 'system', 'default', 'system_smilies.html', '', 1341588017, 1341588017, 'admin'),
(26, 1, 'system', 'default', 'system_blocks.html', '', 1341588017, 1341588017, 'admin'),
(27, 1, 'system', 'default', 'system_blocks_item.html', '', 1341588017, 1341588017, 'admin'),
(28, 1, 'system', 'default', 'system_comments.html', '', 1341588017, 1341588017, 'admin'),
(29, 1, 'system', 'default', 'system_userrank.html', '', 1341588017, 1341588017, 'admin'),
(30, 1, 'system', 'default', 'system_users.html', '', 1341588017, 1341588017, 'admin'),
(31, 1, 'system', 'default', 'system_preferences.html', '', 1341588017, 1341588017, 'admin'),
(32, 1, 'system', 'default', 'system_mailusers.html', '', 1341588017, 1341588017, 'admin'),
(33, 1, 'system', 'default', 'system_groups.html', '', 1341588017, 1341588017, 'admin'),
(34, 1, 'system', 'default', 'system_images.html', '', 1341588017, 1341588017, 'admin'),
(35, 1, 'system', 'default', 'system_templates.html', '', 1341588017, 1341588017, 'admin'),
(36, 1, 'system', 'default', 'system_index.html', '', 1341588017, 1341588017, 'admin'),
(37, 1, 'system', 'default', 'system_maintenance.html', '', 1341588017, 1341588017, 'admin'),
(38, 1, 'system', 'default', 'system_help.html', '', 1341588017, 1341588017, 'admin'),
(39, 1, 'system', 'default', 'system_block_user.html', 'Shows user block', 1341588017, 1341588017, 'block'),
(40, 2, 'system', 'default', 'system_block_login.html', 'Shows login form', 1341588017, 1341588017, 'block'),
(41, 3, 'system', 'default', 'system_block_search.html', 'Shows search form block', 1341588017, 1341588017, 'block'),
(42, 4, 'system', 'default', 'system_block_waiting.html', 'Shows contents waiting for approval', 1341588017, 1341588017, 'block'),
(43, 5, 'system', 'default', 'system_block_mainmenu.html', 'Shows the main navigation menu of the site', 1341588017, 1341588017, 'block'),
(44, 6, 'system', 'default', 'system_block_siteinfo.html', 'Shows basic info about the site and a link to Recommend Us pop up window', 1341588017, 1341588017, 'block'),
(45, 7, 'system', 'default', 'system_block_online.html', 'Displays users/guests currently online', 1341588017, 1341588017, 'block'),
(46, 8, 'system', 'default', 'system_block_topusers.html', 'Top posters', 1341588017, 1341588017, 'block'),
(47, 9, 'system', 'default', 'system_block_newusers.html', 'Shows most recent users', 1341588017, 1341588017, 'block'),
(48, 10, 'system', 'default', 'system_block_comments.html', 'Shows most recent comments', 1341588017, 1341588017, 'block'),
(49, 11, 'system', 'default', 'system_block_notification.html', 'Shows notification options', 1341588017, 1341588017, 'block'),
(50, 12, 'system', 'default', 'system_block_themes.html', 'Shows theme selection box', 1341588017, 1341588017, 'block'),
(51, 2, 'pm', 'default', 'pm_pmlite.html', '', 1341588220, 1341588220, 'module'),
(52, 2, 'pm', 'default', 'pm_readpmsg.html', '', 1341588220, 1341588220, 'module'),
(53, 2, 'pm', 'default', 'pm_viewpmsg.html', '', 1341588220, 1341588220, 'module'),
(54, 13, 'tad_themes', 'default', 'tad_themes_config.html', '佈景工具箱(tad_themes_config)', 1341589182, 0, 'block');

DROP TABLE IF EXISTS `xx_tplset`;
CREATE TABLE `xx_tplset` (
  `tplset_id` int(7) unsigned NOT NULL AUTO_INCREMENT,
  `tplset_name` varchar(50) NOT NULL DEFAULT '',
  `tplset_desc` varchar(255) NOT NULL DEFAULT '',
  `tplset_credits` text,
  `tplset_created` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`tplset_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `xx_tplset` (`tplset_id`, `tplset_name`, `tplset_desc`, `tplset_credits`, `tplset_created`) VALUES
(1, 'default', 'XOOPS Default Template Set', '', 1341588017);

DROP TABLE IF EXISTS `xx_tplsource`;
CREATE TABLE `xx_tplsource` (
  `tpl_id` mediumint(7) unsigned NOT NULL DEFAULT '0',
  `tpl_source` mediumtext,
  KEY `tpl_id` (`tpl_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES
(1, '<!DOCTYPE html PUBLIC ''-//W3C//DTD XHTML 1.0 Transitional//EN'' ''http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd''>\r\n<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<{$xoops_langcode}>" lang="<{$xoops_langcode}>">\r\n<head>\r\n<meta http-equiv="content-type" content="text/html; charset=<{$xoops_charset}>" />\r\n<meta http-equiv="content-language" content="<{$xoops_langcode}>" />\r\n<title><{$sitename}> <{$lang_imgmanager}></title>\r\n<script type="text/javascript">\r\n<!--//\r\nfunction appendCode(addCode) {\r\n	var targetDom = window.opener.xoopsGetElementById(''<{$target}>'');\r\n	if (targetDom.createTextRange && targetDom.caretPos){\r\n  		var caretPos = targetDom.caretPos;\r\n		caretPos.text = caretPos.text.charAt(caretPos.text.length - 1) == '' '' ? addCode + '' '' : addCode;  \r\n	} else if (targetDom.getSelection && targetDom.caretPos) {\r\n		var caretPos = targetDom.caretPos;\r\n		caretPos.text = caretPos.text.charat(caretPos.text.length - 1) == '' '' ? addCode + '' '' : addCode;\r\n	} else {\r\n		targetDom.value = targetDom.value + addCode;\r\n  	}\r\n	window.close();\r\n	return;\r\n}\r\n//-->\r\n</script>\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{xoAppUrl xoops.css}>" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{xoAppUrl modules/system/css/imagemanager.css}>" />\r\n\r\n<{php}> \r\n$language = $GLOBALS[''xoopsConfig''][''language''];\r\nif(file_exists(XOOPS_ROOT_PATH.''/language/''.$language.''/style.css'')){ \r\necho "<link rel=\\"stylesheet\\" type=\\"text/css\\" media=\\"all\\" href=\\"language/$language/style.css\\" />";\r\n}\r\n<{/php}>\r\n\r\n</head>\r\n\r\n<body onload="window.resizeTo(<{$xsize}>, <{$ysize}>);">\r\n  <form action="imagemanager.php" method="get">\r\n    <table cellspacing="0" id="imagenav">\r\n      <tr>\r\n        <td>\r\n          <select name="cat_id" onchange="location=''<{$xoops_url}>/imagemanager.php?target=<{$target}>&cat_id=''+this.options[this.selectedIndex].value"><{$cat_options}></select> \r\n          <input type="hidden" name="target" value="<{$target}>" />\r\n          <input type="submit" value="<{$lang_go}>" />\r\n        </td>\r\n\r\n        <{if $show_cat > 0}>\r\n        <td id="addimage" class="txtright"><a href="<{$xoops_url}>/imagemanager.php?target=<{$target}>&op=upload&imgcat_id=<{$show_cat}>" title="<{$lang_addimage}>"><{$lang_addimage}></a></td>\r\n        <{/if}>\r\n        \r\n      </tr>\r\n    </table>\r\n  </form>\r\n  <div id="pagenav"><{$pagenav}></div>\r\n  <{if $image_total > 0}>\r\n  \r\n  <table cellspacing="0" id="imagemain">\r\n    <tr>\r\n      <th><{$lang_imagename}></th>\r\n      <th><{$lang_image}></th>\r\n      <th><{$lang_imagemime}></th>\r\n      <th><{$lang_align}></th>\r\n    </tr>\r\n\r\n    <{section name=i loop=$images}>\r\n    <tr class="txtcenter">\r\n      <td><input type="hidden" name="image_id[]" value="<{$images[i].id}>" /><{$images[i].nicename}></td>\r\n      <td><img style="max-width:200px;" src="<{$images[i].src}>" alt="" /></td>\r\n      <td><{$images[i].mimetype}></td>\r\n      <td><a href="#" title="" onclick="javascript:appendCode(''<{$images[i].lxcode}>'');" title=""><img src="<{xoAppUrl images/alignleft.gif}>" alt="Left" /></a> <a href="#" title="" onclick="javascript:appendCode(''<{$images[i].xcode}>'');" title=""><img src="<{xoAppUrl images/aligncenter.gif}>" alt="Center" /></a> <a href="#" title="" onclick="javascript:appendCode(''<{$images[i].rxcode}>'');" title=""><img src="<{xoAppUrl images/alignright.gif}>" alt="Right" /></a></td>\r\n    </tr>\r\n    <{/section}>\r\n  </table>\r\n  <{else}>\r\n  <div id="welcomenot"></div>\r\n  <{/if}>\r\n\r\n  <div id="pagenav"><{$pagenav}></div>\r\n\r\n  <div id="footer">\r\n    <input value="<{$lang_close}>" type="button" onclick="javascript:window.close();" />\r\n  </div>\r\n\r\n  </body>\r\n</html>'),
(2, '<!DOCTYPE html PUBLIC ''-//W3C//DTD XHTML 1.0 Transitional//EN'' ''http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd''>\r\n<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<{$xoops_langcode}>" lang="<{$xoops_langcode}>">\r\n<head>\r\n<meta http-equiv="content-type" content="text/html; charset=<{$xoops_charset}>" />\r\n<meta http-equiv="content-language" content="<{$xoops_langcode}>" />\r\n<title><{$xoops_sitename}> <{$lang_imgmanager}></title>\r\n<{$image_form.javascript}>\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{xoAppUrl xoops.css}>" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{xoAppUrl modules/system/css/imagemanager.css}>" />\r\n\r\n<{php}> \r\n$language = $GLOBALS[''xoopsConfig''][''language''];\r\nif(file_exists(XOOPS_ROOT_PATH.''/language/''.$language.''/style.css'')){ \r\necho "<link rel=\\"stylesheet\\" type=\\"text/css\\" media=\\"all\\" href=\\"language/$language/style.css\\" />";\r\n}\r\n<{/php}>\r\n\r\n</head>\r\n\r\n<body onload="window.resizeTo(<{$xsize}>, <{$ysize}>);">\r\n   <table cellspacing="0" id="imagenav">\r\n    <tr>\r\n      <td id="addimage" class="txtleft"><a href="<{$xoops_url}>/imagemanager.php?target=<{$target}>&amp;cat_id=<{$show_cat}>" title="<{$lang_imgmanager}>"><{$lang_imgmanager}></a></td>\r\n    </tr>\r\n  </table>\r\n\r\n  <form name="<{$image_form.name}>" id="<{$image_form.name}>" action="<{$image_form.action}>" method="<{$image_form.method}>" <{$image_form.extra}>>\r\n    <table id="imageform" cellspacing="">\r\n    <!-- start of form elements loop -->\r\n    <{foreach item=element from=$image_form.elements}>\r\n      <{if $element.hidden != true}>\r\n      <tr class="aligntop">\r\n        <td class="caption"><{$element.caption}></td>\r\n        <td class="body"><{$element.body}></td>\r\n      </tr>\r\n      <{else}>\r\n      <{$element.body}>\r\n      <{/if}>\r\n    <{/foreach}>\r\n    <!-- end of form elements loop -->\r\n    </table>\r\n  </form>\r\n\r\n\r\n  <div id="footer">\r\n    <input value="<{$lang_close}>" type="button" onclick="javascript:window.close();" />\r\n  </div>\r\n\r\n  </body>\r\n</html>'),
(3, '<{if $user_ownpage == true}>\n\n<form name="usernav" action="user.php" method="post">\n\n<br /><br />\n\n<table class="width70 aligncenter bnone">\n  <tr class="txtcenter">\n    <td><input type="button" value="<{$lang_editprofile}>" onclick="location=''edituser.php''" />\n    <input type="button" value="<{$lang_avatar}>" onclick="location=''edituser.php?op=avatarform''" />\n    <input type="button" value="<{$lang_inbox}>" onclick="location=''viewpmsg.php''" />\n\n    <{if $user_candelete == true}>\n    <input type="button" value="<{$lang_deleteaccount}>" onclick="location=''user.php?op=delete''" />\n    <{/if}>\n\n    <input type="button" value="<{$lang_logout}>" onclick="location=''user.php?op=logout''" /></td>\n  </tr>\n</table>\n</form>\n\n<br /><br />\n<{elseif $xoops_isadmin != false}>\n\n<br /><br />\n\n<table class="width70 aligncenter bnone">\n  <tr class="txtcenter">\n    <td><input type="button" value="<{$lang_editprofile}>" onclick="location=''<{$xoops_url}>/modules/system/admin.php?fct=users&amp;uid=<{$user_uid}>&amp;op=modifyUser''" />\n    <input type="button" value="<{$lang_deleteaccount}>" onclick="location=''<{$xoops_url}>/modules/system/admin.php?fct=users&amp;op=delUser&amp;uid=<{$user_uid}>''" />\n  </tr>\n</table>\n\n<br /><br />\n<{/if}>\n\n<table class="width100 bnone" cellspacing="5">\n  <tr class="aligntop">\n    <td class="width50">\n      <table class="outer width100" cellpadding="4" cellspacing="1">\n        <tr>\n          <th colspan="2" class="txtcenter"><{$lang_allaboutuser}></th>\n        </tr>\n        <{if $user_avatarurl}>\n        <tr class="aligntop">\n          <td class="head"><{$lang_avatar}></td>\n          <td class="even txt center"><img src="<{$user_avatarurl}>" alt="Avatar" /></td>\n        </tr>\n        <{/if}>\n        <{if $user_realname}>\n        <tr>\n          <td class="head"><{$lang_realname}></td>\n          <td class="odd center"><{$user_realname}></td>\n        </tr>\n        <{/if}>\n        <{if $user_websiteurl}>\n        <tr>\n          <td class="head"><{$lang_website}></td>\n          <td class="even"><{$user_websiteurl}></td>\n        </tr>\n\n        <{/if}>\n        <{if $user_email}>\n        <tr class="aligntop">\n          <td class="head"><{$lang_email}></td>\n          <td class="odd"><{$user_email}></td>\n        </tr>\n        <{/if}>\n        <{if !$user_ownpage == true}>\n        <tr class="aligntop">\n          <td class="head"><{$lang_privmsg}></td>\n          <td class="even"><{$user_pmlink}></td>\n        </tr>\n        <{/if}>\n        <{if $user_icq}>\n        <tr class="aligntop">\n          <td class="head"><{$lang_icq}></td>\n          <td class="odd"><{$user_icq}></td>\n        </tr>\n        <{/if}>\n        <{if $user_aim}>\n        <tr class="aligntop">\n          <td class="head"><{$lang_aim}></td>\n          <td class="even"><{$user_aim}></td>\n        </tr>\n        <{/if}>\n        <{if $user_yim}>\n        <tr class="aligntop">\n          <td class="head"><{$lang_yim}></td>\n          <td class="odd"><{$user_yim}></td>\n        </tr>\n        <{/if}>\n        <{if $user_msnm}>\n        <tr class="aligntop">\n          <td class="head"><{$lang_msnm}></td>\n          <td class="even"><{$user_msnm}></td>\n        </tr>\n        <{/if}>\n        <{if $user_location}>\n        <tr class="aligntop">\n          <td class="head"><{$lang_location}></td>\n          <td class="odd"><{$user_location}></td>\n        </tr>\n        <{/if}>\n        <{if $user_occupation}>\n        <tr class="aligntop">\n          <td class="head"><{$lang_occupation}></td>\n          <td class="even"><{$user_occupation}></td>\n        </tr>\n        <{/if}>\n        <{if $user_interest}>\n        <tr class="aligntop">\n          <td class="head"><{$lang_interest}></td>\n          <td class="odd"><{$user_interest}></td>\n        </tr>\n        <{/if}>\n        <{if $user_extrainfo}>\n        <tr class="aligntop">\n          <td class="head"><{$lang_extrainfo}></td>\n          <td class="even"><{$user_extrainfo}></td>\n        </tr>\n        <{/if}>\n      </table>\n    </td>\n    <td class="width50">\n      <table class="outer width100" cellpadding="4" cellspacing="1">\n        <tr class="aligntop">\n          <th class="txtcenter" colspan="2"><{$lang_statistics}></th>\n        </tr>\n        <tr class="aligntop">\n          <td class="head"><{$lang_membersince}></td>\n          <td class="even txtcenter"><{$user_joindate}></td>\n        </tr>\n        <tr class="aligntop">\n          <td class="head"><{$lang_rank}></td>\n          <td class="odd txtcenter"><{$user_rankimage}><br /><{$user_ranktitle}></td>\n        </tr>\n        <tr class="aligntop">\n          <td class="head"><{$lang_posts}></td>\n          <td class="even txtcenter"><{$user_posts}></td>\n        </tr>\n    <tr class="aligntop">\n          <td class="head"><{$lang_lastlogin}></td>\n          <td class="odd center"><{$user_lastlogin}></td>\n        </tr>\n      </table>\n      <{if $user_signature}>\n      <br />\n      <table class="outer width100" cellpadding="4" cellspacing="1">\n        <tr class="aligntop">\n          <th colspan="2" class="txtcenter"><{$lang_signature}></th>\n        </tr>\n        <tr class="aligntop">\n          <td class="even"><{$user_signature}></td>\n        </tr>\n      </table>\n      <{/if}>\n    </td>\n  </tr>\n</table>\n\n<!-- start module search results loop -->\n<{foreach item=module from=$modules}>\n\n<br class="clear" />\n<h4><{$module.name}></h4>\n\n  <!-- start results item loop -->\n  <{foreach item=result from=$module.results}>\n\n  <img src="<{$result.image}>" alt="<{$module.name}>" /><strong><a href="<{$result.link}>" title="<{$result.title}>"><{$result.title}></a></strong><br /><span class="x-small">(<{$result.time}>)</span><br />\n\n  <{/foreach}>\n  <!-- end results item loop -->\n\n<{$module.showall_link}>\n\n\n<{/foreach}>\n<!-- end module search results loop -->'),
(4, '<fieldset class="pad10">\r\n  <legend class="bold"><{$lang_login}></legend>\r\n  <form action="user.php" method="post">\r\n    <{$lang_username}> <input type="text" name="uname" size="26" maxlength="25" value="<{$usercookie}>" /><br /><br />\r\n    <{$lang_password}> <input type="password" name="pass" size="21" maxlength="32" /><br /><br />\r\n    <{if isset($lang_rememberme)}>\r\n        <input type="checkbox" name="rememberme" value="On" checked /> <{$lang_rememberme}><br /><br />\r\n    <{/if}>\r\n    \r\n    <input type="hidden" name="op" value="login" />\r\n    <input type="hidden" name="xoops_redirect" value="<{$redirect_page}>" />\r\n    <input type="submit" value="<{$lang_login}>" />\r\n  </form>\r\n  <br />\r\n  <a name="lost"></a>\r\n  <div><{$lang_notregister}><br /></div>\r\n</fieldset>\r\n\r\n<br />\r\n\r\n<fieldset class="pad10">\r\n  <legend class="bold"><{$lang_lostpassword}></legend>\r\n  <div><br /><{$lang_noproblem}></div>\r\n  <form action="lostpass.php" method="post">\r\n    <{$lang_youremail}> <input type="text" name="email" size="26" maxlength="60" />&nbsp;&nbsp;<input type="hidden" name="op" value="mailpasswd" /><input type="hidden" name="t" value="<{$mailpasswd_token}>" /><input type="submit" value="<{$lang_sendpassword}>" />\r\n  </form>\r\n</fieldset>'),
(5, '<?xml version="1.0" encoding="UTF-8"?>\r\n<rss version="2.0">\r\n  <channel>\r\n    <title><{$channel_title}></title>\r\n    <link><{$channel_link}></link>\r\n    <description><{$channel_desc}></description>\r\n    <lastBuildDate><{$channel_lastbuild}></lastBuildDate>\r\n    <docs>http://backend.userland.com/rss/</docs>\r\n    <generator><{$channel_generator}></generator>\r\n    <category><{$channel_category}></category>\r\n    <managingEditor><{$channel_editor}></managingEditor>\r\n    <webMaster><{$channel_webmaster}></webMaster>\r\n    <language><{$channel_language}></language>\r\n    <{if $image_url != ""}>\r\n    <image>\r\n      <title><{$channel_title}></title>\r\n      <url><{$image_url}></url>\r\n      <link><{$channel_link}></link>\r\n      <width><{$image_width}></width>\r\n      <height><{$image_height}></height>\r\n    </image>\r\n    <{/if}>\r\n    <{foreach item=item from=$items}>\r\n    <item>\r\n      <title><{$item.title}></title>\r\n      <link><{$item.link}></link>\r\n      <description><{$item.description}></description>\r\n      <pubDate><{$item.pubdate}></pubDate>\r\n      <guid><{$item.guid}></guid>\r\n    </item>\r\n    <{/foreach}>\r\n  </channel>\r\n</rss>'),
(6, '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\r\n<html>\r\n<head>\r\n<meta http-equiv="Content-Type" content="text/html; charset=<{$xoops_charset}>" />\r\n<meta http-equiv="Refresh" content="<{$time}>; url=<{$url}>" />\r\n<meta name="generator" content="XOOPS" />\r\n<link rel="shortcut icon" type="image/ico" href="<{xoAppUrl favicon.ico}>" />\r\n<title><{$xoops_sitename}></title>\r\n<link rel="stylesheet" type="text/css" media="all" href="<{$xoops_themecss}>" />\r\n</head>\r\n<body>\r\n<div class="center bold" style="background-color: #ebebeb; border-top: 1px solid #fff; border-left: 1px solid #fff; border-right: 1px solid #aaa; border-bottom: 1px solid #aaa;">\r\n  <h4><{$message}></h4>\r\n  <p><{$lang_ifnotreload}></p>\r\n</div>\r\n<{if $xoops_logdump != ''''}><div><{$xoops_logdump}></div><{/if}>\r\n</body>\r\n</html>\r\n'),
(7, '<!-- start comment post -->\r\n        <tr>\r\n          <td class="head"><a id="comment<{$comment.id}>"></a> <{$comment.poster.uname}></td>\r\n          <td class="head"><div class="comDate"><span class="comDateCaption"><{$lang_posted}>:</span> <{$comment.date_posted}>&nbsp;&nbsp;<span class="comDateCaption"><{$lang_updated}>:</span> <{$comment.date_modified}></div></td>\r\n        </tr>\r\n        <tr>\r\n\r\n          <{if $comment.poster.id != 0}>\r\n\r\n          <td class="odd">\r\n			<div class="comUserRank">\r\n				<div class="comUserRankText"><{$comment.poster.rank_title}></div>\r\n				<img class="comUserRankImg" src="<{$xoops_upload_url}>/<{$comment.poster.rank_image}>" alt="" />\r\n			</div>\r\n			<img class="comUserImg" src="<{$xoops_upload_url}>/<{$comment.poster.avatar}>" alt="" />\r\n			<div class="comUserStat"><span class="comUserStatCaption"><{$lang_joined}>:</span> <{$comment.poster.regdate}></div>\r\n			<div class="comUserStat"><span class="comUserStatCaption"><{$lang_from}>:</span> <{$comment.poster.from}></div>\r\n			<div class="comUserStat"><span class="comUserStatCaption"><{$lang_posts}>:</span> <{$comment.poster.postnum}></div>\r\n			<div class="comUserStatus"><{$comment.poster.status}></div></td>\r\n\r\n          <{else}>\r\n\r\n          <td class="odd"> </td>\r\n\r\n          <{/if}>\r\n\r\n          <td class="odd">\r\n            <div class="comTitle"><{$comment.image}><{$comment.title}></div>\r\n			<div class="comText"><{$comment.text}></div>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td class="even"></td>\r\n\r\n          <{if $xoops_iscommentadmin == true}>\r\n\r\n          <td class="even txtright">\r\n            <a href="<{$editcomment_link}>&amp;com_id=<{$comment.id}>" title="<{$lang_edit}>"><img src="<{$xoops_url}>/images/icons/edit.gif" alt="<{$lang_edit}>" /></a>\r\n			<a href="<{$deletecomment_link}>&amp;com_id=<{$comment.id}>" title="<{$lang_delete}>"><img src="<{$xoops_url}>/images/icons/delete.gif" alt="<{$lang_delete}>" /></a>\r\n			<a href="<{$replycomment_link}>&amp;com_id=<{$comment.id}>" title="<{$lang_reply}>"><img src="<{$xoops_url}>/images/icons/reply.gif" alt="<{$lang_reply}>" /></a>\r\n          </td>\r\n\r\n          <{elseif $xoops_isuser == true && $xoops_userid == $comment.poster.id}>\r\n\r\n          <td class="even txtright">\r\n            <a href="<{$editcomment_link}>&amp;com_id=<{$comment.id}>" title="<{$lang_edit}>"><img src="<{$xoops_url}>/images/icons/edit.gif" alt="<{$lang_edit}>" /></a>\r\n			<a href="<{$replycomment_link}>&amp;com_id=<{$comment.id}>" title="<{$lang_reply}>"><img src="<{$xoops_url}>/images/icons/reply.gif" alt="<{$lang_reply}>" /></a>\r\n          </td>\r\n\r\n          <{elseif $xoops_isuser == true || $anon_canpost == true}>\r\n\r\n          <td class="even txtright">\r\n            <a href="<{$replycomment_link}>&amp;com_id=<{$comment.id}>"><img src="<{$xoops_url}>/images/icons/reply.gif" alt="<{$lang_reply}>" /></a>\r\n          </td>\r\n\r\n          <{else}>\r\n\r\n          <td class="even"> </td>\r\n\r\n          <{/if}>\r\n\r\n        </tr>\r\n<!-- end comment post -->'),
(8, '<table class="outer" cellpadding="5" cellspacing="1">\r\n  <tr>\r\n    <th class="width20"><{$lang_poster}></th>\r\n    <th><{$lang_thread}></th>\r\n  </tr>\r\n  <{foreach item=comment from=$comments}>\r\n    <{include file="db:system_comment.html" comment=$comment}>\r\n  <{/foreach}>\r\n</table>'),
(9, '<{section name=i loop=$comments}>\r\n<br />\r\n<table cellspacing="1" class="outer">\r\n  <tr>\r\n    <th class="width20"><{$lang_poster}></th>\r\n    <th><{$lang_thread}></th>\r\n  </tr>\r\n  <{include file="db:system_comment.html" comment=$comments[i]}>\r\n</table>\r\n\r\n<{if $show_threadnav == true}>\r\n<div class="txtleft marg3 pad5">\r\n<a href="<{$comment_url}>" title="<{$lang_top}>"><{$lang_top}></a> | <a href="<{$comment_url}>&amp;com_id=<{$comments[i].pid}>&amp;com_rootid=<{$comments[i].rootid}>#newscomment<{$comments[i].pid}>"><{$lang_parent}></a>\r\n</div>\r\n<{/if}>\r\n\r\n<{if $comments[i].show_replies == true}>\r\n<!-- start comment tree -->\r\n<br />\r\n<table cellspacing="1" class="outer">\r\n  <tr>\r\n    <th class="width50"><{$lang_subject}></th>\r\n    <th class="width20 txtcenter"><{$lang_poster}></th>\r\n    <th class="txtright"><{$lang_posted}></th>\r\n  </tr>\r\n  <{foreach item=reply from=$comments[i].replies}>\r\n  <tr>\r\n    <td class="even"><{$reply.prefix}> <a href="<{$comment_url}>&amp;com_id=<{$reply.id}>&amp;com_rootid=<{$reply.root_id}>" title=""><{$reply.title}></a></td>\r\n    <td class="odd txtcenter"><{$reply.poster.uname}></td>\r\n    <td class="even right"><{$reply.date_posted}></td>\r\n  </tr>\r\n  <{/foreach}>\r\n</table>\r\n<!-- end comment tree -->\r\n<{/if}>\r\n\r\n<{/section}>'),
(10, '<{section name=i loop=$comments}>\r\n<br />\r\n<table cellspacing="1" class="outer">\r\n  <tr>\r\n    <th class="width20"><{$lang_poster}></th>\r\n    <th><{$lang_thread}></th>\r\n  </tr>\r\n  <{include file="db:system_comment.html" comment=$comments[i]}>\r\n</table>\r\n\r\n<!-- start comment replies -->\r\n<{foreach item=reply from=$comments[i].replies}>\r\n<br />\r\n<table class="bnone collapse">\r\n  <tr>\r\n    <td width="<{$reply.prefix}>"></td>\r\n    <td>\r\n      <table class="outer" cellspacing="1">\r\n        <tr>\r\n          <th class="width20"><{$lang_poster}></th>\r\n          <th><{$lang_thread}></th>\r\n        </tr>\r\n        <{include file="db:system_comment.html" comment=$reply}>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n<{/foreach}>\r\n<!-- end comment tree -->\r\n<{/section}>'),
(11, '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\r\n<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<{$xoops_langcode}>" lang="<{$xoops_langcode}>">\r\n<head>\r\n	<meta http-equiv="content-type" content="text/html; charset=<{$xoops_charset}>" />\r\n	<meta http-equiv="content-language" content="<{$xoops_langcode}>" />\r\n	<title><{$xoops_sitename}> - <{$xoops_slogan}></title>\r\n	<meta name="robots" content="<{$xoops_meta_robots}>" />\r\n	<meta name="keywords" content="<{$xoops_meta_keywords}>" />\r\n	<meta name="description" content="<{$xoops_meta_description}>" />\r\n	<meta name="rating" content="<{$xoops_meta_rating}>" />\r\n	<meta name="author" content="<{$xoops_meta_author}>" />\r\n	<meta name="copyright" content="<{$xoops_meta_copyright}>" />\r\n	<meta name="generator" content="XOOPS" />\r\n	\r\n	<link rel="stylesheet" type="text/css" media="screen" href="<{xoAppUrl browse.php?xoops.css}>" />\r\n	<link rel="shortcut icon" type="image/ico" href="<{xoAppUrl favicon.ico}>" />\r\n	\r\n</head>\r\n<body>\r\n  <table class="collapse">\r\n    <tr id="header">\r\n      <td class="alignmiddle txtcenter" style="width: 150px; background-color: #2F5376;"><a href="<{xoAppUrl }>" title=""><img src="<{xoAppUrl images/logo.gif}>" alt="" /></a></td>\r\n      <td class="width100 alignmiddle txtcenter" style="background-color: #2F5376;">&nbsp;</td>\r\n    </tr>\r\n    <tr>\r\n      <td style="height: 8px; border-bottom: 1px solid silver; background-color: #ddd;" colspan="2">&nbsp;</td>\r\n    </tr>\r\n  </table>\r\n\r\n  <table class="width80 txtcenter bnone" cellspacing="1" cellpadding="10">\r\n    <tr>\r\n      <td class="txtcenter"><div class="txtcenter bold" style="background-color: #DDFFDF; color: #136C99; border-top: 1px solid #DDDDFF; border-left: 1px solid #DDDDFF; border-right: 1px solid #aaa; border-bottom: 1px solid #aaa; padding: 10px;"><{$lang_siteclosemsg}></div></td>\r\n    </tr>\r\n  </table>\r\n  \r\n  <form action="<{xoAppUrl user.php}>" method="post">\r\n    <table class="collapse txtcenter solidsilver" style="width: 200px;">\r\n      <tr>\r\n        <th class="alignmiddle pad2 white" style="background-color: #2F5376;" colspan="2"><{$lang_login}></th>\r\n      </tr>\r\n      <tr>\r\n        <td class="pad2"><{$lang_username}></td><td class="pad2"><input type="text" name="uname" size="12" value="" /></td>\r\n      </tr>\r\n      <tr>\r\n        <td class="pad2"><{$lang_password}></td><td class="pad2"><input type="password" name="pass" size="12" /></td>\r\n      </tr>\r\n      <tr>\r\n        <td class="pad2">&nbsp;</td>\r\n        <td class="pad2">\r\n        	<input type="hidden" name="xoops_redirect" value="<{$xoops_requesturi}>" />\r\n        	<input type="hidden" name="xoops_login" value="1" />\r\n        	<input type="submit" value="<{$lang_login}>" /></td>\r\n      </tr>\r\n    </table>\r\n  </form>\r\n\r\n  <table class="collapse width100">\r\n    <tr>\r\n      <td style="height:8px; border-bottom: 1px solid silver; border-top: 1px solid silver; background-color: #ddd;" colspan="2">&nbsp;</td>\r\n    </tr>\r\n  </table>\r\n\r\n  </body>\r\n</html>'),
(12, '<{$dummy_content}>'),
(13, '<h4><{$lang_activenotifications}></h4>\r\n<form name="notificationlist" action="notifications.php" method="post">\r\n<table class="outer">\r\n  <tr>\r\n	<th><input name="allbox" id="allbox" onclick="xoopsCheckAll(''notificationlist'', ''allbox'');" type="checkbox" value="<{$lang_checkall}>" /></th>\r\n    <th><{$lang_event}></th>\r\n    <th><{$lang_category}></th>\r\n    <th><{$lang_itemid}></th>\r\n    <th><{$lang_itemname}></th>\r\n  </tr>\r\n  <{foreach item=module from=$modules}>\r\n  <tr>\r\n    <td class="head"><input name="del_mod[<{$module.id}>]" id="del_mod[]" onclick="xoopsCheckGroup(''notificationlist'', ''del_mod[<{$module.id}>]'', ''del_not[<{$module.id}>][]'');" type="checkbox" value="<{$module.id}>" /></td>\r\n    <td class="head" colspan="4"><{$lang_module}>: <{$module.name}></td>\r\n  </tr>\r\n  <{foreach item=category from=$module.categories}>\r\n  <{foreach item=item from=$category.items}>\r\n  <{foreach item=notification from=$item.notifications}>\r\n  <tr>\r\n    <{cycle values=odd,even assign=class}>\r\n    <td class="<{$class}>"><input type="checkbox" name="del_not[<{$module.id}>][]" id="del_not[<{$module.id}>]" value="<{$notification.id}>" /></td>\r\n    <td class="<{$class}>"><{$notification.event_title}></td>\r\n    <td class="<{$class}>"><{$notification.category_title}></td>\r\n    <td class="<{$class}>"><{if $item.id != 0}><{$item.id}><{/if}></td>\r\n    <td class="<{$class}>"><{if $item.id != 0}><{if $item.url != ''''}><a href="<{$item.url}>" title="<{$item.name}>"><{/if}><{$item.name}><{if $item.url != ''''}></a><{/if}><{/if}></td>\r\n  </tr>\r\n  <{/foreach}>\r\n  <{/foreach}>\r\n  <{/foreach}>\r\n  <{/foreach}>\r\n  <tr>\r\n    <td class="foot" colspan="5">\r\n      <input type="submit" name="delete_cancel" value="<{$lang_cancel}>" />\r\n      <input type="reset" name="delete_reset" value="<{$lang_clear}>" />\r\n      <input type="submit" name="delete" value="<{$lang_delete}>" />\r\n      <input type="hidden" name="XOOPS_TOKEN_REQUEST" value="<{$notification_token}>" />\r\n    </td>\r\n  </tr>\r\n</table>\r\n</form>\r\n'),
(14, '<{if $xoops_notification.show}>\r\n	<form name="notification_select" action="<{$xoops_notification.target_page}>" method="post">\r\n		<h4 class="txtcenter"><{$lang_activenotifications}></h4>\r\n		<input type="hidden" name="not_redirect" value="<{$xoops_notification.redirect_script}>" />\r\n		<input type="hidden" name="XOOPS_TOKEN_REQUEST" value="<{php}>echo $GLOBALS[''xoopsSecurity'']->createToken();<{/php}>" />\r\n		<table class="outer">\r\n		  <tr><th colspan="3"><{$lang_notificationoptions}></th></tr>\r\n		  <tr>\r\n			<td class="head"><{$lang_category}></td>\r\n			<td class="head"><input name="allbox" id="allbox" onclick="xoopsCheckAll(''notification_select'',''allbox'');" type="checkbox" value="<{$lang_checkall}>" /></td>\r\n			<td class="head"><{$lang_events}></td>\r\n		  </tr>\r\n		  <{foreach name=outer item=category from=$xoops_notification.categories}>\r\n		  <{foreach name=inner item=event from=$category.events}>\r\n		  <tr>\r\n			<{if $smarty.foreach.inner.first}>\r\n			<td class="even" rowspan="<{$smarty.foreach.inner.total}>"><{$category.title}></td>\r\n			<{/if}>\r\n			<td class="odd">\r\n			<{counter assign=index}>\r\n			<input type="hidden" name="not_list[<{$index}>][params]" value="<{$category.name}>,<{$category.itemid}>,<{$event.name}>" />\r\n			<input type="checkbox" id="not_list[]" name="not_list[<{$index}>][status]" value="1" <{if $event.subscribed}>checked="checked"<{/if}> />\r\n			</td>\r\n			<td class="odd"><{$event.caption}></td>\r\n		  </tr>\r\n		  <{/foreach}>\r\n		  <{/foreach}>\r\n		  <tr>\r\n			<td class="foot txtcenter" colspan="3"><input type="submit" name="not_submit" value="<{$lang_updatenow}>" /></td>\r\n		  </tr>\r\n		</table>\r\n		<div class="txtcenter">\r\n		<{$lang_notificationmethodis}>:&nbsp;<{$user_method}>&nbsp;&nbsp;[<a href="<{$editprofile_url}>" title="<{$lang_change}>"><{$lang_change}></a>]\r\n		</div>\r\n	</form>\r\n<{/if}>'),
(15, '<{$block.content}>'),
(16, '\n'),
(17, '<div id="login_window">\n<h2 class=''content_title''><{$smarty.const._BANNERS_LOGIN_TITLE}></h2>\n<form method=''post'' action=''banners.php'' class=''login_form''>\n <div class=''credentials''>\n  <label for=''login_form-login''><{$smarty.const._BANNERS_LOGIN_LOGIN}></label>\n  <input type=''text'' name=''login'' id=''login_form-login'' value='''' /><br />\n  <label for=''login_form-password''><{$smarty.const._BANNERS_LOGIN_PASS}></label>\n  <input type=''password'' name=''pass'' id=''login_form-password'' value='''' /><br />\n </div>\n <div class=''actions''>\n 	<input type=''hidden'' name=''op'' value=''list'' />\n	<button type=''submit''><{$smarty.const._BANNERS_LOGIN_OK}></button></div>\n <div class=''login_info''><{$smarty.const._BANNERS_LOGIN_INFO}></div>\n <{$TOKEN}>\n</form>\n</div>'),
(18, '<h1><{$smarty.const._BANNERS_MANAGEMENT}></h1>\n<h5><{$welcomeuser}></h5>\n<div class="txtcenter"><a href="banners.php?op=logout" title="<{$smarty.const._BANNERS_LOGOUT}>"><{$smarty.const._BANNERS_LOGOUT}></a></div>\n<h4 class="content_title"><{$smarty.const._BANNERS_TITLE}></h4>\n<table cellpadding="2" cellspacing="1" summary="" class="outer">\n	<tr class="txtcenter">\n		<th><{$smarty.const._BANNERS_NO}></th>\n		<th><{$smarty.const._BANNERS_IMP_MADE}></th>\n		<th><{$smarty.const._BANNERS_IMP_TOTAL}></th>\n		<th><{$smarty.const._BANNERS_IMP_LEFT}></th>\n		<th><{$smarty.const._BANNERS_CLICKS}></th>\n		<th><{$smarty.const._BANNERS_PER_CLICKS}></th>\n		<th><{$smarty.const._BANNERS_FUNCTIONS}></th>\n	</tr>\n	<{if $bcount}>\n		<{foreach item=banner from=$banners}>\n			<tr class="even txtcenter">\n				<td><{$banner.bid}></td>\n			    <td><{$banner.impmade}></td>\n			    <td><{$banner.imptotal}></td>\n			    <td><{$banner.left}></td>\n			    <td><{$banner.clicks}></td>\n			    <td><{$banner.percent}>%</td>\n			    <td>\n					<a href="banners.php?op=banner_email&amp;cid=<{$banner.cid}>&amp;bid=<{$banner.bid}>" title="<{$smarty.const._BANNERS_STATS}>"><{$smarty.const._BANNERS_STATS}></a>\n			        <a href="banners.php?op=banner_display&amp;cid=<{$banner.cid}>" title="<{$banner.bid}>"><{$smarty.const._BANNERS_SHOWBANNER}></a>\n				</td>\n			</tr>\n		<{/foreach}>\n	<{else}>\n		<tr>\n			<td class="even txtcenter" colspan="7"><{$smarty.const._BANNERS_NOTHINGFOUND}></td>\n		</tr>\n	<{/if}>\n	<tr>\n		<td class="head" colspan="7">&nbsp;</td>\n	</tr>\n</table><br /><br />\n\n<h4 class="content_title"><{$smarty.const._BANNERS_FINISHED}></h4>\n\n<table cellpadding="2" cellspacing="1" summary="" class="outer">\n	<tr class="txtcenter">\n		<th><{$smarty.const._BANNERS_NO}></th>\n		<th><{$smarty.const._BANNERS_IMP_MADE}></th>\n		<th><{$smarty.const._BANNERS_CLICKS}></th>\n		<th><{$smarty.const._BANNERS_PER_CLICKS}></th>\n		<th><{$smarty.const._BANNERS_STARTED}></th>\n		<th><{$smarty.const._BANNERS_ENDED}></th>\n	</tr>\n	<{if $bcount}>\n		<{foreach item=ebanner from=$ebanners}>\n			<tr class="even txtcenter">\n				<td><{$ebanner.bid}></td>\n			    <td><{$ebanner.impressions}></td>\n			    <td><{$ebanner.clicks}></td>\n			    <td><{$ebanner.percent}></td>\n			    <td><{$ebanner.datestart}></td>\n			    <td><{$ebanner.dateend}>%</td>\n			</tr>\n		<{/foreach}>\n	<{else}>\n		<tr>\n			<td class="even txtcenter" colspan="7"><{$smarty.const._BANNERS_NOTHINGFOUND}></td>\n		</tr>\n	<{/if}>\n	<tr>\n		<td class="head" colspan="7">&nbsp;</td>\n	</tr>\n</table><br />'),
(19, '<h1><{$smarty.const._BANNERS_MANAGEMENT}></h1>\n<h5><{$welcomeuser}></h5>\n<div class="txtcenter"><a href="banners.php?op=logout" title="<{$smarty.const._BANNERS_LOGOUT}>"><{$smarty.const._BANNERS_LOGOUT}></a></div>\n<div class="txtcenter"><a href="banners.php?op=list" title="<{$smarty.const._BANNERS_BACK}>"><{$smarty.const._BANNERS_BACK}></a></div>\n<div><{$banneractive}></div><br />\n<{if $count}>\n	<{foreach item=banner from=$banners}>\n		<form action="banners.php" method="post">\n			<table cellspacing="1" class="outer width100">\n				<th colspan="2"><{$smarty.const._BANNERS_ID}> <{$banner.bid}></th>\n				<tr>\n					<td class="head width50">\n					<div><{$banner.sendstats}></div>\n					<div><{$banner.bannerpoints}></div>\n					<{if !$banner.htmlbanner}>\n					<div></div>\n					<div><{$smarty.const._BANNERS_URL}>\n						<input type="text" name="url" size="50" maxlength="200" value="<{$banner.clickurl}>" />\n						<input type="hidden" name="bid" value="<{$banner.bid}>" />\n						<input type="hidden" name="cid" value="<{$banner.cid}>" />\n						<input type="submit" name="op" value="save" />\n						<{$TOKEN}>\n					</div>\n					<{/if}>\n					</td>\n					<td class="even txtcenter"><{$banner.banner_url}></td>\n				</tr>\n				<tr>\n					<td class="head" colspan="2">&nbsp;</td>\n				</tr>\n			</table>\n			<br />\n		</form>\n	<{/foreach}>\n<{/if}>'),
(20, '<ul id="xo-breadcrumb" class="ui-corner-all" style="background-image:url(''<{xoAdminNav bc_bg.png}>''); ">\r\n    <{foreach item=breadcrumb from=$xo_sys_breadcrumb}>\r\n        <{if $breadcrumb.home}>\r\n            <li><a class="tooltip" href="<{$breadcrumb.link}>" title="<{$breadcrumb.title}>" style="background-image:url(''<{xoAdminNav bc_separator.png}>'');"><img  class="home" src="<{xoAdminNav home.png}>" alt="<{$breadcrumb.title}>" /></a></li>\r\n        <{else}>\r\n            <{if $breadcrumb.link}>\r\n            <li><a class="tooltip" href="<{$breadcrumb.link}>" title="<{$breadcrumb.title}>" style="background-image:url(''<{xoAdminNav bc_separator.png}>'');"><{$breadcrumb.title}></a></li>\r\n            <{else}>\r\n            <li><{$breadcrumb.title}></li>\r\n            <{/if}>\r\n        <{/if}>\r\n    <{/foreach}>\r\n    <{if $xo_sys_help}>\r\n    <li class="xo-help">\r\n        <a class="cursorhelp tooltip help_view" title="<{$smarty.const._AM_SYSTEM_HELP_VIEW}>" style="background-image:url(''<{xoAdminNav bc_separator_end.png}>''); display: visible;"><img src="<{xoAdminIcons help.png}>" alt="<{$smarty.const._AM_SYSTEM_HELP_VIEW}>" /></a>\r\n        <a class="cursorhelp tooltip help_hide" title="<{$smarty.const._AM_SYSTEM_HELP_HIDE}>" style="background-image:url(''<{xoAdminNav bc_separator_end.png}>''); display: none;"><img src="<{xoAdminIcons help.png}>" alt="<{$smarty.const._AM_SYSTEM_HELP_HIDE}>" /></a>\r\n    </li>\r\n    <{/if}>\r\n</ul>\r\n<{if $help_content}>\r\n<div class="hide" id="xo-system-help">\r\n<{includeq file="$help_content"}>\r\n</div>\r\n<{/if}>\r\n<{if $xo_sys_tips}>\r\n<div class="tips ui-corner-all">\r\n    <img class="floatleft tooltip" src="<{xoAdminIcons tips.png}>" alt="<{$smarty.const._AM_SYSTEM_TIPS}>" title="<{$smarty.const._AM_SYSTEM_TIPS}>" />\r\n    <div class="floatleft"><{$xo_sys_tips}></div>\r\n    <div class="clear">&nbsp;</div>\r\n</div>\r\n<{else}>\r\n<br />\r\n<{/if}>'),
(21, '<{includeq file="db:system_header.html"}>\r\n<!--Banner-->\r\n<table class=''width100 bnone'' cellspacing=''1''>\r\n	<tr>\r\n        <{if $banner_count == true}>\r\n		<td>\r\n			<h4><{$smarty.const._AM_SYSTEM_BANNERS_CURACTBNR}></h4>\r\n		</td>\r\n        <{/if}>\r\n		<td>\r\n			<div class="floatright">\r\n                <div class="xo-buttons">\r\n    				<a class="ui-corner-all tooltip" href="admin.php?fct=banners&amp;op=new_banner" title="<{$smarty.const._AM_SYSTEM_BANNERS_ADDNWBNR}>">\r\n    				    <img src="<{xoAdminIcons attach.png}>" alt="<{$smarty.const._AM_SYSTEM_BANNERS_ADDNWBNR}>" />\r\n    					<{$smarty.const._AM_SYSTEM_BANNERS_ADDNWBNR}>\r\n    				</a>\r\n    				<a class="ui-corner-all tooltip" href="admin.php?fct=banners&amp;op=new_client" title="<{$smarty.const._AM_SYSTEM_BANNERS_ADDCLI}>">\r\n    				    <img src="<{xoAdminIcons user_add.png}>" alt="<{$smarty.const._AM_SYSTEM_BANNERS_ADDCLI}>" />\r\n    					<{$smarty.const._AM_SYSTEM_BANNERS_ADDCLI}>\r\n    				</a>\r\n				</div>\r\n			</div>\r\n		</td>\r\n	</tr>\r\n</table>\r\n<{if $banner_count == true}>\r\n<table id="xo-bannerslist-sorter" cellspacing="1" class="outer tablesorter">\r\n    <thead>\r\n	<tr>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_IMPRESION}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_IMPLEFT}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_CLICKS}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_NCLICKS}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_CLINAME}></th>\r\n		<th class="txtcenter width10"><{$smarty.const._AM_SYSTEM_BANNERS_FUNCTION}></th>\r\n	</tr>\r\n	</thead>\r\n	<tbody>\r\n	<{foreach item=banner from=$banner}>\r\n	<tr class="<{cycle values=''even,odd''}>">\r\n		<td class="txtcenter"><{$banner.impmade}></td>\r\n		<td class="txtcenter"><{$banner.left}></td>\r\n		<td class="txtcenter"><{$banner.clicks}></td>\r\n		<td class="txtcenter"><{$banner.percent}>%</td>\r\n		<td class="txtcenter"><{$banner.name}></td>\r\n		<td class="xo-actions txtcenter">\r\n            <img class="tooltip" onclick="display_dialog(<{$banner.bid}>, true, true, ''slide'', ''slide'', 200, 520);" src="<{xoAdminIcons display.png}>" alt="<{$smarty.const._AM_SYSTEM_BANNERS_VIEW}>" title="<{$smarty.const._AM_SYSTEM_BANNERS_VIEW}>" />\r\n            <a class="tooltip" href="admin.php?fct=banners&amp;op=banner_edit&amp;bid=<{$banner.bid}>" title="<{$smarty.const._AM_SYSTEM_BANNERS_EDIT}>">\r\n                <img src="<{xoAdminIcons edit.png}>" alt="<{$smarty.const._AM_SYSTEM_BANNERS_EDIT}>" />\r\n            </a>\r\n            <a class="tooltip" href="admin.php?fct=banners&amp;op=banner_delete&amp;bid=<{$banner.bid}>" title="<{$smarty.const._AM_SYSTEM_BANNERS_DELETE}>">\r\n                <img src="<{xoAdminIcons delete.png}>" alt="<{$smarty.const._AM_SYSTEM_BANNERS_DELETE}>" />\r\n            </a>\r\n        </td>\r\n	</tr>\r\n	<{/foreach}>\r\n	</tbody>\r\n</table>\r\n<div class="clear spacer"></div>\r\n<{if $nav_menu_banner}>\r\n<div class="xo-avatar-pagenav floatright"><{$nav_menu_banner}></div><div class="clear spacer"></div>\r\n<{/if}>\r\n<!--Pop-pup-->\r\n<{foreach item=banner from=$popup_banner}>\r\n<div id="dialog<{$banner.bid}>" title="<{$banner.name}>" style=''display:none;''>\r\n	<{$banner.imageurl}>\r\n</div>\r\n<{/foreach}>\r\n<!--Pop-pup-->\r\n<{/if}>\r\n\r\n<!--Banner Finish-->\r\n<{if $banner_finish_count == true}>\r\n<h4><{$smarty.const._AM_SYSTEM_BANNERS_FINISHBNR}></h4>\r\n<table id="xo-bannersfinish-sorter" cellspacing="1" class="outer tablesorter">\r\n    <thead>\r\n	<tr>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_IMPD}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_CLICKS}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_NCLICKS}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_STARTDATE}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_ENDDATE}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_CLINAME}></th>\r\n		<th class="txtcenter width10"><{$smarty.const._AM_SYSTEM_BANNERS_FUNCTION}></th>\r\n	</tr>\r\n	</thead>\r\n	<tbody>\r\n	<{foreach item=banner_finish from=$banner_finish}>\r\n	<tr class="<{cycle values=''even,odd''}>">\r\n		<td class="txtcenter"><{$banner_finish.impressions}></td>\r\n		<td class="txtcenter"><{$banner_finish.clicks}></td>\r\n		<td class="txtcenter"><{$banner_finish.percent}>%</td>\r\n		<td class="txtcenter"><{$banner_finish.datestart}></td>\r\n		<td class="txtcenter"><{$banner_finish.dateend}></td>\r\n		<td class="txtcenter"><{$banner_finish.name}></td>\r\n		<td class="xo-actions txtcenter">\r\n            <a class="tooltip" href="admin.php?fct=banners&amp;op=banner_finish_delete&amp;bid=<{$banner_finish.bid}>" title="<{$smarty.const._AM_SYSTEM_BANNERS_DELETE}>">\r\n                <img src="<{xoAdminIcons delete.png}>" alt="<{$smarty.const._AM_SYSTEM_BANNERS_DELETE}>" />\r\n            </a>\r\n        </td>\r\n	</tr>\r\n	<{/foreach}>\r\n	</tbody>\r\n</table>\r\n<div class="clear spacer"></div>\r\n<{if $nav_menu_bannerF}>\r\n<div class="xo-avatar-pagenav floatright"><{$nav_menu_bannerF}></div>\r\n<div class="clear spacer"></div>\r\n<{/if}>\r\n\r\n<{/if}>\r\n<!--Banner Client-->\r\n<{if $banner_client_count == true}>\r\n<h4><{$smarty.const._AM_SYSTEM_BANNERS_ADVCLI}></h4>\r\n<table id="xo-bannersclient-sorter" cellspacing="1" class="outer tablesorter">\r\n    <thead>\r\n	<tr>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_CLINAME}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_ACTIVEBNR}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_CONTNAME}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_CONTMAIL}></th>\r\n		<th class="txtcenter width10"><{$smarty.const._AM_SYSTEM_BANNERS_FUNCTION}></th>\r\n	</tr>\r\n	</thead>\r\n	<tbody>\r\n	<{foreach item=banner_client from=$banner_client}>\r\n	<tr class="<{cycle values=''even,odd''}>">\r\n		<td class="txtcenter"><{$banner_client.name}></td>\r\n		<td class="txtcenter"><{$banner_client.banner_active}></td>\r\n		<td class="txtcenter"><{$banner_client.contact}></td>\r\n		<td class="txtcenter"><{$banner_client.email}></td>\r\n		<td class="xo-actions txtcenter">\r\n            <a class="tooltip" href="admin.php?fct=banners&amp;op=banner_client_edit&amp;cid=<{$banner_client.cid}>" title="<{$smarty.const._AM_SYSTEM_BANNERS_EDIT}>">\r\n                <img src="<{xoAdminIcons edit.png}>" alt="<{$smarty.const._AM_SYSTEM_BANNERS_EDIT}>" />\r\n            </a>\r\n            <a class="tooltip" href="admin.php?fct=banners&amp;op=banner_client_delete&amp;cid=<{$banner_client.cid}>" title="<{$smarty.const._AM_SYSTEM_BANNERS_DELETE}>">\r\n                <img src="<{xoAdminIcons delete.png}>" alt="<{$smarty.const._AM_SYSTEM_BANNERS_DELETE}>" />\r\n            </a>\r\n        </td>\r\n	</tr>\r\n	<{/foreach}>\r\n	</tbody>\r\n</table>\r\n<div class="clear spacer"></div>\r\n<{if $nav_menu_client}>\r\n<div class="xo-avatar-pagenav floatright"><{$nav_menu_client}></div>\r\n<div class="clear spacer"></div>\r\n<{/if}>\r\n<{/if}>\r\n<br />\r\n<!-- Display Avatar form (add,edit) -->\r\n<{if $form}>\r\n<div class="spacer"><{$form}></div>\r\n<{/if}>\r\n');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES
(22, '<{includeq file="db:system_header.html"}>\r\n<{if $install_mods}>\r\n<script type="text/javascript">\r\n    IMG_ON = ''<{xoAdminIcons success.png}>'';\r\n    IMG_OFF = ''<{xoAdminIcons cancel.png}>'';\r\n</script>\r\n<div class="floatleft">\r\n    <img class="cursorpointer tooltip" onclick="system_moduleLargeView();" src="<{xoAdminIcons view_large.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_VIEWLARGE}>" title="<{$smarty.const._AM_SYSTEM_MODULES_VIEWLARGE}>" />\r\n    <img class="cursorpointer tooltip" onclick="system_moduleListView();" src="<{xoAdminIcons view_small.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_VIEWLINE}>" title="<{$smarty.const._AM_SYSTEM_MODULES_VIEWLINE}>" />\r\n</div>\r\n<div class="floatright">\r\n    <div class="xo-buttons">\r\n        <a class="ui-corner-all tooltip" href="admin.php?fct=modulesadmin&amp;op=installlist" title="<{$smarty.const._AM_SYSTEM_MODULES_TOINSTALL}>">\r\n            <img src="<{xoAdminIcons install.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_TOINSTALL}>" />\r\n            <{$smarty.const._AM_SYSTEM_MODULES_TOINSTALL}>&nbsp;<span class="red">(<{$toinstall_nb}>)</span>\r\n        </a>\r\n    </div>\r\n</div>\r\n<div class="clear spacer"></div>\r\n<form action="admin.php" method="post" name="moduleadmin">\r\n    <table id="xo-module-sort" class="outer" cellspacing="1">\r\n        <thead>\r\n            <tr class="txtcenter">\r\n                <th><{$smarty.const._AM_SYSTEM_MODULES_MODULE}></th>\r\n                <th><{$smarty.const._AM_SYSTEM_MODULES_VERSION}></th>\r\n                <th><{$smarty.const._AM_SYSTEM_MODULES_LASTUP}></th>\r\n                <th><{$smarty.const._AM_SYSTEM_MODULES_ACTIVE}></th>\r\n                <th><{$smarty.const._AM_SYSTEM_MODULES_MENU}></th>\r\n                <th><{$smarty.const._AM_SYSTEM_MODULES_ACTION}></th>\r\n            </tr>\r\n        </thead>\r\n        <tbody>\r\n            <{foreach item=row from=$install_mods}>\r\n            <{if $row.dirname == ''system''}>\r\n            <tr class="txtcenter foot">\r\n                <td>\r\n                    <a class="xo-logonormal tooltip" href="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.adminindex}>" title="<{$row.name}>">\r\n                        <img src="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.image}>" alt="<{$row.name}>" />\r\n                    </a>\r\n                    <div class="spacer xo-modsimages">\r\n                        <a class="tooltip" href="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.adminindex}>" title="<{$row.name}>">\r\n                            <img class="xo-mods hide" src="<{xoAdminIcons applications.png}>" alt="<{$row.name}>" title="<{$row.name}>" />\r\n                        </a>\r\n                        <input type="text" name="newname[<{$row.mid}>]" value="<{$row.name}>" maxlength="150" size="20" />\r\n                        <input type="hidden" name="oldname[<{$row.mid}>]" value="<{$row.name}>" />\r\n                    </div>\r\n                </td>\r\n                <td>\r\n                    <{if $row.warning_update == 1}>\r\n                        <strong class="red"><{$row.version}></strong>\r\n                    <{else}>\r\n                        <{$row.version}>\r\n                    <{/if}>\r\n                </td>\r\n                <td><{$row.last_update}></td>\r\n                <td class="xo-modsimages"></td>\r\n                <td class="xo-modsimages"></td>\r\n                <td class="xo-modsimages">\r\n                    <{if $row.isactive == 1}>\r\n                    <a class="tooltip" href="<{$xoops_url}>/modules/system/admin.php?fct=modulesadmin&amp;op=update&amp;module=<{$row.dirname}>" title="<{$smarty.const._AM_SYSTEM_MODULES_UPDATE}>">\r\n                        <{if $row.warning_update == 1}>\r\n                        <img src="<{xoAdminIcons messagebox_warning.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_UPDATE}>" />\r\n                        <{else}>\r\n                        <img src="<{xoAdminIcons reload.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_UPDATE}>" />\r\n                        <{/if}>\r\n                    </a>\r\n                    <{/if}>\r\n                    <img class="cursorpointer tooltip" onclick="display_dialog(<{$row.mid}>, true, true, ''slide'', ''slide'', 240, 450);" src="<{xoAdminIcons info.png}>" alt="<{$smarty.const._INFO}>" title="<{$smarty.const._INFO}>" />\r\n                    <input type="hidden" name="module[]" value="<{$row.mid}>" />\r\n                </td>\r\n            </tr>\r\n            <{/if}>\r\n            <{/foreach}>\r\n            <tr class="head"><td colspan="6"></td></tr>\r\n        </tbody>\r\n        <tbody class="xo-module">\r\n            <{foreach item=row from=$install_mods}>\r\n            <{if $row.dirname != ''system'' && $row.hasmain}>\r\n            <tr id="mod_<{$row.mid}>" class="<{if $row.dirname == ''system''}>xo-system <{/if}>txtcenter <{cycle values=''odd, even''}>">\r\n                <td>\r\n                    <{if $row.hasadmin == 1 && $row.isactive == 1}>\r\n                    <a class="xo-logonormal tooltip" href="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.adminindex}>" title="<{$row.name}>">\r\n                        <img src="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.image}>" alt="<{$row.name}>" />\r\n                    </a>\r\n                    <{else}>\r\n                    <img class="xo-logonormal tooltip" src="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.image}>" alt="<{$row.name}>" title="<{$row.name}>" />\r\n                    <{/if}>\r\n                    <div class="spacer xo-modsimages">\r\n                        <{if $row.hasadmin == 1 && $row.isactive == 1}>\r\n                        <a class="tooltip" href="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.adminindex}>" title="<{$row.name}>">\r\n                            <img class="xo-mods hide" src="<{xoAdminIcons applications.png}>" alt="<{$row.name}>" title="<{$row.name}>" />\r\n                        </a>\r\n                        <{else}>\r\n                        <img class="xo-mods hide tooltip" src="<{xoAdminIcons applications.png}>" alt="<{$row.name}>" title="<{$row.name}>" />\r\n                        <{/if}>\r\n                        <input type="text" name="newname[<{$row.mid}>]" value="<{$row.name}>" maxlength="150" size="20" />\r\n                        <input type="hidden" name="oldname[<{$row.mid}>]" value="<{$row.name}>" />\r\n                    </div>\r\n                </td>\r\n                <td>\r\n                    <{if $row.warning_update == 1}>\r\n                        <a class="tooltip maxi" style="color:red;" href="<{$xoops_url}>/modules/system/admin.php?fct=modulesadmin&amp;op=update&amp;module=<{$row.dirname}>" title="<{$smarty.const._AM_SYSTEM_MODULES_UPDATE}>"><{$row.version}></a><br /><{$smarty.const._AM_SYSTEM_MODULES_UPDATE}>\r\n                    <{else}>\r\n                        <{$row.version}>\r\n                    <{/if}>\r\n                </td>\r\n                <td><{$row.last_update}></td>\r\n                <td class="xo-modsimages">\r\n                    <img id="loading_active<{$row.mid}>" src="images/spinner.gif" style="display:none;" alt="<{$smarty.const._AM_SYSTEM_LOADING}>" />\r\n                    <img class="cursorpointer tooltip" id="active<{$row.mid}>" onclick="system_setStatus( { fct: ''modulesadmin'', op: ''display'', mid: <{$row.mid}> }, ''active<{$row.mid}>'', ''admin.php'' )" src="<{if $row.isactive}><{xoAdminIcons success.png}><{else}><{xoAdminIcons cancel.png}><{/if}>" alt="<{if $row.isactive}><{$smarty.const._AM_SYSTEM_MODULES_DEACTIVATE}><{else}><{$smarty.const._AM_SYSTEM_MODULES_ACTIVATE}><{/if}>" title="<{if $row.isactive}><{$smarty.const._AM_SYSTEM_MODULES_DEACTIVATE}><{else}><{$smarty.const._AM_SYSTEM_MODULES_ACTIVATE}><{/if}>" />\r\n                </td>\r\n                <td class="xo-modsimages">\r\n                    <img id="loading_menu<{$row.mid}>" src="images/spinner.gif" style="display:none;" title="<{$smarty.const._AM_SYSTEM_LOADING}>" alt="<{$smarty.const._AM_SYSTEM_LOADING}>" />\r\n                    <img class="cursorpointer tooltip" id="menu<{$row.mid}>" onclick="system_setStatus( { fct: ''modulesadmin'', op: ''display_in_menu'', mid: <{$row.mid}> }, ''menu<{$row.mid}>'', ''admin.php'' )" src="<{if $row.weight != 0}><{xoAdminIcons success.png}><{else}><{xoAdminIcons cancel.png}><{/if}>" alt="<{if $row.weight != 0}><{$smarty.const._AM_SYSTEM_MODULES_HIDE}><{else}><{$smarty.const._AM_SYSTEM_MODULES_SHOW}><{/if}>" title="<{if $row.weight != 0}><{$smarty.const._AM_SYSTEM_MODULES_HIDE}><{else}><{$smarty.const._AM_SYSTEM_MODULES_SHOW}><{/if}>" />\r\n                </td>\r\n                <td class="xo-modsimages">\r\n                    <{if $row.isactive == 1}>\r\n                    <a class="tooltip" href="<{$xoops_url}>/modules/system/admin.php?fct=modulesadmin&amp;op=update&amp;module=<{$row.dirname}>" title="<{$smarty.const._AM_SYSTEM_MODULES_UPDATE}>">\r\n                        <{if $row.warning_update == 1}>\r\n                        <img src="<{xoAdminIcons messagebox_warning.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_UPDATE}>" />\r\n                        <{else}>\r\n                        <img src="<{xoAdminIcons reload.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_UPDATE}>" />\r\n                        <{/if}>\r\n                    </a>\r\n                    <{/if}>\r\n                    <a class="tooltip" href="<{$xoops_url}>/modules/system/admin.php?fct=modulesadmin&amp;op=uninstall&amp;module=<{$row.dirname}>" title="<{$smarty.const._AM_SYSTEM_MODULES_UNINSTALL}>">\r\n                        <img src="<{xoAdminIcons uninstall.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_UNINSTALL}>" />\r\n                    </a>\r\n                    <img class="cursorpointer tooltip" onclick="display_dialog(<{$row.mid}>, true, true, ''slide'', ''slide'', 240, 450);" src="<{xoAdminIcons info.png}>" alt="<{$smarty.const._INFO}>" title="<{$smarty.const._INFO}>" />\r\n                    <input type="hidden" name="module[]" value="<{$row.mid}>" />\r\n                </td>\r\n            </tr>\r\n            <{/if}>\r\n            <{/foreach}>\r\n        </tbody>\r\n        <tbody>\r\n            <tr class="head"><td colspan="6"></td></tr>\r\n            <{foreach item=row from=$install_mods}>\r\n            <{if $row.dirname != ''system'' && !$row.hasmain}>\r\n            <tr class="txtcenter foot">\r\n                <td>\r\n                    <a class="xo-logonormal tooltip" href="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.adminindex}>" title="<{$row.name}>">\r\n                        <img src="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.image}>" alt="<{$row.name}>" />\r\n                    </a>\r\n                    <div class="spacer xo-modsimages">\r\n                        <a class="tooltip" href="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.adminindex}>" title="<{$row.name}>">\r\n                            <img class="xo-mods hide" src="<{xoAdminIcons applications.png}>" alt="<{$row.name}>" title="<{$row.name}>" />\r\n                        </a>\r\n                        <input type="text" name="newname[<{$row.mid}>]" value="<{$row.name}>" maxlength="150" size="20" />\r\n                        <input type="hidden" name="oldname[<{$row.mid}>]" value="<{$row.name}>" />\r\n                    </div>\r\n                </td>\r\n                <td>\r\n                    <{if $row.warning_update == 1}>\r\n                        <a class="tooltip maxi" style="color:red;" href="<{$xoops_url}>/modules/system/admin.php?fct=modulesadmin&amp;op=update&amp;module=<{$row.dirname}>" title="<{$smarty.const._AM_SYSTEM_MODULES_UPDATE}>"><{$row.version}></a><br /><{$smarty.const._AM_SYSTEM_MODULES_UPDATE}>\r\n                    <{else}>\r\n                        <{$row.version}>\r\n                    <{/if}>\r\n                </td>\r\n                <td><{$row.last_update}></td>\r\n                <td class="xo-modsimages"><img id="loading_mid<{$row.mid}>" src="images/spinner.gif" style="display:none;" title="<{$smarty.const._AM_SYSTEM_LOADING}>" alt="<{$smarty.const._AM_SYSTEM_LOADING}>" /><img class="cursorpointer tooltip" id="mid<{$row.mid}>" onclick="system_setStatus( { fct: ''modulesadmin'', op: ''display'', mid: <{$row.mid}> }, ''mid<{$row.mid}>'', ''admin.php'' )" src="<{if $row.isactive}><{xoAdminIcons success.png}><{else}><{xoAdminIcons cancel.png}><{/if}>" alt="<{if $row.isactive}><{$smarty.const._AM_SYSTEM_MODULES_DEACTIVATE}><{else}><{$smarty.const._AM_SYSTEM_MODULES_ACTIVATE}><{/if}>" title="<{if $row.isactive}><{$smarty.const._AM_SYSTEM_MODULES_DEACTIVATE}><{else}><{$smarty.const._AM_SYSTEM_MODULES_ACTIVATE}><{/if}>" />\r\n                </td>\r\n                <td class="xo-modsimages"></td>\r\n                <td class="xo-modsimages">\r\n                    <{if $row.isactive == 1}>\r\n                    <a class="tooltip" href="<{$xoops_url}>/modules/system/admin.php?fct=modulesadmin&amp;op=update&amp;module=<{$row.dirname}>" title="<{$smarty.const._AM_SYSTEM_MODULES_UPDATE}>">\r\n                        <img src="<{xoAdminIcons reload.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_UPDATE}>" />\r\n                    </a>\r\n                    <{/if}>\r\n                    <a class="tooltip" href="<{$xoops_url}>/modules/system/admin.php?fct=modulesadmin&amp;op=uninstall&amp;module=<{$row.dirname}>" title="<{$smarty.const._AM_SYSTEM_MODULES_UNINSTALL}>">\r\n                        <img src="<{xoAdminIcons uninstall.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_UNINSTALL}>" />\r\n                    </a>\r\n                    <img class="cursorpointer tooltip" onclick="display_dialog(<{$row.mid}>, true, true, ''slide'', ''slide'', 240, 450);" src="<{xoAdminIcons info.png}>" alt="<{$smarty.const._INFO}>" title="<{$smarty.const._INFO}>" />\r\n                    <input type="hidden" name="module[]" value="<{$row.mid}>" />\r\n                </td>\r\n            </tr>\r\n            <{/if}>\r\n            <{/foreach}>\r\n        </tbody>\r\n        <tfoot>\r\n            <tr class="txtcenter foot">\r\n                <td colspan="6">\r\n                    <input type="hidden" name="fct" value="modulesadmin" />\r\n                    <input type="hidden" name="op" value="confirm" />\r\n                    <input class="xo-formbuttons" type="submit" name="submit" value="<{$smarty.const._AM_SYSTEM_MODULES_SUBMIT}>" />\r\n                </td>\r\n            </tr>\r\n        </tfoot>\r\n    </table>\r\n</form>\r\n<{/if}>\r\n\r\n<{if $toinstall_mods}>\r\n<div class="floatleft">\r\n    <img class="cursorpointer tooltip" onclick="system_moduleLargeView();" src="<{xoAdminIcons view_large.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_VIEWLARGE}>" title="<{$smarty.const._AM_SYSTEM_MODULES_VIEWLARGE}>" />\r\n    <img class="cursorpointer tooltip" onclick="system_moduleListView();" src="<{xoAdminIcons view_small.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_VIEWLINE}>" title="<{$smarty.const._AM_SYSTEM_MODULES_VIEWLINE}>" />\r\n</div>\r\n<div class="clear spacer"></div>\r\n<table class="outer" cellspacing="1">\r\n    <thead>\r\n        <tr class="txtcenter">\r\n            <th><{$smarty.const._AM_SYSTEM_MODULES_MODULE}></th>\r\n            <th><{$smarty.const._AM_SYSTEM_MODULES_VERSION}></th>\r\n            <th><{$smarty.const._AM_SYSTEM_MODULES_ACTION}></th>\r\n        </tr>\r\n    </thead>\r\n    <tbody>\r\n        <{foreach item=row from=$toinstall_mods}>\r\n        <tr class="txtcenter <{cycle values=''odd, even''}>">\r\n            <td>\r\n                <img class="xo-logonormal" src="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.image}>" alt="<{$row.name}>" title="<{$row.name}>" />\r\n                <div class="spacer xo-modsimages">\r\n                    <{if $row.hasadmin == 1 && $row.isactive == 1}>\r\n                    <a class="tooltip" href="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.adminindex}>" title="<{$row.name}>">\r\n                        <img class="xo-mods hide" src="<{xoAdminIcons applications.png}>" alt="<{$row.name}>" title="<{$row.name}>" />\r\n                    </a>\r\n                    <{else}>\r\n                    <img class="xo-mods hide tooltip" src="<{xoAdminIcons applications.png}>" alt="<{$row.name}>" title="<{$row.name}>" />\r\n                    <{/if}>\r\n                    <span class="spacer bold"><{$row.name}></span>\r\n                </div>\r\n            </td>\r\n            <td><{$row.version}></td>\r\n            <td class="xo-modsimages">\r\n                <a class="tooltip" href="<{$xoops_url}>/modules/system/admin.php?fct=modulesadmin&amp;op=install&amp;module=<{$row.dirname}>" title="<{$smarty.const._AM_SYSTEM_MODULES_INSTALL}>">\r\n                    <img src="<{xoAdminIcons install.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_INSTALL}>" />\r\n                </a>\r\n                <img class="cursorpointer tooltip" onclick="display_dialog(<{$row.mid}>, true, true, ''slide'', ''slide'', 240, 450);" src="<{xoAdminIcons info.png}>" alt="<{$smarty.const._INFO}>" title="<{$smarty.const._INFO}>" />\r\n            </td>\r\n        </tr>\r\n        <{/foreach}>\r\n    </tbody>\r\n</table>\r\n<{/if}>\r\n<!--Pop-pup-->\r\n<{foreach item=row from=$mods_popup}>\r\n<div id="dialog<{$row.mid}>" title="<{$row.name}>" style=''display:none;''>\r\n    <table>\r\n        <tr>\r\n            <td class="width10 aligntop">\r\n                <img src="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.image}>" alt="<{$row.name}>" title="<{$row.name}>" />\r\n            </td>\r\n            <td>\r\n                <ul class="xo-moduleinfos">\r\n                    <li><span class="bold"><{$smarty.const._VERSION}></span>&nbsp;:&nbsp;<{$row.version}></li>\r\n                    <li><span class="bold"><{$smarty.const._AUTHOR}></span>&nbsp;:&nbsp;<{$row.author}></li>\r\n                    <li><span class="bold"><{$smarty.const._CREDITS}></span>&nbsp;:&nbsp;<{$row.credits}></li>\r\n                    <li><span class="bold"><{$smarty.const._LICENCE}></span>&nbsp;:&nbsp;<{$row.license}> </li>\r\n                </ul>\r\n            </td>\r\n        </tr>\r\n    </table>\r\n    <p><{$row.description}></p>\r\n</div>\r\n<{/foreach}>\r\n<!--Pop-pup-->'),
(23, '<{includeq file="db:system_header.html"}>\r\n<{if $modifs_mods}>\r\n<form action="admin.php" method="post">\r\n  <table class="outer" cellspacing="1">\r\n    <thead>\r\n      <tr class="txtcenter">\r\n        <th><{$smarty.const._AM_SYSTEM_MODULES_MODULE}></th>\r\n        <th><{$smarty.const._AM_SYSTEM_MODULES_ACTION}></th>\r\n        <th><{$smarty.const._AM_SYSTEM_MODULES_ORDER}></th>\r\n      </tr>\r\n    </thead>\r\n    <tbody>\r\n      <{foreach item=row from=$modifs_mods}>\r\n      <tr class="txtcenter <{cycle values=''odd, even''}>">\r\n        <td>\r\n          <{$row.oldname}>\r\n          <{if $row.oldname != $row.newname}>\r\n          <span class="bold red">&nbsp;&raquo;&raquo;&nbsp;<{$row.newname}></span>\r\n          <{/if}>\r\n        </td>\r\n        <td>\r\n          <{if $row.oldstatus != $row.newstatus}>\r\n          <{if $row.newstatus == 1}>\r\n          <div class="bold red"><{$smarty.const._AM_SYSTEM_MODULES_ACTIVATE}></div>\r\n          <{else}>\r\n          <div class="bold red"><{$smarty.const._AM_SYSTEM_MODULES_DEACTIVATE}></div>\r\n          <{/if}>\r\n          <{else}>\r\n          <{$smarty.const._AM_SYSTEM_MODULES_NOCHANGE}>\r\n          <{/if}>\r\n        </td>\r\n        <td>\r\n          <{if $row.oldweight != $row.weight}>\r\n          <div class="bold red"><{$row.weight}></div>\r\n          <{else}>\r\n          <{$row.weight}>\r\n          <{/if}>\r\n          <input type="hidden" name="module[]" value="<{$row.mid}>" />\r\n          <input type="hidden" name="oldname[<{$row.mid}>]" value="<{$row.oldname}>" />\r\n          <input type="hidden" name="newname[<{$row.mid}>]" value="<{$row.newname}>" />\r\n          <input type="hidden" name="oldstatus[<{$row.mid}>]" value="<{$row.oldstatus}>" />\r\n          <input type="hidden" name="newstatus[<{$row.mid}>]" value="<{$row.newstatus}>" />\r\n          <input type="hidden" name="oldweight[<{$row.mid}>]" value="<{$row.oldweight}>" />\r\n          <input type="hidden" name="weight[<{$row.mid}>]" value="<{$row.weight}>" />\r\n        </td>\r\n      </tr>\r\n      <{/foreach}>\r\n    </tbody>\r\n    <tfoot>\r\n      <tr class="txtcenter foot">\r\n        <td colspan="3">\r\n          <input class="formButton" type="submit" value="<{$smarty.const._AM_SYSTEM_MODULES_SUBMIT}>" />&nbsp;\r\n          <input class="formButton" type="button" value="<{$smarty.const._AM_SYSTEM_MODULES_CANCEL}>" onclick="location=''admin.php?fct=modulesadmin''" />\r\n          <input type="hidden" name="fct" value="modulesadmin" />\r\n          <input type="hidden" name="op" value="submit" />\r\n          <{$input_security}>\r\n        </td>\r\n      </tr>\r\n    </tfoot>\r\n  </table>\r\n</form>\r\n<{else}>\r\n<div id="xo-module-log">\r\n    <{if $result}>\r\n    <div class="logger">\r\n        <{foreach item=row from=$result}>\r\n        <div class="spacer"><{$row}></div>\r\n        <{/foreach}>\r\n    </div>\r\n    <{/if}>\r\n    <a href="admin.php?fct=modulesadmin"><{$smarty.const._AM_SYSTEM_MODULES_BTOMADMIN}></a>\r\n</div>\r\n<{/if}>'),
(24, '<!-- Header -->\r\n<{includeq file="db:system_header.html"}>\r\n<script type="text/javascript">\r\n    IMG_ON = ''<{xoAdminIcons success.png}>'';\r\n    IMG_OFF = ''<{xoAdminIcons cancel.png}>'';\r\n</script>\r\n<{if $view_cat}>\r\n<!-- Display Avatar header for switch between system & custom category -->\r\n<table class="outer" cellspacing="1">\r\n    <thead>\r\n        <tr>\r\n            <th class="txtcenter"><{$smarty.const._AM_SYSTEM_AVATAR_SYSTEM}></th>\r\n            <th class="txtcenter"><{$smarty.const._AM_SYSTEM_AVATAR_CUSTOM}></th>\r\n        </tr>\r\n    </thead>\r\n    <tbody>\r\n        <tr class="odd">\r\n            <td class="txtcenter">\r\n                <a class="tooltip" href="admin.php?fct=avatars&amp;op=listavt&amp;type=s" title="<{$smarty.const._AM_SYSTEM_AVATAR_SYSTEM}>">\r\n                    <img src="<{xoAdminIcons avatar_system.png}>" alt="<{$smarty.const._AM_SYSTEM_AVATAR_SYSTEM}>" />\r\n                </a>\r\n                <div class="spacer"><{$smarty.const._AM_SYSTEM_AVATAR_SYSTEM}>&nbsp;:&nbsp;<strong><{$count_system}></strong></div>\r\n            </td>\r\n            <td class="txtcenter">\r\n                <a class="tooltip" href="admin.php?fct=avatars&amp;op=listavt&amp;type=c" title="<{$smarty.const._AM_SYSTEM_AVATAR_CUSTOM}>">\r\n                    <img src="<{xoAdminIcons avatar_custom.png}>" alt="<{$smarty.const._AM_SYSTEM_AVATAR_CUSTOM}>" />\r\n                </a>\r\n                <div class="spacer"><{$smarty.const._AM_SYSTEM_AVATAR_CUSTOM}>&nbsp;:&nbsp;<strong><{$count_custom}></strong></div>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n<br />\r\n<{/if}>\r\n<!-- Display Avatar list for each category -->\r\n<{if $avatars_list}>\r\n<{foreach item=avatar from=$avatars_list}>\r\n<div class="floatleft">\r\n    <div class="ui-corner-all xo-thumb txtcenter">\r\n        <div class="xo-thumbimg">\r\n            <img class="tooltip" src="class/thumbs/phpThumb.php?src=<{$xoops_rootpath}>/uploads/<{$avatar.avatar_file}>&amp;h=120&amp;w=120" alt="<{$avatar.avatar_name}>" title="<{$avatar.avatar_name}>" />\r\n        </div>\r\n        <div class="xo-actions txtcenter">\r\n            <div class="spacer bold"><{$avatar.avatar_name}></div>\r\n            <img id="loading_avt<{$avatar.avatar_id}>" src="images/spinner.gif" style="display:none;" title="<{$smarty.const._AM_SYSTEM_LOADING}>" alt="<{$smarty.const._AM_SYSTEM_LOADING}>" /><img class="tooltip" id="avt<{$avatar.avatar_id}>" onclick="system_setStatus( { fct: ''avatars'', op: ''display'', avatar_id: <{$avatar.avatar_id}> }, ''avt<{$avatar.avatar_id}>'', ''admin.php'' )" src="<{if $avatar.avatar_display}><{xoAdminIcons success.png}><{else}><{xoAdminIcons cancel.png}><{/if}>" alt="<{$smarty.const._IMGDISPLAY}>" title="<{$smarty.const._IMGDISPLAY}>" />\r\n            <{if $avatar.type == ''c''}>\r\n            <a href="<{$xoops_url}>/modules/profile/userinfo.php?uid=<{$avatar.user}>" title="<{$smarty.const._AM_SYSTEM_AVATAR_USERS}>">\r\n                <img src="<{xoAdminIcons user_edit.png}>" alt="<{$smarty.const._AM_SYSTEM_AVATAR_USERS}>" />\r\n            </a>\r\n            <{else}>\r\n            <img class="cursorhelp tooltip" src="<{xoAdminIcons forum.png}>" alt="<{$avatar.count}> <{$smarty.const._AM_SYSTEM_AVATAR_USERS}>" title="<{$avatar.count}> <{$smarty.const._AM_SYSTEM_AVATAR_USERS}>" />\r\n            <{/if}>\r\n            <a class="tooltip" href="admin.php?fct=avatars&amp;op=edit&amp;avatar_id=<{$avatar.avatar_id}>" title="<{$smarty.const._EDIT}>">\r\n                <img src="<{xoAdminIcons edit.png}>" alt="<{$smarty.const._EDIT}>" />\r\n            </a>\r\n            <a class="tooltip" href="admin.php?fct=avatars&amp;op=delfile&amp;avatar_id=<{$avatar.avatar_id}>" title="<{$smarty.const._DELETE}>">\r\n                <img src="<{xoAdminIcons delete.png}>" alt="<{$smarty.const._DELETE}>" />\r\n            </a>\r\n        </div>\r\n    </div>\r\n</div>\r\n<{/foreach}>\r\n<!-- Display Avatars navigation -->\r\n<div class="clear">&nbsp;</div>\r\n<{if $nav_menu}><div class="xo-pagenav floatright"><{$nav_menu}></div><div class="clear spacer"></div><{/if}>\r\n<{/if}>\r\n<!-- Display Avatar form (add,edit) -->\r\n<{if $form}>\r\n<div class="spacer"><{$form}></div>\r\n<{/if}>\r\n<!-- Display Avatar images on edit page -->\r\n'),
(25, '<!--smilies-->\n<{includeq file="db:system_header.html"}>\n<script type="text/javascript">\n    IMG_ON = ''<{xoAdminIcons success.png}>'';\n    IMG_OFF = ''<{xoAdminIcons cancel.png}>'';\n</script>\n<{if $smilies_count == true}>\n<div class="floatright">\n    <div class="xo-buttons">\n        <a class="ui-corner-all tooltip" href="admin.php?fct=smilies&amp;op=new_smilie" title="<{$smarty.const._AM_SYSTEM_SMILIES_ADD}>">\n            <img src="<{xoAdminIcons add.png}>" alt="<{$smarty.const._AM_SYSTEM_SMILIES_ADD}>" />\n            <{$smarty.const._AM_SYSTEM_SMILIES_ADD}>\n        </a>\n    </div>\n</div>\n<table id="xo-smilies-sorter" cellspacing="1" class="outer tablesorter">\n    <thead>\n	<tr>\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_SMILIES_CODE}></th>\n        <th class="txtcenter"><{$smarty.const._AM_SYSTEM_SMILIES_SMILIE}></th>\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_SMILIES_DESCRIPTION}></th>\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_SMILIES_DISPLAY}></th>\n		<th class="txtcenter width10"><{$smarty.const._AM_SYSTEM_SMILIES_ACTION}></th>\n	</tr>\n	</thead>\n	<tbody>\n	<{foreach item=smilies from=$smilies}>\n	<tr class="<{cycle values=''even,odd''}> alignmiddle">\n		<td class="txtcenter width5"><{$smilies.code}></td>\n        <td class="txtcenter width5"><{$smilies.image}></td>\n		<td class="txtcenter width50"><{$smilies.emotion}></td>\n		<td class="xo-actions txtcenter width10">\n            <img id="loading_sml<{$smilies.smilies_id}>" src="images/spinner.gif" style="display:none;" title="<{$smarty.const._AM_SYSTEM_LOADING}>" alt="<{$smarty.const._AM_SYSTEM_LOADING}>" /><img class="cursorpointer tooltip" id="sml<{$smilies.smilies_id}>" onclick="system_setStatus( { fct: ''smilies'', op: ''smilies_update_display'', smilies_id: <{$smilies.smilies_id}> }, ''sml<{$smilies.smilies_id}>'', ''admin.php'' )" src="<{if $smilies.display}><{xoAdminIcons success.png}><{else}><{xoAdminIcons cancel.png}><{/if}>" alt="<{if $smilies.display}><{$smarty.const._AM_SYSTEM_SMILIES_OFF}><{else}><{$smarty.const._AM_SYSTEM_SMILIES_ON}><{/if}>" title="<{if $smilies.display}><{$smarty.const._AM_SYSTEM_SMILIES_OFF}><{else}><{$smarty.const._AM_SYSTEM_SMILIES_ON}><{/if}>" />\n        </td>\n		<td class="xo-actions txtcenter width10">\n            <a class="tooltip" href="admin.php?fct=smilies&amp;op=edit_smilie&amp;smilies_id=<{$smilies.smilies_id}>" title="<{$smarty.const._AM_SYSTEM_SMILIES_EDIT}>">\n                <img src="<{xoAdminIcons edit.png}>" alt="<{$smarty.const._AM_SYSTEM_SMILIES_EDIT}>" />\n            </a>\n            <a class="tooltip" href="admin.php?fct=smilies&amp;op=smilies_delete&amp;smilies_id=<{$smilies.smilies_id}>" title="<{$smarty.const._AM_SYSTEM_SMILIES_DELETE}>">\n                <img src="<{xoAdminIcons delete.png}>" alt="<{$smarty.const._AM_SYSTEM_SMILIES_DELETE}>" />\n            </a>\n        </td>\n	</tr>\n	<{/foreach}>\n	</tbody>\n</table>\n<!-- Display smilies navigation -->\n<div class="clear spacer"></div>\n<{if $nav_menu}>\n<div class="xo-avatar-pagenav floatright"><{$nav_menu}></div>\n<div class="clear spacer"></div>\n<{/if}>\n<{/if}>\n<!-- Display smilies form (add,edit) -->\n<{if $form}>\n<div class="spacer"><{$form}></div>\n<{/if}>'),
(26, '<!-- Breadcrumb Header -->\r\n<{includeq file="db:system_header.html"}>\r\n<script type="text/javascript">\r\n    IMG_ON = ''<{xoAdminIcons success.png}>'';\r\n    IMG_OFF = ''<{xoAdminIcons cancel.png}>'';\r\n</script>\r\n<{if $filterform}>\r\n<div class="floatright">\r\n    <div class="xo-buttons">\r\n        <button id="xo-add-btn" class="ui-corner-all" onclick="self.location.href=''admin.php?fct=blocksadmin&amp;op=add'';">\r\n            <img src="<{xoAdminIcons add.png}>" alt="<{$smarty.const._AM_SYSTEM_BLOCKS_ADD}>" />\r\n            <{$smarty.const._AM_SYSTEM_BLOCKS_ADD}>\r\n        </button>\r\n    </div>\r\n</div>\r\n<div class="clear"></div>\r\n<div id="xo-block-dragndrop">\r\n    <table class="outer">\r\n        <tr>\r\n            <th>\r\n                <form name="<{$filterform.name}>" id="<{$filterform.name}>" action="<{$filterform.action}>" method="<{$filterform.method}>" <{$filterform.extra}> >\r\n                    <div class="xo-blocksfilter">\r\n                    <{foreach item=element from=$filterform.elements}>\r\n                    <{if $element.hidden != true}>\r\n                    \r\n                    <div class="xo-caption"><{$element.caption}></div>\r\n                    <div class="xo-element"><{$element.body}></div>\r\n                    <{else}>\r\n                    <{$element.body}>\r\n                    <{/if}>\r\n                    <{/foreach}>\r\n                    </div>\r\n                </form>\r\n            </th>\r\n        </tr>\r\n        <tr>\r\n            <td>\r\n                <table id="xo-block-managment">\r\n                    <tr>\r\n                        <td side="0" class="xo-blocksection" rowspan="3" id="xo-leftcolumn">\r\n                            <div class="xo-title"><{$smarty.const._AM_SYSTEM_BLOCKS_SIDELEFT}></div>\r\n                            <{includeq file="db:system_blocks_item.html" blocks=$blocks side=0}>\r\n                        </td>\r\n                        <td side="3" class="xo-blocksection">\r\n                            <div class="xo-title"><{$smarty.const._AM_SYSTEM_BLOCKS_SIDETOPLEFT}></div>\r\n                            <{includeq file="db:system_blocks_item.html" blocks=$blocks side=3}>\r\n                        </td>\r\n                        <td side="5" class="xo-blocksection">\r\n                            <div class="xo-title"><{$smarty.const._AM_SYSTEM_BLOCKS_SIDETOPCENTER}></div>\r\n                            <{includeq file="db:system_blocks_item.html" blocks=$blocks side=5}>\r\n                        </td>\r\n                        <td side="4" class="xo-blocksection">\r\n                            <div class="xo-title"><{$smarty.const._AM_SYSTEM_BLOCKS_SIDETOPRIGHT}></div>\r\n                            <{includeq file="db:system_blocks_item.html" blocks=$blocks side=4}>\r\n                        </td>\r\n                        <td side="1" class="xo-blocksection" rowspan="3" id="xo-rightcolumn">\r\n                            <div class="xo-title"><{$smarty.const._AM_SYSTEM_BLOCKS_SIDERIGHT}></div>\r\n                            <{includeq file="db:system_blocks_item.html" blocks=$blocks side=1}>\r\n                        </td>\r\n                    </tr>\r\n                    <tr style="height:30px;">\r\n                        <td colspan="3" class="xo-blockContent width5">&nbsp;</td>\r\n                    </tr>\r\n                    <tr>\r\n                        <td side="7" class="xo-blocksection">\r\n                            <div class="xo-title"><{$smarty.const._AM_SYSTEM_BLOCKS_SIDEBOTTOMLEFT}></div>\r\n                            <{includeq file="db:system_blocks_item.html" blocks=$blocks side=7}>\r\n                        </td>\r\n                        <td side="9" class="xo-blocksection">\r\n                            <div class="xo-title"><{$smarty.const._AM_SYSTEM_BLOCKS_SIDEBOTTOMCENTER}></div>\r\n                            <{includeq file="db:system_blocks_item.html" blocks=$blocks side=9}>\r\n                        </td>\r\n                        <td side="8" class="xo-blocksection">\r\n                            <div class="xo-title"><{$smarty.const._AM_SYSTEM_BLOCKS_SIDEBOTTOMRIGHT}></div>\r\n                            <{includeq file="db:system_blocks_item.html" blocks=$blocks side=8}>\r\n                        </td>\r\n                    </tr>\r\n                </table>\r\n            </td>\r\n        </tr>\r\n    </table>\r\n</div>\r\n<{/if}>\r\n<div id="xo-block-add" <{if $filterform}>class="hide"<{/if}>>\r\n    <{if !$filterform}><br /><{/if}>\r\n    <{$blockform}>\r\n</div>\r\n<!-- Preview block -->\r\n<div id="xo-preview-block" class="hide"></div>\r\n'),
(27, '\r\n<{foreach item=item from=$blocks}>\r\n<{if $item.side == $side}>\r\n<div id="blk_<{$item.bid}>" bid="<{$item.bid}>" side="<{$item.side}>" order="<{$item.weight}>" class="xo-block ui-widget ui-widget-content ui-corner-all">\r\n    <div class="xo-blocktitle ui-corner-all">\r\n        <span class="spacer">\r\n            <img class="xo-imgmini" src="<{xoAdminIcons block.png}>" alt="<{$smarty.const._AM_SYSTEM_BLOCKS_DRAG}>" title="<{$smarty.const._AM_SYSTEM_BLOCKS_DRAG}>" />\r\n        </span>\r\n        <{$item.title}>\r\n    </div>\r\n    <div class="xo-blockaction xo-actions"><img id="loading_img<{$item.bid}>" src="./images/mimetypes/spinner.gif" style="display:none;" title="<{$smarty.const._AM_SYSTEM_LOADING}>" alt="<{$smarty.const._AM_SYSTEM_LOADING}>" /><img class="tooltip" id="img<{$item.bid}>" onclick="system_setStatus( { fct: ''blocksadmin'', op: ''display'', bid: <{$item.bid}>, visible: <{if $item.visible}>0<{else}>1<{/if}> }, ''img<{$item.bid}>'', ''admin.php'' )" src="<{if $item.visible}><{xoAdminIcons success.png}><{else}><{xoAdminIcons cancel.png}><{/if}>" alt="<{if $item.visible}><{$smarty.const._AM_SYSTEM_BLOCKS_HIDE}><{else}><{$smarty.const._AM_SYSTEM_BLOCKS_DISPLAY}><{/if}><{$item.name}>" title="<{if $item.visible}><{$smarty.const._AM_SYSTEM_BLOCKS_HIDE}><{else}><{$smarty.const._AM_SYSTEM_BLOCKS_DISPLAY}><{/if}><{$item.name}>" />\r\n        <a class="tooltip" href="admin.php?fct=blocksadmin&amp;op=edit&amp;bid=<{$item.bid}>" title="<{$smarty.const._EDIT}>">\r\n            <img src="<{xoAdminIcons edit.png}>" alt="<{$smarty.const._EDIT}>" />\r\n        </a>\r\n        <{if $item.block_type != ''S''}>\r\n        <a class="tooltip" href="admin.php?fct=blocksadmin&amp;op=delete&amp;bid=<{$item.bid}>" title="<{$smarty.const._DELETE}>">\r\n            <img src="<{xoAdminIcons delete.png}>" alt="<{$smarty.const._DELETE}>" />\r\n        </a>\r\n        <{/if}>\r\n        <a class="tooltip" href="admin.php?fct=blocksadmin&amp;op=clone&amp;bid=<{$item.bid}>" title="<{$smarty.const._AM_SYSTEM_BLOCKS_CLONE}>">\r\n            <img src="<{xoAdminIcons clone.png}>" alt="<{$smarty.const._AM_SYSTEM_BLOCKS_CLONE}>" />\r\n        </a>\r\n    </div>\r\n</div>\r\n<{/if}>\r\n<{/foreach}>'),
(28, '<{includeq file="db:system_header.html"}>\r\n<!--Comments-->\r\n<{if $form}>\r\n<div class="spacer"><{$form}></div>\r\n<{else}>\r\n<div class="floatleft"><{$form_sort}></div>\r\n<div class="floatright">\r\n    <div class="xo-buttons">\r\n        <button class="ui-corner-all" onclick="self.location.href=''admin.php?fct=comments&amp;op=comments_form_purge''">\r\n            <img src="<{xoAdminIcons clear.png}>" alt="<{$smarty.const._AM_SYSTEM_COMMENTS_FORM_PURGE}>" />\r\n            <{$smarty.const._AM_SYSTEM_COMMENTS_FORM_PURGE}>\r\n        </button>\r\n    </div>\r\n</div>\r\n<div class="clear"></div>\r\n<table id="xo-comment-sorter" cellspacing="1" class="outer tablesorter">\r\n    <thead>\r\n    <tr>\r\n        <th class="txtcenter width5"><input name=''allbox'' id=''allbox'' onclick=''xoopsCheckAll("commentslist", "allbox");''  type=''checkbox'' value=''Check All'' /></th>\r\n        <th class="txtcenter width5"></th>\r\n        <th class="txtcenter"><{$smarty.const._AM_SYSTEM_COMMENTS_TITLE}></th>\r\n        <th class="txtcenter"><{$smarty.const._AM_SYSTEM_COMMENTS_POSTED}></th>\r\n        <th class="txtcenter"><{$smarty.const._AM_SYSTEM_COMMENTS_IP}></th>\r\n        <th class="txtcenter"><{$smarty.const._DATE}></th>\r\n        <th class="txtcenter"><{$smarty.const._AM_SYSTEM_COMMENTS_MODULE}></th>\r\n        <th class="txtcenter"><{$smarty.const._AM_SYSTEM_COMMENTS_STATUS}></th>\r\n        <th class="txtcenter width10"><{$smarty.const._AM_SYSTEM_COMMENTS_ACTION}></th>\r\n    </tr>\r\n    </thead>\r\n    <form name=''commentslist'' id=''commentslist'' action=''<{$php_selft}>'' method="post">\r\n    <tbody>\r\n    <{foreach item=comments from=$comments}>\r\n    <tr class="<{cycle values=''even,odd''}> alignmiddle">\r\n        <td class="txtcenter"><input type=''checkbox'' name=''commentslist_id[]'' id=''commentslist_id[]'' value=''<{$comments.comments_id}>''/></td>	\r\n        <td class="txtcenter"><{$comments.comments_icon}></td>\r\n        <td class="txtcenter"><{$comments.comments_title}></td>\r\n        <td class="txtcenter"><{$comments.comments_poster}></td>\r\n        <td class="txtcenter"><{$comments.comments_ip}></td>\r\n        <td class="txtcenter"><{$comments.comments_date}></td>\r\n        <td class="txtcenter"><{$comments.comments_modid}></td>\r\n        <td class="txtcenter"><{$comments.comments_status}></td>\r\n        <td class="xo-actions txtcenter">\r\n            <img class="cursorpointer" onclick="display_dialog(''<{$comments.comments_id}>'', true, true, ''slide'', ''slide'', 300, 500);" src="<{xoAdminIcons display.png}>" alt="<{$smarty.const._AM_SYSTEM_COMMENTS_VIEW}>" title="<{$smarty.const._AM_SYSTEM_COMMENTS_VIEW}>" />\r\n            <a href="admin/comments/comment_edit.php?com_id=<{$comments.comments_id}>" title="<{$smarty.const._EDIT}>">\r\n                <img src="<{xoAdminIcons edit.png}>" alt="<{$smarty.const._EDIT}>">\r\n            </a>\r\n            <a href="admin/comments/comment_delete.php?com_id=<{$comments.comments_id}>" title="<{$smarty.const._DELETE}>">\r\n                <img src="<{xoAdminIcons delete.png}>" alt="<{$smarty.const._DELETE}>">\r\n            </a>\r\n        </td>\r\n    </tr>\r\n    <{/foreach}>\r\n    </tbody>\r\n    <tr>\r\n        <td><input type=''submit'' name=''<{$smarty.const._DELETE}>'' value=''<{$smarty.const._DELETE}>'' /></td>\r\n        <td colspan="7">&nbsp;</td>\r\n    </tr>\r\n    </form>\r\n</table>\r\n<{foreach item=comments from=$comments_popup}>\r\n<!--Pop-pup-->\r\n<div id=''dialog<{$comments.comments_id}>'' title=''<{$comments.comments_icon}>&nbsp;&nbsp;<{$comments.comments_title}>'' style=''display:none;''>\r\n    <img src="<{xoAdminIcons comment.png}>" alt="comments" title="comments" class="xo-commentsimg" />\r\n    <p><{$comments.comments_text}></p>\r\n</div>\r\n<{/foreach}>\r\n<!--Pop-pup-->\r\n<div class="txtright"><{$nav}></div>\r\n<{/if}>\r\n'),
(29, '<{includeq file="db:system_header.html"}>\r\n<script type="text/javascript">\r\n    IMG_ON = ''<{xoAdminIcons success.png}>'';\r\n    IMG_OFF = ''<{xoAdminIcons cancel.png}>'';\r\n</script>\r\n<!--User rank-->\r\n<{if $userrank_count == true}>\r\n<div class="floatright">\r\n    <div class="xo-buttons">\r\n        <a class="ui-corner-all tooltip" href="admin.php?fct=userrank&amp;op=userrank_new" title="<{$smarty.const._AM_SYSTEM_USERRANK_ADD}>">\r\n            <img src="<{xoAdminIcons add.png}>" alt="<{$smarty.const._AM_SYSTEM_USERRANK_ADD}>" />\r\n            <{$smarty.const._AM_SYSTEM_USERRANK_ADD}>\r\n        </a>\r\n    </div>\r\n</div>\r\n<table id="xo-rank-sorter" cellspacing="1" class="outer tablesorter">\r\n    <thead>\r\n    <tr>\r\n        <th class="txtcenter"><{$smarty.const._AM_SYSTEM_USERRANK_IMAGE}></th>\r\n        <th class="txtcenter"><{$smarty.const._AM_SYSTEM_USERRANK_TITLE}></th>\r\n        <th class="txtcenter"><{$smarty.const._AM_SYSTEM_USERRANK_MINPOST}></th>\r\n        <th class="txtcenter"><{$smarty.const._AM_SYSTEM_USERRANK_MAXPOST}></th>\r\n        <th class="txtcenter"><{$smarty.const._AM_SYSTEM_USERRANK_SPECIAL}></th>\r\n        <th class="txtcenter width10"><{$smarty.const._AM_SYSTEM_USERRANK_ACTION}></th>\r\n    </tr>\r\n    </thead>\r\n    <tbody>\r\n    <{foreach item=userrank from=$userrank}>\r\n    <tr class="<{cycle values=''even,odd''}> alignmiddle">\r\n        <td class="txtcenter"><{$userrank.rank_image}></td>\r\n        <td class="txtcenter"><{$userrank.rank_title}></td>\r\n        <td class="txtcenter"><{$userrank.rank_min}></td>\r\n        <td class="txtcenter"><{$userrank.rank_max}></td>\r\n        <td class="xo-actions txtcenter"><img id="loading_sml<{$userrank.rank_id}>" src="images/spinner.gif" style="display:none;" alt="<{$smarty.const._AM_SYSTEM_LOADING}>" /><img class="cursorpointer tooltip" id="sml<{$userrank.rank_id}>" onclick="system_setStatus( { fct: ''userrank'', op: ''userrank_update_special'', rank_id: <{$userrank.rank_id}> }, ''sml<{$userrank.rank_id}>'', ''admin.php'' )" src="<{if $userrank.rank_special}><{xoAdminIcons success.png}><{else}><{xoAdminIcons cancel.png}><{/if}>" alt="<{if $userrank.rank_special}><{$smarty.const._AM_SYSTEM_USERRANK_OFF}><{else}><{$smarty.const._AM_SYSTEM_USERRANK_ON}><{/if}>" title="<{if $userrank.rank_special}><{$smarty.const._AM_SYSTEM_USERRANK_OFF}><{else}><{$smarty.const._AM_SYSTEM_USERRANK_ON}><{/if}>" />\r\n        </td>\r\n        <td class="xo-actions txtcenter">\r\n            <a class="tooltip" href="admin.php?fct=userrank&amp;op=userrank_edit&amp;rank_id=<{$userrank.rank_id}>" title="<{$smarty.const._AM_SYSTEM_USERRANK_EDIT}>">\r\n                <img src="<{xoAdminIcons edit.png}>" alt="<{$smarty.const._AM_SYSTEM_USERRANK_EDIT}>" />\r\n            </a>\r\n            <a class="tooltip" href="admin.php?fct=userrank&amp;op=userrank_delete&amp;rank_id=<{$userrank.rank_id}>" title="<{$smarty.const._AM_SYSTEM_USERRANK_DELETE}>">\r\n                <img src="<{xoAdminIcons delete.png}>" alt="<{$smarty.const._AM_SYSTEM_USERRANK_DELETE}>" />\r\n            </a>\r\n        </td>\r\n    </tr>\r\n    <{/foreach}>\r\n    </tbody>\r\n</table>\r\n<!-- Display rank navigation -->\r\n<div class="clear spacer"></div>\r\n<{if $nav_menu}>\r\n<div class="xo-avatar-pagenav floatright"><{$nav_menu}></div>\r\n<div class="clear spacer"></div>\r\n<{/if}>\r\n<{/if}>\r\n<!--Display rank form (add,edit)-->\r\n<{if $form}>\r\n<div class="spacer"><{$form}></div>\r\n<{/if}>\r\n\r\n');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES
(30, '<{includeq file="db:system_header.html"}>\r\n\r\n<{if $users_display == true}>\r\n<!--Display form sort-->\r\n<div class="xo-headercontent">\r\n    <div class="floatleft"><{$form_sort}></div>\r\n    <div class="floatright">\r\n        <div class="xo-buttons">\r\n            <a class="ui-corner-all tooltip" href="admin.php?fct=users&amp;op=users_synchronize&amp;status=2" title="<{$smarty.const._AM_SYSTEM_USERS_SYNCHRONIZE}>">\r\n                <img src="<{xoAdminIcons reload.png}>" alt="<{$smarty.const._AM_SYSTEM_USERS_SYNCHRONIZE}>" />\r\n                <{$smarty.const._AM_SYSTEM_USERS_SYNCHRONIZE}>\r\n            </a>\r\n            <a class="ui-corner-all tooltip" href="admin.php?fct=users&amp;op=users_add" title="<{$smarty.const._AM_SYSTEM_USERS_ADDUSER}>">\r\n                <img src="<{xoAdminIcons user_add.png}>" alt="<{$smarty.const._AM_SYSTEM_USERS_ADDUSER}>" />\r\n                <{$smarty.const._AM_SYSTEM_USERS_ADDUSER}>\r\n            </a>\r\n        </div>\r\n    </div>\r\n</div>\r\n<div class="clear">&nbsp;</div>\r\n    <table id="xo-users-sorter" cellspacing="1" class="outer tablesorter">\r\n        <thead>\r\n        <tr>\r\n            <th class="txtcenter width3"><input name=''allbox'' id=''allbox'' onclick=''xoopsCheckAll("memberslist", "allbox");''  type=''checkbox'' value=''Check All'' /></th>\r\n            <th class="txtcenter width5"><{$smarty.const._AM_SYSTEM_USERS_STATUS}></th>\r\n            <th class="txtcenter"><{$smarty.const._AM_SYSTEM_USERS_UNAME}></th>\r\n            <th class="txtcenter"><{$smarty.const._AM_SYSTEM_USERS_EMAIL}></th>\r\n            <th class="txtcenter"><{$smarty.const._AM_SYSTEM_USERS_REG_DATE}></th>\r\n            <th class="txtcenter"><{$smarty.const._AM_SYSTEM_USERS_LAST_LOGIN}></th>\r\n            <th class="txtcenter"><{$smarty.const._AM_SYSTEM_USERS_POSTS}></th>\r\n            <th class="txtcenter" width=''11%''><{$smarty.const._AM_SYSTEM_USERS_ACTION}></th>\r\n        </tr>\r\n        </thead>\r\n        <!--Display data-->\r\n        <{if $users_count == true}>\r\n        <form name=''memberslist'' id=''memberslist'' action=''<{$php_selft}>'' method=''POST''>\r\n        <tbody>\r\n        <{foreach item=users from=$users}>\r\n        <tr class="<{cycle values=''even,odd''}> alignmiddle">\r\n            <td class="txtcenter"><{if $users.checkbox_user}><input type=''checkbox'' name=''memberslist_id[]'' id=''memberslist_id[]'' value=''<{$users.uid}>'' /><{/if}></td>\r\n            <td class="txtcenter"><img class="xo-imgmini" src="<{$users.group}>" alt="" /></td>\r\n            <td class="txtcenter"><a title="<{$users.uname}>" href="<{$xoops_url}>/userinfo.php?uid=<{$users.uid}>" ><{$users.uname}></a></td>\r\n            <td class="txtcenter"><{$users.email}></td>\r\n            <td class="txtcenter"><{$users.reg_date}></td>\r\n            <td class="txtcenter"><{$users.last_login}></td>\r\n            <td class="txtcenter"><div id="display_post_<{$users.uid}>"><{$users.posts}></div><div id=''loading_<{$users.uid}>'' class="txtcenter" style="display:none;"><img src="./images/mimetypes/spinner.gif" title="Loading" alt="Loading" width="12px"/></div></td>\r\n            <td class="xo-actions txtcenter">\r\n                <{if $users.user_level > 0}>\r\n                <img class="tooltip" onclick="display_post(''<{$users.uid}>'');" src="<{xoAdminIcons reload.png}>" alt="<{$smarty.const._AM_SYSTEM_USERS_SYNCHRONIZE}>" title="<{$smarty.const._AM_SYSTEM_USERS_SYNCHRONIZE}>" />\r\n                <img class="tooltip" onclick="display_dialog(''<{$users.uid}>'', true, true, ''slide'', ''slide'', 300, 400);" src="<{xoAdminIcons display.png}>" alt="<{$smarty.const._AM_SYSTEM_USERS_VIEW}>" title="<{$smarty.const._AM_SYSTEM_USERS_VIEW}>" />\r\n                <a class="tooltip" href="admin.php?fct=users&amp;op=users_edit&amp;uid=<{$users.uid}>" title="<{$smarty.const._AM_SYSTEM_USERS_EDIT}>">\r\n                    <img src="<{xoAdminIcons user_edit.png}>" alt="<{$smarty.const._AM_SYSTEM_USERS_EDIT}>" />\r\n                </a>\r\n                <a class="tooltip" href="admin.php?fct=users&amp;op=users_delete&amp;uid=<{$users.uid}>" title="<{$smarty.const._AM_SYSTEM_USERS_DEL}>">\r\n                    <img src="<{xoAdminIcons user_delete.png}>" alt="<{$smarty.const._AM_SYSTEM_USERS_DEL}>" />\r\n                </a>\r\n                <{else}>\r\n                <a class="tooltip" href="admin.php?fct=users&amp;op=users_active&amp;uid=<{$users.uid}>" title="<{$smarty.const._AM_SYSTEM_USERS_ACTIVE}>">\r\n                    <img src="<{xoAdminIcons xoops/active_user.png}>" alt="<{$smarty.const._AM_SYSTEM_USERS_ACTIVE}>" />\r\n                </a>\r\n                <img class="tooltip" onclick="display_dialog(''<{$users.uid}>'', true, true, ''slide'', ''slide'', 300, 400);" src="<{xoAdminIcons display.png}>" alt="<{$smarty.const._AM_SYSTEM_USERS_VIEW}>" title="<{$smarty.const._AM_SYSTEM_USERS_VIEW}>" />\r\n                <a class="tooltip" href="admin.php?fct=users&amp;op=users_edit&amp;uid=<{$users.uid}>" title="<{$smarty.const._AM_SYSTEM_USERS_EDIT}>">\r\n                    <img src="<{xoAdminIcons user_edit.png}>" alt="<{$smarty.const._AM_SYSTEM_USERS_EDIT}>" />\r\n                </a>\r\n                <a class="tooltip" href="admin.php?fct=users&amp;op=users_delete&amp;uid=<{$users.uid}>" title="<{$smarty.const._AM_SYSTEM_USERS_DEL}>">\r\n                    <img src="<{xoAdminIcons user_delete.png}>" alt="<{$smarty.const._AM_SYSTEM_USERS_DEL}>" />\r\n                </a>\r\n                <{/if}>\r\n            </td>\r\n        </tr>\r\n        <{/foreach}>\r\n        </tbody>\r\n        <tr>\r\n            <td class=''txtleft'' colspan=''6''>\r\n                <select name=''fct'' onChange=''changeDisplay (this.value, "groups", "edit_group")''>\r\n                    <option value=''''>---------</option>\r\n                    <option value=''mailusers''><{$smarty.const._AM_SYSTEM_USERS_SENDMAIL}></option>\r\n                    <option value=''groups''><{$smarty.const._AM_SYSTEM_USERS_EDIT_GROUPS}></option>\r\n                    <option value=''users''><{$smarty.const._AM_SYSTEM_USERS_DELETE}></option>\r\n                </select>&nbsp;\r\n                <select name=''edit_group'' id=''edit_group'' onChange=''changeDisplay (this.value, this.value, "selgroups")'' style="display:none;">\r\n                    <option value=''''>---------</option>\r\n                    <option value=''add_group''><{$smarty.const._AM_SYSTEM_USERS_ADD_GROUPS}></option>\r\n                    <option value=''delete_group''><{$smarty.const._AM_SYSTEM_USERS_DELETE_GROUPS}></option>\r\n                </select>\r\n                <{$form_select_groups}>\r\n                <input type="hidden" name="op" value="action_group">\r\n                <input type=''submit'' name=''Submit'' />\r\n            </td>\r\n        </tr>\r\n        </form>\r\n        <{/if}>\r\n        <!--No found-->\r\n        <{if $users_no_found == true}>\r\n        <tr class="<{cycle values=''even,odd''}> alignmiddle">\r\n            <td colspan=''8'' class="txtcenter"><{$smarty.const._AM_SYSTEM_USERS_NO_FOUND}></td>\r\n        </tr>\r\n        <{/if}>\r\n    </table>\r\n    <!--Pop-pup-->\r\n    <{if $users_count == true}>\r\n        <{foreach item=users from=$users_popup}>\r\n            <div id="dialog<{$users.uid}>" title="<{$users.uname}>" style=''display:none;''>\r\n                <table>\r\n                    <tr>\r\n                        <td class="txtcenter">\r\n                            <img src="<{$users.user_avatar}>" alt="<{$users.uname}>" title="<{$users.uname}>" />\r\n                        </td>\r\n                        <td class="txtcenter">\r\n                            <a href=''mailto:<{$users.email}>''><img src="<{xoAdminIcons mail_send.png}>" alt="" title=<{$smarty.const._AM_SYSTEM_USERS_EMAIL}> /></a>\r\n                            <a href=''javascript:openWithSelfMain("<{$xoops_url}>/pmlite.php?send2=1&amp;to_userid=<{$users.uid}>","pmlite",450,370);''><img src="<{xoAdminIcons pm.png}>" alt="" title=<{$smarty.const._AM_SYSTEM_USERS_PM}> /></a>\r\n                            <a href=''<{$users.url}>'' rel=''external''><img src="<{xoAdminIcons url.png}>" alt="" title=<{$smarty.const._AM_SYSTEM_USERS_URL}> ></a>\r\n                        </td>\r\n                    </tr>\r\n                    <tr>\r\n                        <td colspan="2">\r\n                            <ul style="border: 1px solid #666; padding: 8px;">\r\n                                <{if $users.user_name}><li><span class="bold"><{$smarty.const._AM_SYSTEM_USERS_NAME}></span>&nbsp;:&nbsp;<{$users.name}></li><{/if}>\r\n                                <li><span class="bold"><{$smarty.const._AM_SYSTEM_USERS_UNAME}></span>&nbsp;:&nbsp;<{$users.uname}></li>\r\n                                <li><span class="bold"><{$smarty.const._AM_SYSTEM_USERS_EMAIL}></span>&nbsp;:&nbsp;<{$users.email}></li>\r\n                                <{if $users.user_url}><li><span class="bold"><{$smarty.const._AM_SYSTEM_USERS_URL}></span>&nbsp;:&nbsp;<{$users.url}> </li><{/if}>\r\n                                <{if $users.user_icq}><li><span class="bold"><{$smarty.const._AM_SYSTEM_USERS_ICQ}></span>&nbsp;:&nbsp;<{$users.user_icq}></li><{/if}>\r\n                                <{if $users.user_aim}><li><span class="bold"><{$smarty.const._AM_SYSTEM_USERS_AIM}></span>&nbsp;:&nbsp;<{$users.user_aim}></li><{/if}>\r\n                                <{if $users.user_yim}><li><span class="bold"><{$smarty.const._AM_SYSTEM_USERS_YIM}></span>&nbsp;:&nbsp;<{$users.user_yim}></li><{/if}>\r\n                                <{if $users.user_msnm}><li><span class="bold"><{$smarty.const._AM_SYSTEM_USERS_MSNM}></span>&nbsp;:&nbsp;<{$users.user_msnm}> </li><{/if}>\r\n                            </ul>\r\n                        </td>\r\n                    </tr>\r\n                </table>\r\n            </div>\r\n        <{/foreach}>\r\n    <{/if}>\r\n    <!--Pop-pup-->\r\n    <div class=''txtright''><{$nav}></div>\r\n<{/if}>\r\n<br />\r\n<!-- Display Avatar form (add,edit) -->\r\n<{if $form}>\r\n<div class="spacer"><{$form}></div>\r\n<{/if}>'),
(31, '<{if $breadcrumb}>\r\n<{includeq file="db:system_header.html"}>\r\n<{/if}>\r\n<!--Preferences-->\r\n<{if $menu}>\r\n<div class="xo-catsetting">\r\n	<{foreach item=preferences from=$preferences}>\r\n	<a class="tooltip" href="admin.php?fct=preferences&amp;op=show&amp;confcat_id=<{$preferences.id}>" title="<{$preferences.name}>">\r\n        <img src="<{$preferences.image}>" alt="<{$preferences.name}>" />\r\n        <span><{$preferences.name}></span>\r\n    </a>	\r\n	<{/foreach}>\r\n	<a class="tooltip" href="admin.php?fct=preferences&amp;op=showmod&amp;mod=1" title="<{$smarty.const._AM_SYSTEM_PREFERENCES_SETTINGS}>">\r\n        <img src="<{xoAdminIcons xoops/system_mods.png}>" alt="<{$smarty.const._AM_SYSTEM_PREFERENCES_SETTINGS}>" />\r\n        <span><{$smarty.const._AM_SYSTEM_PREFERENCES_SETTINGS}></span>\r\n    </a>	\r\n</div>\r\n<{/if}>\r\n<div class="clear">&nbsp;</div>\r\n<br />\r\n\r\n\r\n'),
(32, '<!--smilies-->\r\n<{includeq file="db:system_header.html"}>\r\n<!-- Display mailusers form  -->\r\n<br />\r\n<{if $form}>\r\n    <div class="spacer"><{$form}></div>\r\n<{/if}>\r\n<{$Sucess}>\r\n<{$Errors}>'),
(33, '<!--groups-->\r\n<{includeq file="db:system_header.html"}>\r\n<{if $groups_count == true}>\r\n<div class="floatright">\r\n    <div class="xo-buttons">\r\n        <button class="ui-corner-all" onclick="self.location.href=''admin.php?fct=groups&amp;op=groups_add''">\r\n            <img src="<{xoAdminIcons add.png}>" alt="<{$smarty.const._AM_SYSTEM_GROUPS_ADD}>" />\r\n            <{$smarty.const._AM_SYSTEM_GROUPS_ADD}>\r\n        </button>\r\n    </div>\r\n</div>\r\n<table id="xo-group-sorter" cellspacing="1" class="outer tablesorter">\r\n    <thead>\r\n	<tr>\r\n		<th class="txtcenter width5"><{$smarty.const._AM_SYSTEM_GROUPS_ID}></th>\r\n        <th class="txtcenter width20"><{$smarty.const._AM_SYSTEM_GROUPS_NAME}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_GROUPS_DESCRIPTION}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_GROUPS_NB_USERS_BY_GROUPS}></th>\r\n		<th class="txtcenter width10"><{$smarty.const._AM_SYSTEM_GROUPS_ACTION}></th>\r\n	</tr>\r\n	</thead>\r\n	<tbody>\r\n	<{foreach item=groups from=$groups}>\r\n	<tr class="<{cycle values=''odd, even''}> alignmiddle">\r\n		<td class="txtcenter"><{$groups.groups_id}></td>\r\n        <td class="txtleft">\r\n            <a class="tooltip" href="admin.php?fct=groups&amp;op=groups_edit&amp;groups_id=<{$groups.groups_id}>" title="<{$smarty.const._AM_SYSTEM_GROUPS_EDIT}>">\r\n                <{$groups.name}>\r\n            </a>\r\n        </td>\r\n		<td class="txtleft"><{$groups.description}></td>\r\n		<td class="txtcenter width25">\r\n            <a href="./admin.php?fct=users&amp;selgroups=<{$groups.groups_id}>"><{$groups.nb_users_by_groups}></a>\r\n        </td>\r\n		<td class="xo-actions txtcenter">\r\n			<a class="tooltip" href="admin.php?fct=groups&amp;op=groups_edit&amp;groups_id=<{$groups.groups_id}>" title="<{$smarty.const._AM_SYSTEM_GROUPS_EDIT}>">\r\n				<img src="<{xoAdminIcons edit.png}>" alt="<{$smarty.const._AM_SYSTEM_GROUPS_EDIT}>" />\r\n			</a>\r\n			<{if $groups.delete}>\r\n			<a class="tooltip" href="admin.php?fct=groups&amp;op=groups_delete&amp;groups_id=<{$groups.groups_id}>" title="<{$smarty.const._AM_SYSTEM_GROUPS_DELETE}>">\r\n				<img src="<{xoAdminIcons delete.png}>" alt="<{$smarty.const._AM_SYSTEM_GROUPS_DELETE}>" />\r\n			</a>\r\n			<{/if}>\r\n        </td>\r\n	</tr>\r\n	<{/foreach}>\r\n	</tbody>\r\n</table>\r\n<!-- Display groups navigation -->\r\n<div class="clear spacer"></div>\r\n<{if $nav_menu}>\r\n<div class="xo-avatar-pagenav floatright"><{$nav_menu}></div><div class="clear spacer"></div>\r\n<{/if}>\r\n<{/if}>\r\n<!-- Display groups form (add,edit) -->\r\n<{if $form}>\r\n<div class="spacer"><{$form}></div>\r\n<{/if}>'),
(34, '<!-- Header -->\n<{includeq file="db:system_header.html"}>\n<!-- Buttons -->\n<div class="floatright">\n    <div class="xo-buttons">\n        <{if !$edit_form && !$listimg}>\n        <button id="xo-addcat-btn" class="ui-corner-all tooltip" onclick="xo_toggle(''div#xo-category-add'');" title="<{$smarty.const._AM_SYSTEM_IMAGES_ADDCAT}>">\n            <img src="<{xoAdminIcons add.png}>" alt="<{$smarty.const._AM_SYSTEM_IMAGES_ADDCAT}>" />\n            <{$smarty.const._AM_SYSTEM_IMAGES_ADDCAT}>\n        </button>\n        <{/if}>\n        <{if $cat_img || $listimg}>\n        <button id="xo-addimg-btn" class="ui-corner-all tooltip" onclick="xo_toggle(''div#xo-images-add'');" title="<{$smarty.const._AM_SYSTEM_IMAGES_ADDIMG}>">\n            <img src="<{xoAdminIcons add.png}>" alt="<{$smarty.const._AM_SYSTEM_IMAGES_ADDIMG}>" />\n            <{$smarty.const._AM_SYSTEM_IMAGES_ADDIMG}>\n        </button>\n        <{/if}>\n    </div>\n</div>\n<!-- Category List -->\n<{if !$edit_form && !$listimg}>\n<table class="outer" cellspacing="1">\n    <thead>\n        <tr>\n            <th><{$smarty.const._AM_SYSTEM_IMAGES_NAME}></th>\n            <th><{$smarty.const._AM_SYSTEM_IMAGES_NBIMAGES}></th>\n            <th><{$smarty.const._AM_SYSTEM_IMAGES_MAXSIZE}></th>\n            <th><{$smarty.const._AM_SYSTEM_IMAGES_MAXWIDTH}></th>\n            <th><{$smarty.const._AM_SYSTEM_IMAGES_MAXHEIGHT}></th>\n            <th><{$smarty.const._AM_SYSTEM_IMAGES_DISPLAY}></th>\n            <th><{$smarty.const._AM_SYSTEM_IMAGES_ACTIONS}></th>\n        </tr>\n    </thead>\n    <tbody>\n        <{foreach item=cat from=$cat_img}>\n        <tr class="<{cycle values=''odd, even''}> txtcenter">\n            <td>\n                <a class="tooltip" href="admin.php?fct=images&amp;op=listimg&amp;imgcat_id=<{$cat.id}>" title="<{$smarty.const._AM_SYSTEM_IMAGES_VIEW}>">\n                    <{$cat.name}>\n                </a>\n            </td>\n            <td><{$cat.count}></td>\n            <td><{$cat.maxsize}></td>\n            <td><{$cat.maxwidth}></td>\n            <td><{$cat.maxheight}></td>\n            <td class="xo-actions"><img id="loading_cat<{$cat.id}>" src="./images/spinner.gif" style="display:none;" alt="<{$smarty.const._AM_SYSTEM_LOADING}>" /><img class="cursorpointer tooltip" id="cat<{$cat.id}>" onclick="system_setStatus( { fct: ''images'', op: ''display_cat'', imgcat_id: <{$cat.id}> }, ''cat<{$cat.id}>'', ''admin.php'' )" src="<{if $cat.display}><{xoAdminIcons success.png}><{else}><{xoAdminIcons cancel.png}><{/if}>" alt="" title="<{if $cat.display}><{$smarty.const._AM_SYSTEM_IMAGES_OFF}><{else}><{$smarty.const._AM_SYSTEM_IMAGES_ON}><{/if}>" />\n            </td>\n            <td class="xo-actions txtcenter">\n                <a class="tooltip" href="admin.php?fct=images&amp;op=listimg&amp;imgcat_id=<{$cat.id}>" title="<{$smarty.const._AM_SYSTEM_IMAGES_VIEW}>">\n                    <img src="<{xoAdminIcons display.png}>" alt="<{$smarty.const._AM_SYSTEM_IMAGES_VIEW}>" />\n                </a>\n                <{if $xoops_isadmin}>\n                <a class="tooltip" href="admin.php?fct=images&amp;op=editcat&amp;imgcat_id=<{$cat.id}>" title="<{$smarty.const._EDIT}>">\n                    <img src="<{xoAdminIcons edit.png}>" alt="<{$smarty.const._EDIT}>" />\n                </a>\n                <a class="tooltip" href="admin.php?fct=images&amp;op=delcat&amp;imgcat_id=<{$cat.id}>" title="<{$smarty.const._EDIT}>">\n                    <img src="<{xoAdminIcons delete.png}>" alt="" />\n                </a>\n                <{/if}>\n            </td>\n        </tr>\n        <{/foreach}>\n        <{if !$cat_img}>\n        <tr>\n            <td class="txtcenter bold odd" colspan="7"><{$smarty.const._AM_SYSTEM_IMAGES_NOCAT}></td>\n        </tr>\n        <{/if}>\n    </tbody>\n</table>\n<!-- Nav menu -->\n<{if $nav_menu}><div class="xo-avatar-pagenav floatright"><{$nav_menu}></div><div class="clear spacer"></div><{/if}>\n<{/if}>\n<{if $images}>\n<!-- Image list -->\n<div id="xo-category-add" class="">\n    <{foreach item=img from=$images}>\n    <div class="floatleft">\n        <div class="ui-corner-all xo-thumb txtcenter">\n            <div class="xo-thumbimg">\n                <{if !$db_store}>\n                <img class="tooltip" src="class/thumbs/phpThumb.php?src=<{$xoops_rootpath}>/uploads/<{$img.image_name}>&amp;h=120&amp;w=120" alt="<{$img.image_nicename}>" title="<{$img.image_nicename}>" />\n                <{else}>\n                <img class="tooltip" src="<{$xoops_url}>/image.php?id=<{$img.image_id}>" alt="<{$img.image_nicename}>" title="<{$img.image_nicename}>" style="max-width:120px; max-height:120px;" />\n                <{/if}>\n            </div>\n            <div class="xo-actions txtcenter">\n                <div class="spacer bold"><{$img.image_nicename}></div>\n                    <img id="loading_img<{$img.image_id}>" src="./images/spinner.gif" style="display:none;" alt="<{$smarty.const._AM_SYSTEM_LOADING}>" /><img class="cursorpointer tooltip" id="img<{$img.image_id}>" onclick="system_setStatus( { fct: ''images'', op: ''display_img'', image_id: <{$img.image_id}> }, ''img<{$img.image_id}>'', ''admin.php'' )" src="<{if $img.image_display}><{xoAdminIcons success.png}><{else}><{xoAdminIcons cancel.png}><{/if}>" alt="<{$smarty.const._IMGDISPLAY}>" title="<{$smarty.const._IMGDISPLAY}>" />\n                    <{if !$db_store}>\n                    <a class="lightbox tooltip" href="<{$xoops_upload_url}>/<{$img.image_name}>" title="<{$smarty.const._PREVIEW}>">\n                    <{else}>\n                    <a class="lightbox tooltip" href="<{$xoops_url}>/image.php?id=<{$img.image_id}>" title="<{$smarty.const._PREVIEW}>">\n                    <{/if}>\n                        <img src="<{xoAdminIcons display.png}>" alt="<{$smarty.const._AM_SYSTEM_IMAGES_VIEW}>" />\n                    </a>\n                <a class="tooltip" href="admin.php?fct=images&amp;op=editimg&amp;image_id=<{$img.image_id}>" title="<{$smarty.const._EDIT}>">\n                    <img src="<{xoAdminIcons edit.png}>" alt="<{$smarty.const._EDIT}>" />\n                </a>\n                <a class="tooltip" href="admin.php?fct=images&amp;op=delfile&amp;image_id=<{$img.image_id}>" title="<{$smarty.const._DELETE}>">\n                    <img src="<{xoAdminIcons delete.png}>" alt="<{$smarty.const._DELETE}>" />\n                </a>\n                 <img class="tooltip" onclick="display_dialog(<{$img.image_id}>, true, true, ''slide'', ''slide'', 120, 350);" src="<{xoAdminIcons url.png}>" alt="<{$smarty.const._AM_SYSTEM_IMAGES_URL}>" title="<{$smarty.const._AM_SYSTEM_IMAGES_URL}>" />\n            </div>\n        </div>\n    </div>\n    \n    <div id="dialog<{$img.image_id}>" title="<{$img.image_nicename}>" style=''display:none;''>\n          <div class="center">\n              <{if !$db_store}>\n              <{$xoops_upload_url}>/<{$img.image_name}>\n              <{else}>\n              <{$xoops_url}>/image.php?id=<{$img.image_id}>\n              <{/if}>\n          </div>\n    </div>\n\n    <{/foreach}>\n    <div class="clear"></div>\n</div>\n<{if $nav_menu}><div class="xo-avatar-pagenav floatright"><{$nav_menu}></div><div class="clear spacer"></div><{/if}>\n<{/if}>\n\n<!-- Add Image form -->\n<div id="xo-images-add" class="hide">\n    <br />\n    <{$image_form.javascript}>\n    <form name="<{$image_form.name}>" id="<{$image_form.name}>" action="<{$image_form.action}>" method="<{$image_form.method}>" <{$image_form.extra}> >\n    <table class="outer">\n        <tr>\n            <th colspan="2"><{$image_form.title}></th>\n        </tr>\n        <{foreach item=element from=$image_form.elements}>\n        <{if $element.hidden != true && $element.body != ''''}>\n        <tr>\n            <td class="odd aligntop">\n                <div class="spacer bold"><{$element.caption}><{if $element.required}><span class="red">&nbsp;*</span><{/if}></div>\n                <div class="spacer"><{$element.description}></div>\n            </td>\n            <td class="even"><{$element.body}></td>\n        </tr>\n        <{else}>\n        <{$element.body}>\n        <{/if}>\n        <{/foreach}>\n    </table>\n    </form>\n</div>\n<!-- Add Category form -->\n<div id="xo-category-add" class="hide">\n    <br />\n    <{$imagecat_form.javascript}>\n    <form name="<{$imagecat_form.name}>" id="<{$imagecat_form.name}>" action="<{$imagecat_form.action}>" method="<{$imagecat_form.method}>" <{$imagecat_form.extra}> >\n    <table class="outer">\n        <tr>\n            <th colspan="2"><{$imagecat_form.title}></th>\n        </tr>\n        <{foreach item=element from=$imagecat_form.elements}>\n        <{if $element.hidden != true && $element.body != ''''}>\n        <tr>\n            <td class="odd aligntop">\n                <div class="spacer bold"><{$element.caption}><{if $element.required}><span class="red">&nbsp;*</span><{/if}></div>\n                <div class="spacer"><{$element.description}></div>\n            </td>\n            <td class="even"><{$element.body}></td>\n        </tr>\n        <{else}>\n        <{$element.body}>\n        <{/if}>\n        <{/foreach}>\n    </table>\n    </form>\n</div>\n<!-- Edit form image -->\n<{if $edit_form}>\n<div id="xo-images-add" class="">\n    <{$edit_thumbs}>\n    <br />\n    <{$edit_form.javascript}>\n    <form name="<{$edit_form.name}>" id="<{$edit_form.name}>" action="<{$edit_form.action}>" method="<{$edit_form.method}>" <{$edit_form.extra}> >\n    <table class="outer">\n        <tr>\n            <th colspan="2"><{$edit_form.title}></th>\n        </tr>\n        <{foreach item=element from=$edit_form.elements}>\n        <{if $element.hidden != true && $element.body != ''''}>\n        <tr>\n            <td class="odd aligntop">\n                <div class="spacer bold"><{$element.caption}><{if $element.required}><span class="red">&nbsp;*</span><{/if}></div>\n                <div class="spacer"><{$element.description}></div>\n            </td>\n            <td class="even"><{$element.body}></td>\n        </tr>\n        <{else}>\n        <{$element.body}>\n        <{/if}>\n        <{/foreach}>\n    </table>\n    </form>\n</div>\n<{/if}>\n<script type="text/javascript">\n    IMG_ON = ''<{xoAdminIcons success.png}>'';\n    IMG_OFF = ''<{xoAdminIcons cancel.png}>'';\n\n    $(''.lightbox'').lightBox({\n        imageLoading:''language/<{$xoops_language}>/images/lightbox-ico-loading.gif'',\n        imageBtnClose:''language/<{$xoops_language}>/images/lightbox-btn-close.gif'',\n        imageBtnNext:''language/<{$xoops_language}>/images/lightbox-btn-next.gif'',\n        imageBtnPrev:''language/<{$xoops_language}>/images/lightbox-btn-prev.gif'',\n        imageBlank:''language/<{$xoops_language}>/images/lightbox-blank.gif''\n    });\n\n\n</script>'),
(35, '<{includeq file="db:system_header.html"}>\r\n\r\n<{if $index}>    \r\n<br class="clear" />\r\n<div class="spacer">\r\n    <table class="outer ui-corner-all" cellspacing="1">\r\n        <tr>\r\n            <th><{$smarty.const._AM_SYSTEM_TEMPLATES_YOUR_THEMES}></th>\r\n            <th>&nbsp;</th>\r\n        </tr>\r\n		<tr>\r\n			<td class="aligntop width10"><div id="fileTree" class="display_folder"></div></td>\r\n			<td class="aligntop">\r\n				<div id="display_form"><{$form}></div>\r\n				<div id="display_contenu"></div>\r\n				<div id=''display_message'' class="txtcenter" style="display:none;"></div>\r\n				<div id=''loading'' class="txtcenter" style="display:none;"><br /><br /><img src="images/loading.gif" title="Loading" alt="Loading" /></div>\r\n			</td>\r\n		</tr>\r\n    </table>\r\n\r\n<br class="clear" />\r\n</div>\r\n<{else}>\r\n    <br />\r\n    <{if $verif}>\r\n        <{$infos}>\r\n    <{else}>\r\n        <div class="txtcenter"><{$smarty.const._AM_SYSTEM_TEMPLATES_NOT_CREATED}></div>\r\n    <{/if}>\r\n<{/if}>\r\n'),
(36, '<{includeq file="db:system_header.html"}>\r\n<script type="text/javascript">\r\n    IMG_ON = ''<{xoAdminIcons success.png}>'';\r\n    IMG_OFF = ''<{xoAdminIcons cancel.png}>'';\r\n</script>\r\n<table cellspacing="1" class="outer">\r\n    <thead>\r\n        <tr>\r\n            <th class="txtcenter"><{$smarty.const._AM_SYSTEM_SECTION}></th>\r\n            <th class="txtcenter"><{$smarty.const._AM_SYSTEM_DESC}></th>\r\n            <th class="txtcenter">&nbsp;</th>\r\n            <th class="txtcenter">&nbsp;</th>\r\n        </tr>\r\n    </thead>\r\n    \r\n    <tbody>\r\n    <{foreach item=menu from=$menu}>\r\n    <{if $menu.title}>\r\n    <tr class="<{cycle values=''even,odd''}>">\r\n        <td class="bold width15">\r\n            <a class="tooltip" href="admin.php?fct=<{$menu.file}>" title="<{$smarty.const._AM_SYSTEM_GO}>: <{$menu.title}>">\r\n                <img class="xo-imgmini" src=''<{$theme_icons}>/<{$menu.icon}>'' alt="<{$menu.title}>" />\r\n                <{$menu.title}>\r\n            </a>\r\n        </td>\r\n        <td class=""><{$menu.desc}></td>\r\n        <td class="width15"><{$menu.infos}></td>\r\n        <td class="xo-actions width2">\r\n            <{if $menu.used}>\r\n                <img id="loading_<{$menu.file}>" src="images/spinner.gif" style="display:none;" alt="<{$smarty.const._AM_SYSTEM_LOADING}>" />\r\n                <img class="tooltip" id="<{$menu.file}>" onclick="system_setStatus( { op: ''system_avtivate'', type: ''<{$menu.file}>'' }, ''<{$menu.file}>'', ''admin.php'' )" src="<{if $menu.status}><{xoAdminIcons success.png}><{else}><{xoAdminIcons cancel.png}><{/if}>" alt="<{$smarty.const._AM_SYSTEM_STATUS}>" title="<{$smarty.const._AM_SYSTEM_STATUS}>" />\r\n            <{/if}>\r\n        </td>\r\n    </tr>\r\n    <{/if}>\r\n    <{/foreach}>\r\n    </tbody>\r\n</table>'),
(37, '<!--maintenance-->\r\n<{includeq file="db:system_header.html"}>\r\n<!-- Display mailusers form  -->\r\n<br />\r\n<{if $form_maintenance}>\r\n    <div class="spacer"><{$form_maintenance}></div><br />\r\n	<div class="spacer"><{$form_dump}></div>\r\n<{elseif $maintenance}>\r\n	<{if $verif_cache || $verif_session}>\r\n		<table class="outer ui-corner-all" cellspacing="1">\r\n			<tr>\r\n				<th><{$smarty.const._AM_SYSTEM_MAINTENANCE}></th>\r\n				<th><{$smarty.const._AM_SYSTEM_MAINTENANCE_RESULT}></th>\r\n			</tr>\r\n			<{if $verif_cache}>\r\n				<tr>\r\n					<td class="aligntop txtcenter"><{$smarty.const._AM_SYSTEM_MAINTENANCE_RESULT_CACHE}></td>\r\n					<td class="aligntop txtcenter"><{if $result_cache}><img width="16" src="<{xoAdminIcons success.png}>" /><{else}><img style="width:16px;" src="<{xoAdminIcons cancel.png}>" alt="Cancel"/><{/if}></td>\r\n				</tr>\r\n			<{/if}>\r\n			\r\n			<{if $verif_session}>\r\n				<tr>\r\n					<td class="aligntop" align="center"><{$smarty.const._AM_SYSTEM_MAINTENANCE_RESULT_SESSION}></td>\r\n					<td class="aligntop" align="center"><{if $result_session}><img style="width:16px;" src="<{xoAdminIcons success.png}>" alt="Success"/><{else}><img style="width:16px;" src="<{xoAdminIcons cancel.png}>" alt="Cancel"/><{/if}></td>\r\n				</tr>\r\n			<{/if}>\r\n		</table><br />\r\n	<{/if}>\r\n	<{if $verif_maintenance}>\r\n		<{$result_maintenance}>\r\n	<{/if}>\r\n<{else}>\r\n	<{$result_dump}>\r\n<{/if}>'),
(38, '<{includeq file="db:system_header.html"}>\r\n<table>\r\n	<tr>\r\n		<td class="width20">\r\n			<{if $help}>\r\n				<div class="xo-help-menu">\r\n					<h2 class="head"><{$modname}></h2>\r\n					<{foreach item=help from=$help}>\r\n						<div class="<{cycle values=''odd, even''}>"><a href="<{$help.link}>"><{$help.name}></a></div>\r\n					<{/foreach}>\r\n				</div>\r\n			<{/if}>\r\n			<{if $list_mods}>\r\n				<div class="xo-help-menu">\r\n					<{foreach item=row from=$list_mods}>\r\n						<h2 class="head"><{$row.name}></h2>\r\n						<{foreach item=list from=$row.help_page}>\r\n							<div class="<{cycle values=''odd, even''}>" title="<{$list.name}>"><a href="<{$list.link}>"><{$list.name}></a></div>\r\n						<{/foreach}>\r\n					<{/foreach}>\r\n				</div>\r\n			<{/if}>\r\n		</td>\r\n		<td>\r\n			<div id="help-content">\r\n	         <{$helpcontent}>\r\n			</div>\r\n		</td>\r\n	</tr>\r\n</table>			'),
(39, '<div id="usermenu">\r\n  <{if $xoops_isadmin}>\r\n	<a class="menuTop" href="<{xoAppUrl admin.php}>" title="<{$block.lang_adminmenu}>"><{$block.lang_adminmenu}></a>\r\n	<a href="<{xoAppUrl user.php}>" title="<{$block.lang_youraccount}>"><{$block.lang_youraccount}></a>\r\n  <{else}>\r\n	<a class="menuTop" href="<{xoAppUrl user.php}>" title="<{$block.lang_youraccount}>"><{$block.lang_youraccount}></a>\r\n  <{/if}>\r\n  <a href="<{xoAppUrl edituser.php}>" title="<{$block.lang_editaccount}>"><{$block.lang_editaccount}></a>\r\n  <a href="<{xoAppUrl notifications.php}>" title="<{$block.lang_notifications}>"><{$block.lang_notifications}></a>\r\n  <{if $block.new_messages > 0}>\r\n	<a class="highlight" href="<{xoAppUrl viewpmsg.php}>" title="<{$block.lang_inbox}>"><{$block.lang_inbox}> (<strong><{$block.new_messages}></strong>)</a>\r\n  <{else}>\r\n	<a href="<{xoAppUrl viewpmsg.php}>" title="<{$block.lang_inbox}>"><{$block.lang_inbox}></a>\r\n  <{/if}>\r\n  <a href="<{xoAppUrl user.php?op=logout}>" title="<{$block.lang_logout}>"><{$block.lang_logout}></a>\r\n</div>\r\n'),
(40, '<div class="txtcenter">\r\n	<form style="margin-top: 0;" action="<{xoAppUrl user.php}>" method="post">\r\n		<{$block.lang_username}><br />\r\n		<input type="text" name="uname" size="12" value="<{$block.unamevalue}>" maxlength="25" /><br />\r\n		<{$block.lang_password}><br />\r\n		<input type="password" name="pass" size="12" maxlength="32" /><br />\r\n		<{if isset($block.lang_rememberme)}>\r\n			<input type="checkbox" name="rememberme" value="On" class ="formButton" /><{$block.lang_rememberme}><br />\r\n		<{/if}>\r\n		<br />\r\n		<input type="hidden" name="xoops_redirect" value="<{$xoops_requesturi}>" />\r\n		<input type="hidden" name="op" value="login" />\r\n		<input type="submit" value="<{$block.lang_login}>" /><br />\r\n		<{$block.sslloginlink}>\r\n	</form>\r\n	<br />\r\n	<a href="<{xoAppUrl user.php#lost}>" title="<{$block.lang_lostpass}>"><{$block.lang_lostpass}></a>\r\n	<br /><br />\r\n	<a href="<{xoAppUrl register.php}>" title="<{$block.lang_registernow}>"><{$block.lang_registernow}></a>\r\n</div>'),
(41, '<div class="txtcenter">\r\n<form style="margin-top: 0;" action="<{xoAppUrl search.php}>" method="get">\r\n  <input type="text" name="query" size="14" />\r\n  <input type="hidden" name="action" value="results" /><br />\r\n  <input type="submit" value="<{$block.lang_search}>" />\r\n</form>\r\n<a href="<{xoAppUrl search.php}>" title="<{$block.lang_advsearch}>"><{$block.lang_advsearch}></a>\r\n</div>'),
(42, '<ul>\r\n  <{foreach item=module from=$block.modules}>\r\n  <li><a href="<{$module.adminlink}>" title="<{$module.lang_linkname}>"><{$module.lang_linkname}></a>: <{$module.pendingnum}></li>\r\n  <{/foreach}>\r\n</ul>'),
(43, '<div id="mainmenu">\r\n    <a class="menuTop <{if !$block.nothome}>maincurrent<{/if}>" href="<{xoAppUrl }>" title="<{$block.lang_home}>"><{$block.lang_home}></a>\r\n    <!-- start module menu loop -->\r\n    <{foreach item=module from=$block.modules}>\r\n		<a class="menuMain <{if $module.highlight}>maincurrent<{/if}>" href="<{$xoops_url}>/modules/<{$module.directory}>/" title="<{$module.name}>"><{$module.name}></a>\r\n		<{foreach item=sublink from=$module.sublinks}>\r\n			<a class="menuSub" href="<{$sublink.url}>" title="<{$sublink.name}>"><{$sublink.name}></a>\r\n		<{/foreach}>\r\n    <{/foreach}>\r\n    <!-- end module menu loop -->\r\n</div>'),
(44, '<table class="outer collapse">\r\n\r\n  <{if $block.showgroups == true}>\r\n\r\n  <!-- start group loop -->\r\n  <{foreach item=group from=$block.groups}>\r\n  <tr>\r\n    <th colspan="2"><{$group.name}></th>\r\n  </tr>\r\n\r\n  <!-- start group member loop -->\r\n  <{foreach item=user from=$group.users}>\r\n  <tr>\r\n    <td class="even txtcenter alignmiddle">\r\n        <img style="width:32px;" src="<{$user.avatar}>" alt="<{$user.name}>" /><br />\r\n        <a href="<{$xoops_url}>/userinfo.php?uid=<{$user.id}>" title="<{$user.name}>"><{$user.name}></a>\r\n    </td>\r\n    <td class="odd width20 txtright alignmiddle">\r\n        <{$user.msglink}>\r\n    </td>\r\n  </tr>\r\n  <{/foreach}>\r\n  <!-- end group member loop -->\r\n\r\n  <{/foreach}>\r\n  <!-- end group loop -->\r\n  <{/if}>\r\n</table>\r\n\r\n<br />\r\n\r\n<div class="txtcenter marg3">\r\n  <img src="<{$block.logourl}>" alt="" /><br /><{$block.recommendlink}>\r\n</div>'),
(45, '<{$block.online_total}>\r\n<br /><br />\r\n<{$block.lang_members}>: <{$block.online_members}>\r\n<br />\r\n<{$block.lang_guests}>: <{$block.online_guests}>\r\n<br /><br />\r\n<{$block.online_names}>\r\n<a href="javascript:openWithSelfMain(''<{$xoops_url}>/misc.php?action=showpopups&amp;type=online'',''Online'',420,350);" title="<{$block.lang_more}>">\r\n    <{$block.lang_more}>\r\n</a>'),
(46, '<table cellspacing="1" class="outer">\r\n  <{foreach item=user from=$block.users}>\r\n  <tr class="<{cycle values=''even,odd''}> alignmiddle">\r\n    <td><{$user.rank}></td>\r\n    <td class="txtcenter">\r\n      <{if $user.avatar != ""}>\r\n      <img style="width:32px;" src="<{$user.avatar}>" alt="<{$user.name}>" /><br />\r\n      <{/if}>\r\n      <a href="<{$xoops_url}>/userinfo.php?uid=<{$user.id}>" title="<{$user.name}>"><{$user.name}></a>\r\n    </td>\r\n    <td class="txtcenter"><{$user.posts}></td>\r\n  </tr>\r\n  <{/foreach}>\r\n</table>\r\n'),
(47, '<table cellspacing="1" class="outer">\r\n  <{foreach item=user from=$block.users}>\r\n    <tr class="<{cycle values=''even,odd''}> alignmiddle">\r\n      <td class="txtcenter">\r\n      <{if $user.avatar != ""}>\r\n      <img style="width:32px;" src="<{$user.avatar}>" alt="<{$user.name}>" /><br />\r\n      <{/if}>\r\n      <a href="<{$xoops_url}>/userinfo.php?uid=<{$user.id}>" title="<{$user.name}>"><{$user.name}></a>\r\n      </td>\r\n      <td class="txtcenter"><{$user.joindate}></td>\r\n    </tr>\r\n  <{/foreach}>\r\n</table>\r\n'),
(48, '<table cellspacing="1" class="outer width100">\r\n  <{foreach item=comment from=$block.comments}>\r\n  <tr class="<{cycle values=''even,odd''}>">\r\n    <td class="txtcenter"><img src="<{$xoops_url}>/images/subject/<{$comment.icon}>" alt="" /></td>\r\n    <td><{$comment.title}></td>\r\n    <td class="txtcenter"><{$comment.module}></td>\r\n    <td class="txtcenter"><{$comment.poster}></td>\r\n    <td class="txtright"><{$comment.time}></td>\r\n  </tr>\r\n  <{/foreach}>\r\n</table>'),
(49, '<form action="<{$block.target_page}>" method="post">\r\n<table class="outer">\r\n  <{foreach item=category from=$block.categories}>\r\n  <{foreach name=inner item=event from=$category.events}>\r\n  <{if $smarty.foreach.inner.first}>\r\n  <tr>\r\n    <td class="head" colspan="2"><{$category.title}></td>\r\n  </tr>\r\n  <{/if}>\r\n  <tr>\r\n    <td class="odd">\r\n		<{counter assign=index}>\r\n		<input type="hidden" name="not_list[<{$index}>][params]" value="<{$category.name}>,<{$category.itemid}>,<{$event.name}>" />\r\n		<input type="checkbox" name="not_list[<{$index}>][status]" value="1" <{if $event.subscribed}>checked="checked"<{/if}> />\r\n	</td>\r\n    <td class="odd"><{$event.caption}></td>\r\n  </tr>\r\n  <{/foreach}>\r\n  <{/foreach}>\r\n  <tr>\r\n    <td class="foot" colspan="2">\r\n		<input type="hidden" name="not_redirect" value="<{$block.redirect_script}>">\r\n		<input type="hidden" value="<{$block.notification_token}>" name="XOOPS_TOKEN_REQUEST" />\r\n		<input type="submit" name="not_submit" value="<{$block.submit_button}>" />\r\n	</td>\r\n  </tr>\r\n</table>\r\n</form>'),
(50, '<div class="txtcenter">\r\n<form action="<{xoAppUrl index.php}>" method="post">\r\n<{$block.theme_select}>\r\n</form>\r\n</div>'),
(51, '<{$pmform.javascript}>\r\n<form name="<{$pmform.name}>" id="<{$pmform.name}>" action="<{$pmform.action}>" method="<{$pmform.method}>" <{$pmform.extra}> >\r\n    <table class=''outer txtcenter width100''>\r\n        <tr>\r\n            <td class=''head width30 txtright''><{$smarty.const._PM_TO}></td>\r\n            <td class=''even txtleft''><{if $pmform.elements.to_userid.hidden != 1}><{$pmform.elements.to_userid.body}><{/if}><{$to_username}></td>\r\n        </tr>\r\n        <tr>\r\n            <td class=''head width30 txtright''><{$smarty.const._PM_SUBJECTC}></td>\r\n            <td class=''even txtleft''><{$pmform.elements.subject.body}></td>\r\n        </tr>\r\n        <tr>\r\n            <td class=''head width30 txtright''><{$smarty.const._PM_SUBJECT_ICONS}></td>\r\n            <td class=''even txtleft''>\r\n\r\n            <{foreachq item=icon from=$radio_icons}>\r\n                <input type=''radio'' name=''icon'' id=''<{$icon}>'' value=''<{$icon}>''  /><label name=''xolb_icon'' for=''<{$icon}>''><img src=''<{xoAppUrl}>images/subject/<{$icon}>'' alt="" /></label>\r\n            <{/foreach}>  </td>  \r\n        </tr>   \r\n        <tr class=''aligntop''>\r\n            <td class=''head width30 txtright''><{$smarty.const._PM_MESSAGEC}></td>\r\n            <td class=''even txtleft''><{$pmform.elements.message.body}></td>\r\n        </tr>\r\n        <tr class=''aligntop''>\r\n            <td class=''head width30''><{$smarty.const._PM_SAVEINOUTBOX}></td>\r\n            <td class=''even''><{$pmform.elements.savecopy.body}></td>\r\n        </tr>                          \r\n        <tr>\r\n            <td class=''head''>&nbsp;</td>\r\n            <td class=''even''>\r\n                <{foreach item=element from=$pmform.elements}>\r\n                    <{if $element.hidden == 1}>\r\n                        <{$element.body}>\r\n                    <{/if}>\r\n                <{/foreach}>\r\n                <{$pmform.elements.submit.body}>&nbsp;\r\n                <{$pmform.elements.reset.body}>&nbsp;\r\n                <{$pmform.elements.cancel.body}>\r\n            </td>\r\n        </tr>\r\n    </table>\r\n</form>'),
(52, '<div>\r\n    <h4><{$smarty.const._PM_PRIVATEMESSAGE}></h4>\r\n</div><br />\r\n<{if $op==out}>\r\n    <a href=''viewpmsg.php?op=out'' title=''<{$smarty.const._PM_OUTBOX}>''><{$smarty.const._PM_OUTBOX}></a>&nbsp;\r\n<{elseif $op == "save"}>\r\n    <a href=''viewpmsg.php?op=save'' title=''<{$smarty.const._PM_SAVEBOX}>''><{$smarty.const._PM_SAVEBOX}></a>&nbsp;\r\n<{else}>\r\n    <a href=''viewpmsg.php?op=in'' title=''<{$smarty.const._PM_INBOX}>''><{$smarty.const._PM_INBOX}></a>&nbsp;\r\n<{/if}>\r\n\r\n<{if $message}>\r\n    <span class=''bold''>&raquo;&raquo;</span>&nbsp;<{$message.subject}><br />\r\n    <form name="<{$pmform.name}>" id="<{$pmform.name}>" action="<{$pmform.action}>" method="<{$pmform.method}>" <{$pmform.extra}> >\r\n        <table cellpadding=''4'' cellspacing=''1'' class=''outer bnone width100''>\r\n            <tr>\r\n                <th colspan=''2''><{if $op==out}><{$smarty.const._PM_TO}><{else}><{$smarty.const._PM_FROM}><{/if}></th>\r\n            </tr>\r\n            <tr class=''even''>\r\n                <td class=''aligntop''>\r\n                    <{if ( $poster != false ) }>\r\n                        <a href=''<{$xoops_url}>/userinfo.php?uid=<{$poster->getVar("uid")}>''><{$poster->getVar("uname")}></a><br />\r\n                        <{if ( $poster->getVar("user_avatar") != "" ) }>\r\n                            <img src=''<{$xoops_url}>/uploads/<{$poster->getVar("user_avatar")}>'' alt='''' /><br />\r\n                        <{/if}>\r\n                        <{if ( $poster->getVar("user_from") != "" ) }>\r\n                            <{$smarty.const._PM_FROMC}><{$poster->getVar("user_from")}><br /><br />\r\n                        <{/if}>\r\n                        <{if ( $poster->isOnline() ) }>\r\n                            <span class=''bold red''><{$smarty.const._PM_ONLINE}></span><br /><br />\r\n                        <{/if}>\r\n                    <{else}>\r\n                        <{$anonymous}>\r\n                    <{/if}>\r\n                </td>\r\n                <td>\r\n                    <{if $message.msg_image != ""}>\r\n                        <img src=''<{$xoops_url}>/images/subject/<{$message.msg_image}>'' alt='''' />\r\n                    <{/if}>                    \r\n                    <{$smarty.const._PM_SENTC}><{$message.msg_time}><br />\r\n                    <hr />\r\n                    <strong><{$message.subject}></strong><br />\r\n                    <br />\r\n                    <{$message.msg_text}><br />\r\n                    <br />\r\n                </td>\r\n            </tr>\r\n            <tr class=''foot''>\r\n                <td class=''width20 txtleft'' colspan=''2''>\r\n                    <{foreach item=element from=$pmform.elements}>\r\n                        <{$element.body}>\r\n                    <{/foreach}>\r\n                </td>\r\n            </tr>\r\n            <tr>\r\n                <td class=''txtright'' colspan=''2''>\r\n                    <{if ( $previous >= 0 ) }>\r\n                        <a href=''readpmsg.php?start=<{$previous}>&amp;total_messages=<{$total_messages}>&amp;op=<{$op}>'' title=''<{$smarty.const._PM_PREVIOUS}>''>\r\n                            <{$smarty.const._PM_PREVIOUS}>\r\n                        </a>&nbsp|&nbsp;\r\n                    <{else}>\r\n                        <{$smarty.const._PM_PREVIOUS}>&nbsp;|&nbsp;\r\n                    <{/if}>\r\n                    <{if ( $next < $total_messages ) }>\r\n                        <a href=''readpmsg.php?start=<{$next}>&amp;total_messages=<{$total_messages}>&amp;op=<{$op}>'' title=''<{$smarty.const._PM_NEXT}>''>\r\n                            <{$smarty.const._PM_NEXT}>\r\n                        </a>\r\n                    <{else}>\r\n                        <{$smarty.const._PM_NEXT}>\r\n                    <{/if}>\r\n                </td>\r\n            </tr>\r\n        </table>\r\n    </form>\r\n<{else}>\r\n    <br /><br /><{$smarty.const._PM_YOUDONTHAVE}>\r\n<{/if}>'),
(53, '<h4 class="txtcenter"><{$smarty.const._PM_PRIVATEMESSAGE}></h4>\r\n<{if $op}>\r\n<br />\r\n<div class="floatright txtright" style="width: 18%;">\r\n    <{if $op == "out"}>\r\n        <a href=''viewpmsg.php?op=in'' title=''<{$smarty.const._PM_INBOX}>''><{$smarty.const._PM_INBOX}></a> | <a href=''viewpmsg.php?op=save'' title=''<{$smarty.const._PM_SAVEBOX}>''><{$smarty.const._PM_SAVEBOX}></a>\r\n    <{elseif $op == "save"}>\r\n        <a href=''viewpmsg.php?op=in'' title=''<{$smarty.const._PM_INBOX}>''><{$smarty.const._PM_INBOX}></a> | <a href=''viewpmsg.php?op=out'' title=''<{$smarty.const._PM_OUTBOX}>''><{$smarty.const._PM_OUTBOX}></a>\r\n    <{elseif $op == "in"}>\r\n        <a href=''viewpmsg.php?op=out'' title=''<{$smarty.const._PM_OUTBOX}>''><{$smarty.const._PM_OUTBOX}></a> | <a href=''viewpmsg.php?op=save'' title=''<{$smarty.const._PM_SAVEBOX}>''><{$smarty.const._PM_SAVEBOX}></a>\r\n    <{/if}>\r\n</div>\r\n<div class="floatleft width80">\r\n    <{if $op == "out"}><{$smarty.const._PM_OUTBOX}>\r\n    <{elseif $op == "save"}><{$smarty.const._PM_SAVEBOX}>\r\n    <{else}><{$smarty.const._PM_INBOX}><{/if}>\r\n</div>\r\n<br />\r\n<br />\r\n<{if $msg}>\r\n    <div class="confirmMsg"><{$msg}></div>\r\n<{/if}>\r\n<{if $errormsg}>\r\n    <div class="errorMsg"><{$errormsg}></div>\r\n<{/if}>\r\n\r\n<{if $pagenav}>\r\n    <div class="floatright txtright pad5">\r\n    <{$pagenav}>\r\n    </div>\r\n    <br class="clear" />\r\n<{/if}>\r\n\r\n<form name="<{$pmform.name}>" id="<{$pmform.name}>" action="<{$pmform.action}>" method="<{$pmform.method}>" <{$pmform.extra}> >\r\n    <table cellspacing=''1'' cellpadding=''4'' class=''outer bnone width100''>\r\n    \r\n        <tr class=''txtcenter alignmiddle''>\r\n            <th><input name=''allbox'' id=''allbox'' onclick=''xoopsCheckAll("<{$pmform.name}>", "allbox");'' type=''checkbox'' value=''Check All'' /></th>\r\n            <th><img class=''bnone'' src=''<{xoAppUrl images/download.gif}>'' alt=''''/></th>\r\n            <th>&nbsp;</th>\r\n            <{if $op == "out"}>\r\n                <th><{$smarty.const._PM_TO}></th>\r\n            <{else}>\r\n                <th><{$smarty.const._PM_FROM}></th>\r\n            <{/if}>\r\n            <th><{$smarty.const._PM_SUBJECT}></th>\r\n            <th class=''txtcenter''><{$smarty.const._PM_DATE}></th>\r\n        </tr>\r\n        \r\n        <{if $total_messages == 0}>\r\n            <tr>\r\n                <td class=''even txtcenter'' colspan=''6''><{$smarty.const._PM_YOUDONTHAVE}></td>\r\n            </tr>\r\n        <{/if}>\r\n        <{foreach item=message from=$messages}>\r\n            <tr class=''<{cycle values="odd, even"}> txtleft''>\r\n                <td class=''aligntop txtcenter width2''>\r\n                    <input type=''checkbox'' id=''msg_id_<{$message.msg_id}>'' name=''msg_id[]'' value=''<{$message.msg_id}>'' />\r\n                </td>\r\n                <{if $message.read_msg == 1}>\r\n                    <td class=''aligntop width5 txtcenter''><img src=''<{xoModuleIcons16 mail_read.png}>'' alt=''<{$smarty.const._PM_READ}>'' title=''<{$smarty.const._PM_READ}>''/></td>\r\n                <{else}>\r\n                    <td class=''aligntop width5 txtcenter''><img src=''<{xoModuleIcons16 mail_notread.png}>'' alt=''<{$smarty.const._PM_NOTREAD}>'' title=''<{$smarty.const._PM_NOTREAD}>''/></td>\r\n                <{/if}>\r\n                <td class=''aligntop width5 txtcenter''>\r\n                    <{if $message.msg_image != ""}>\r\n                        <img src=''<{$xoops_url}>/images/subject/<{$message.msg_image}>'' alt='''' />\r\n                    <{/if}>\r\n                </td>\r\n                <td class=''alignmiddle width10''>\r\n                    <{if $message.postername != ""}>\r\n                        <a href=''<{$xoops_url}>/userinfo.php?uid=<{$message.posteruid}>'' title=''''><{$message.postername}></a>\r\n                    <{else}>\r\n                        <{$anonymous}>\r\n                    <{/if}>\r\n                </td>\r\n                <td class=''alignmiddle''>\r\n                    <a href=''readpmsg.php?msg_id=<{$message.msg_id}>&amp;start=<{$message.msg_no}>&amp;total_messages=<{$total_messages}>&amp;op=<{$op}>'' title=''''>\r\n                        <{$message.subject}>\r\n                    </a>\r\n                </td>\r\n                <td class=''alignmiddle txtcenter width20''>\r\n                    <{$message.msg_time}>\r\n                </td>\r\n            </tr>\r\n        <{/foreach}>\r\n        <tr class=''bg2 txtleft''>\r\n            <td class=''txtleft'' colspan=''6''>\r\n                <{$pmform.elements.send.body}>\r\n                <{if $display}>\r\n                    &nbsp;<{$pmform.elements.move_messages.body}>\r\n                    &nbsp;<{$pmform.elements.delete_messages.body}>\r\n                    &nbsp;<{$pmform.elements.empty_messages.body}>\r\n                <{/if}>\r\n                <{foreach item=element from=$pmform.elements}>\r\n                    <{if $element.hidden == 1}>\r\n                        <{$element.body}>\r\n                    <{/if}>\r\n                <{/foreach}>\r\n            </td>\r\n        </tr>\r\n    </table>\r\n</form>\r\n<{if $pagenav}>\r\n<div class="floatright txtright pad5">\r\n<{$pagenav}>\r\n</div>\r\n<{/if}>\r\n<{/if}>'),
(54, '<{$block}>');

DROP TABLE IF EXISTS `xx_users`;
CREATE TABLE `xx_users` (
  `uid` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(60) NOT NULL DEFAULT '',
  `uname` varchar(25) NOT NULL DEFAULT '',
  `email` varchar(60) NOT NULL DEFAULT '',
  `url` varchar(100) NOT NULL DEFAULT '',
  `user_avatar` varchar(30) NOT NULL DEFAULT 'blank.gif',
  `user_regdate` int(10) unsigned NOT NULL DEFAULT '0',
  `user_icq` varchar(15) NOT NULL DEFAULT '',
  `user_from` varchar(100) NOT NULL DEFAULT '',
  `user_sig` tinytext,
  `user_viewemail` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `actkey` varchar(8) NOT NULL DEFAULT '',
  `user_aim` varchar(18) NOT NULL DEFAULT '',
  `user_yim` varchar(25) NOT NULL DEFAULT '',
  `user_msnm` varchar(100) NOT NULL DEFAULT '',
  `pass` varchar(32) NOT NULL DEFAULT '',
  `posts` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `attachsig` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `rank` smallint(5) unsigned NOT NULL DEFAULT '0',
  `level` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `theme` varchar(100) NOT NULL DEFAULT '',
  `timezone_offset` float(3,1) NOT NULL DEFAULT '8.0',
  `last_login` int(10) unsigned NOT NULL DEFAULT '0',
  `umode` varchar(10) NOT NULL DEFAULT '',
  `uorder` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `notify_method` tinyint(1) NOT NULL DEFAULT '1',
  `notify_mode` tinyint(1) NOT NULL DEFAULT '0',
  `user_occ` varchar(100) NOT NULL DEFAULT '',
  `bio` tinytext,
  `user_intrest` varchar(150) NOT NULL DEFAULT '',
  `user_mailok` tinyint(1) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`uid`),
  KEY `uname` (`uname`),
  KEY `email` (`email`),
  KEY `uiduname` (`uid`,`uname`),
  KEY `unamepass` (`uname`,`pass`),
  KEY `level` (`level`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `xx_users` (`uid`, `name`, `uname`, `email`, `url`, `user_avatar`, `user_regdate`, `user_icq`, `user_from`, `user_sig`, `user_viewemail`, `actkey`, `user_aim`, `user_yim`, `user_msnm`, `pass`, `posts`, `attachsig`, `rank`, `level`, `theme`, `timezone_offset`, `last_login`, `umode`, `uorder`, `notify_method`, `notify_mode`, `user_occ`, `bio`, `user_intrest`, `user_mailok`) VALUES
(1, '', 'admin', 'admin@gmail.com', 'http://192.168.1.15/', 'avatars/blank.gif', 1341588017, '', '', '', 1, '', '', '', '', '26818d3fc1446e295c08048ff2d9a66b', 0, 0, 7, 5, 'school2012', 8.0, 1341657089, 'flat', 0, 1, 0, '', '', '', 0);

DROP TABLE IF EXISTS `xx_xoopscomments`;
CREATE TABLE `xx_xoopscomments` (
  `com_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `com_pid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `com_rootid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `com_modid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `com_itemid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `com_icon` varchar(25) NOT NULL DEFAULT '',
  `com_created` int(10) unsigned NOT NULL DEFAULT '0',
  `com_modified` int(10) unsigned NOT NULL DEFAULT '0',
  `com_uid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `com_ip` varchar(15) NOT NULL DEFAULT '',
  `com_title` varchar(255) NOT NULL DEFAULT '',
  `com_text` text,
  `com_sig` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `com_status` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `com_exparams` varchar(255) NOT NULL DEFAULT '',
  `dohtml` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `dosmiley` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `doxcode` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `doimage` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `dobr` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`com_id`),
  KEY `com_pid` (`com_pid`),
  KEY `com_itemid` (`com_itemid`),
  KEY `com_uid` (`com_uid`),
  KEY `com_title` (`com_title`(40)),
  KEY `com_status` (`com_status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_xoopsnotifications`;
CREATE TABLE `xx_xoopsnotifications` (
  `not_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `not_modid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `not_itemid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `not_category` varchar(30) NOT NULL DEFAULT '',
  `not_event` varchar(30) NOT NULL DEFAULT '',
  `not_uid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `not_mode` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`not_id`),
  KEY `not_modid` (`not_modid`),
  KEY `not_itemid` (`not_itemid`),
  KEY `not_class` (`not_category`),
  KEY `not_uid` (`not_uid`),
  KEY `not_event` (`not_event`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
